/**
 * Created by lxl on 2017/7/31.
 */
jQuery(function () {
	var params = {};
	var token = JSON.parse(localStorage.getItem("APP_USER_INFO")).token;
    /*var ModalHelper = (function(bodyCls) {
        var scrollTop;
        return {
            afterOpen: function() {
                scrollTop = document.scrollingElement.scrollTop;
                document.body.classList.add(bodyCls);
                document.body.style.top = -scrollTop + 'px';
            },
            beforeClose: function() {
                document.body.classList.remove(bodyCls);
                // scrollTop lost after set position:fixed, restore it back.
                document.scrollingElement.scrollTop = scrollTop;
            }
        };
    })('mask');*/

    /*DOM节点*/
    var $mask = $("#mask"),
        $select = $(".hotel-select"),
        $item = $(".item"),
        $rank = $(".rank"),
        $panel = $(".sub-panel"),
        $date = $("#time-select");

    /*全局数据以及状态管理*/
    var tripInfo = {},
        globalState = {
            flight: false,   //是否有选择航班
            cached: false,   //是否缓存当前页面
            dateType: '',    //日期类型  是住宿时间还是参展时间
            searchType: 'airplane', //搜索类型  弹出框搜索是航班还是火车
            pickType: ""
        },
        params = window.location.search.getParams(),
        exhInfo = {},
        show_day = ['周日', '周一', '周二', '周三', '周四', '周五', '周六'];
    // tag: 0.添加 1.查看
    console.log(params)
    params.tag = Number(params.tag);

    switch (params.tag) {
        case 0:
            $(document.body).attr("id", "add");
            renderExhData();
            break
        case 1:
            $(document.body).attr("id", "delete");
            $(".page-title").text("报名人员详情");
            $item.find(".date-wrapper").addClass("off");
            renderExhData();
            break
        default:;
    }
    // 如果tag==1并且pid存在的话，表示查看留资详情。
    function renderData() {
        var setter = {
            input: function (obj, val) {
                $(obj).attr("checked", val);
            },
            select: function (obj, val) {
                $(obj).attr("selected", val);
            },
            level: {
                1: "一般",
                2: "一般",
                3: "室长",
                4: "部长"
            }
        }
        // 表示当前车展已过期
        if (params.expired == 1) {
            $(".delete").hide();
            var $input = $("input"),
                $se = $("select");
            $.each($input, function () {
                $(this).attr("disabled", true);
            })
            $.each($se, function () {
                $(this).attr("disabled", true);
            })
            $.each($("input[type=checkbox]"), function() {
            	$(this).attr("disabled", true);
            });
        }
        // 根据ID去查询报名用户信息
        $.ajax({
            url: AJAXURL + "/enter/tools/get_userinfo",
            type: "POST",
            data: {id: params.pid, token: token},
            success: function (res) {
                console.log(res);

                if (res.length === 0) {
                    alert("用户不存在")
                    return
                }
                var iField = [
                    "name",
                    "pinyin",
                    "mobile",
                    "car_num",
                    "exhibition_time",
                    "accommodation_time"
                ];
                for (var i = 0;i < iField.length;i++){
                    $("input[name="+iField[i]+"]").val(res[iField[i]]);
                }
                res.exhibition_time = res.exhibition_time.replace(/\,$/, "");
                res.accommodation_time = res.accommodation_time.replace(/\,$/, "");
                var str = "",
                    str1 = "",
                    exhTime = [] || "",
                    stayTime = [] || "";
                try {
                    exhTime = res.exhibition_time.split(",");
                    stayTime = res.accommodation_time.split(",");
                }catch(e){
                    exhTime = "";
                    stayTime = "";
                }
				if (exhTime != "") {
                    $.each(exhTime, function (k, v) {
                        str += "<div>"+v.split("年")[1]+"</div>";
                    })
                }

                if (stayTime != ""){
                    $.each(stayTime, function (k, v) {
                        str1 += "<div>"+v.split("年")[1]+"</div>";
                    })
                }
                $(".attend-time-wrap").append(str);
                $(".stay-time-wrap").append(str1);
                if (res.en_ticket == 1){
                    setter.input("input[name=en_ticket]", true);
                }
                if (res.bread_ticket == 1){
                    setter.input("input[name=bread_ticket]", true);
                }
                if (res.sex == 1) {
                    document.getElementById('sex').options[0].selected = true;
                } else {
                    document.getElementById('sex').options[1].selected = true;
                }
                if (res.level !== null) {
                	/**
                	 * 这个地方用jQuery的方法会有兼容问题，推荐使用原生JS实现
                	 */
                	var $select = document.getElementById("rank");
              		for (var i = 0;i < $select.options.length;i++) {
              			if ($select.options[i].value == res.level) {
              				$select.options[i].selected = true;
              			}
              		}
                    if (res.level > 2) {
                    // .find(".openside").addClass("off")
                        $rank.css("display", "flex").find(".openside").addClass("off");
                        if (res.back_airport) {
                            $(".rank-num").css("display", "flex").find("#flightnum").val(res.back_flight_number);
                            setter.input("input[name=back_airport]", true);

                        }
                        if (res.to_airport) {
                            $("#toflight").val(res.to_flight_number);
                            setter.input("input[name=to_airport]", true);
                        }
                    } else {
              		    $(".level_lt2").hide();
                    }
                }
                if (res.by_bus == 1) {
                    $("input[name=by_bus]").attr("checked", true);
                }
                res.other_need = res.other_need.replace(/\,$/, '');
                params.list =  res.other_need.indexOf(',')?res.other_need.split(","):otherNeed[0] = res.other_need;
                params.others = params.list;
                if (res.other_need != ""){
                	var otherHtml = $("#other-need-see").buildTpl(params);
                	setTimeout(function () {
                        for(var i = 0;i < params.allOtherNeed.length;i++) {
                            if(params.others.indexOf(params.allOtherNeed[i]) >= 0) { //找出在人员详情中的其他需求
                                $("input[name="+params.allOtherNeed[i]+"]").attr("checked", true);
                            }
                        }
                        //$(".other-need").empty().append(otherHtml);
                        if (params.expired) {
                			$.each($("input[type=checkbox]"), function() {
	            				$(this).attr("disabled", true);
	            			});
                		}
                    }, 1500)
                }
                if (res.back_airport == 0){
                    $("#pick").attr("checked", false);
                    $("#pick-num").hide();
                } else {
                    $("#pick").attr("checked", true);
                }
                if (res.to_airport == 0) {
                    $("#send").attr("checked", false);
                    $("#send-num").hide();
                } else {
                    $("#send").attr("checked", true);
                }
                // 是否需要住宿
                if (res.chummage) {
                    $("input[name=stay]").val("指定酒店");
                    $("input[name=chummage]").val(1);
                    $(".stay-time, .id-card").show();
                } else {
                    $("input[name=chummage]").val(0);
                    $("input[name=stay]").val("非指定酒店");
                    $(".stay-time, .id-card").hide();
                }
            }
        })
    }
    function getAllDay(y,m) {
        var d = new Date(y, m, 0);
        return d.getDate();
    }
    function isLeapYear(y) {
        isNaN(y)? parseInt(y) : y;
        return (y % 4 === 0) && (y %100 !==0 || y % 400 === 0);
    }
    function renderExhData() {
        // 车展信息,根据车展id进行请求
        $.ajax({
            url: AJAXURL + "/enter/tools/get_detail",
            type: "POST",
            data: {id: params.carId},
            dataType: "json",
            success: function (res) {
                exhInfo = res;
                // 求时间差
                var s = res.end_time - res.start_time;
                // 车展天数
                var exhDays = s / (24 *60* 60) + 14;  // 前后增加七天
                var date = new Date(res.start_time * 1000 - 7 * 24 * 60 * 60 * 1000);
                // 当月的最大天数
                var maxDay = getAllDay(date.getFullYear(), date.getMonth() + 1),
                    startYear = date.getFullYear(),
                    startMonth = date.getMonth() + 1,
                    startDay = date.getDate(),
                    startIndex = (date.getDay() - 1) === -1? 0 : (date.getDay() - 1),
                    str = "";

                for (var i = 0;i <= exhDays;i++) {
                    if (startIndex % 7 === 0){
                        startIndex = 0;
                    }
                    if (startDay > maxDay) {  //如果天数满了，月份就加1
                        startDay = 1;
                        startMonth += 1;
                    }
                    if (startMonth > 12) {    //如果月份到12月了，回到第二年1月
                        startMonth = 1;
                    }
                    if (startDay < 10){
                        str += "<li>"+startMonth+"月0"+ startDay++ +"日 "+show_day[startIndex++]+"</li>";
                    } else {
                        str += "<li>"+startMonth+"月"+ startDay++ +"日 "+show_day[startIndex++]+"</li>";
                    }
                }
                params.str = str;
                $date.find("ul").empty().append(str);
                params.exhStr = $date.find("li").slice(7).slice(0, -7);
                // 其他需求
                if (res.other_need != ""){
                	var other = {};
	                res.other_need = res.other_need.replace(/\,$/, '');
	                other.list = res.other_need.split(",");
	                params.others = other.list;
                    params.allOtherNeed = res.other_need.split(",");
	                var html = $("#other-need").buildTpl(other);
	                $(".other-need").empty().append(html);
	
	                exhInfo.start_time = new Date(res.start_time * 1000).toLocaleString();
	                exhInfo.end_time = new Date(res.end_time * 1000).toLocaleString();
                }
				if(params.tag == 1) {
					renderData();
				}
            }
        })
    }

    $("#stay").click(function (e) {
    	if (params.expired) {
    		return;
    	}
        e.stopPropagation();
        $mask.show();
        $select.css("transform", "translateY(0)");
    });

    /*住宿时间选择*/
    $(".date").find(".date-wrapper").click(function (e) {
    	if (params.expired) {
    		return;
    	}
        //判断当前打开时间选择控件的是参展还是住宿,如果是参展，要剔除前后7个标签
        if ($(this).hasClass("attend-time")) {
            globalState.dateType = 'attend';
            $date.find("ul").empty().append(params.exhStr);
        } else {
            globalState.dateType = 'stay';
            $date.find("ul").empty().append(params.str);
        }
        e.stopPropagation();
       
        $mask.show();
        $date.show();
    })
    var startSwitch = false,
        eIndex = 0,
        sIndex = 0;
    function chooseDate(start, end) {
        if (start > end) {
            for (var i = end;i < start;i++) {
                $date.find("li").eq(i).addClass("active");
            }
        } else {
            for (var i = start;i < end;i++) {
                $date.find("li").eq(i).addClass("active");
            }
        }
    }
    // 模拟多选
    $date.on("click", "li", function (e) {
        e.stopPropagation();
        $(this).toggleClass("active");
    })
    $date.find(".cancel").click(function (e) {
        e.stopPropagation();
        $mask.hide();
        $date.hide();
    })
    $date.find(".sure").click(function (e) {
        e.stopPropagation();
        //获取所有选中的 li里的值
        var liArray = $date.find("li"),
            divStr = "",
            dateStr = "",
            year = new Date().getFullYear();
        $.each(liArray, function () {
            if ($(this).hasClass("active")){
                divStr += "<div>"+$(this).text().split(" ")[0]+"</div>";
                dateStr += year + "年" + $(this).text().split(" ")[0] + ",";
            }
        })
        dateStr = dateStr.replace(/\,$/, "");
        if (globalState.dateType === 'attend'){
            $(".attend-time-wrap").empty().append(divStr);
            $("#exh-time").val(dateStr);
        } else {
            $(".stay-time-wrap").empty().append(divStr);
            $("input[name=accommodation_time]").val(dateStr);
        }
        for (var i = 0;i < liArray.length; i++) {
            liArray.eq(i).removeClass("active");
        }
        $date.hide();
        $mask.hide();
    })
    /*住宿时间选择结束*/
    $(document).click(function (e) {
    	if (params.expired) {
    		return;
    	}
        $select.css("transform", "translateY(100%)");
        $date.hide();
        $mask.hide();
        e.stopPropagation();
    });

    $select.find("li").click(function (e) {
        e.stopPropagation();
        $(this).addClass("active").siblings().removeClass("active");
    });

    $select.find("#sure").click(function () {
        var val = $select.find("li.active").index("li"),
        	now = $select.find("li.active").text();
        $("input[name=stay]").val(now);
        $("input[name=chummage]").val(val);
        if (now == "非指定酒店") { // 如果是非指定酒店的话，就把身份证选项隐藏起来
            $("input[name=chummage]").val(3);
        	$(".id-card, .stay-time").hide();
        } else {
        	$(".id-card, .stay-time").show();
        }
    });

    $item.find("#rank").change(function () {
        var v = $(this).val();
        if (v <= 2) {
            $rank.css("display", "none");
        } else {
            $rank.css("display", "flex");
        }
    })
    $(".rank-num").click(function () {
        window.history.pushState({key: 12306}, '', '#chooseTrips');
        if (!globalState.cached) {
            openSide()
        } else {
            showSide()
        }
        if ($(this).attr("id") == "pick-num") {
        	globalState.pickType = "pick";
        } else {
        	globalState.pickType = "send";
        }
    })
    function showSide() {
        $panel.css("transform", "translateX(0)");
    }
    function hideSide() {
        $panel.css("transform", "translateX(100%)");
    }
    function back(num) {
        window.history.go(num)
    }
    function openSide() {
        $panel.load("addParticipants_trips.html", function (res) {
            globalState.cached = true;
            var today = new Date();
            today = today.getFullYear() + "-" + (today.getMonth()+1) + "-" + today.getDate();
            $("#date").val(today);
            showSide();
        })
    }
    /**
     *需要区分接机还是送机
     */
    $item.find(".openside").on('touchstart', function (e) {

        // 检测当前是否选中
        var isCheck = $(this).siblings("input").is(":checked");
        console.log(isCheck)
        if (isCheck) {
        	$(this).parents(".item").next(".rank-num").hide();
        } else {
        	if($(this).hasClass("off")){
        		$(this).parents(".item").next(".rank-num").css("display", "flex");
        	}
        }
        if ($(this).hasClass("off")){
            return;
        }
        var origin = $(this).data(); //通过data-tag标签区分是接机还是送机
        var state = {
            name: 'chooseTrips',
            action: 'loadPage'
        };

        if (origin.tag === "pick") {
            // 接机
            globalState.pickType = "pick";
        } else if (origin.tag === "send"){
            // 送机
            globalState.pickType = "send";
        }

        if (globalState.cached){
            showSide();
        }
        window.history.pushState(state, '', '#chooseTrips');
        //如果当前已经缓存了页面，就不要再去请求了。
        if (!globalState.cached) {
            openSide()
        }
    });
    /*使用事件委托，避免后加载进来的节点事件无法绑定*/
    $panel.on("click", ".icon-choose", function () {
        var $this = $(this),
            $parent = $this.parent();
        $this.toggleClass("active");
        //如果选中当前航班，将此信息获取过来
        var flightInfoArr = ['date', 'week', 'flightNum'],
            trainInfoArr = ['date', 'week', 'num'];
        var flightInfoWrap = $(this).siblings(".trip-date").children();
        if ($this.hasClass("active")) {
            globalState.flight = true;

            $.each(flightInfoWrap, function (i) {
                tripInfo[flightInfoArr[i]] = $(this).text();
            })
            // 出发城市
            tripInfo.dep = $parent.find(".dep").text();
            tripInfo.depTime = $parent.find(".dep-time").text().trim();
            tripInfo.arrival = $parent.find(".arr-city").text();
            tripInfo.arrivalTime = $parent.find(".arr-time").text().trim();
            tripInfo.date = $parent.find(".flight-date").text().trim();
            var str = "{{flightNum}} ({{dep}} {{date}} {{depTime}}) - ({{arrival}} {{date}} {{arrivalTime}})";
            var render = template.compile(str);
            str = render(tripInfo);
            console.log(tripInfo);
            // 数据渲染之前判断是接机还是送机
            if (globalState.pickType === "pick"){
                // 接机
                $("#flightnum").val(str);
                //$("input[name=back_flight_number]").val(tripInfo.flightNum);
                $("#pick-num").css("display", "flex");
                // 是否需要接机开关按钮设置为不可点击
                $("#switch-pick").addClass("off");
            } else if (globalState.pickType === "send"){
                $("#toflight").val(str);
                //$("input[name=to_flight_number]").val(tripInfo.flightNum);
                $("#send-num").css("display", "flex");
                // 是否需要送机开关按钮设置为不可点击
                $("#switch-send").addClass("off");
            }

            console.log(tripInfo)
        }
        back(-1)
        $(this).parents(".trips-wrap").empty();
        $panel.find("input").val("");
        $("#date-tips").show();
    });
    /*当选择时间的时候，将提示隐藏*/
    $panel.on("click", "#date", function(){
        $("#date-tips").hide();
    });
    function hideTips(){
        $("#date-tips").hide();
    }
    /*火车与机票选择切换*/
    $panel.on("click", ".nav-tab>div", function () {
        $(this).addClass("active").siblings().removeClass("active");
        if(!$(this).index()) { //航班信息
            globalState.searchType = 'airplane';
            $panel.find("#tips").text("注: 航班如有中转，请填写末班航班");
            $panel.find(".search-wrap input").eq(0).attr("placeholder", "航班号");
            $panel.find(".search-wrap label").text("起飞日期");
        } else {               //火车信息
            globalState.searchType = 'train';
            $panel.find("#tips").text("注: 火车如有中转，请填写末班车次");
            $panel.find(".search-wrap input").eq(0).attr("placeholder", "火车车次");
            $panel.find(".search-wrap label").text("出发日期");
        }
    })
    //航班与车次搜索
    $panel.on("click", ".sure-search", function () {
        /*首先需要拿到搜索信息*/
        var num = $("input[name=num]").val(),
            date = $("input[name=date]").val(),
            day = new Date(date).getDay(),
            week = show_day[day - 1],
            exhName = "";                                   //车展名称
        if (date == ""){
            alert("请填写日期");
            return
        } else if (num == "") {
            alert("请填写航班号/车次");
            return;
        }
        if (globalState.searchType === 'airplane') {
            $.ajax({
                url: AJAXURL + "/enter/tools/get_real_flight",
                type: 'POST',
                data: {flightNo: num, flightDate: date},
                dataType: 'json',
                success: function (res) {
                    console.log(res)
                    if (res.error_code !== 0) {
                        $(".trips-wrap").empty();
                        $(".no-trips").show().text("未查询到航班信息");
                    } else {
                        $(".no-trips").hide().text("");
                    }

                    // 判断到达时间是不是明天
                    var flightDate = new Date(res.result.DepScheduled).getTime(),
                        toDate = new Date(res.result.ArrScheduled).getTime();
                    console.log(flightDate, toDate)
                    //如果到达时间的日期已经过了当天
                    if (toDate > flightDate) {
                        res.tomorrow = true;
                    }
                    if (res.result.constructor === Object) {
                        // 判断航班起飞时是周几
                        res.result.week = week;
                        res.result.date = date;
                        var html = $("#flight").buildTpl(res.result);
                    } else if (res.result.constructor === Array) {
                        // 判断航班起飞时是周几
                        var dateObj = {
                            week: week,
                            date: date
                        }
                        for(var i = 0;i < res.result.length;i++) {
                            res.result[i].dateObj = dateObj;
                        }
                        var html = $("#more").buildTpl(res);
                    }
                    console.log(html)
                    $(".trips-wrap").empty().append(html);
                }
            })
        } else if(globalState.searchType === "train") {
            // 表示搜索火车车次信息
            $.ajax({
                url: AJAXURL + "/enter/tools/get_train_code",
                type: "POST",
                data: {name: num, date: date},
                success: function (res) {
                    console.log(res);
                    if (res.error_code !== 0) {
                        $(".trips-wrap").empty();
                        $(".no-trips").show().text("未查询到车次信息");
                    } else {
                        $(".no-trips").hide().text("");
                    }
                    // 判断航班起飞时是周几
                    res.result.train_info.week = week;
                    res.result.train_info.date = date;

                    var html = $("#train").buildTpl(res.result.train_info);
                    console.log(html)
                    $(".trips-wrap").empty().append(html);
                }
            })
        }

    })
    var checker = {
        exist: function (val) {
            return !!val;
        },
        isPhone: function (val) {
            return /^1(3|4|5|6|7|8|9)[0-9]{9}/.test(val);
        },
        equal: function (a, b) {
            return a === b;
        },
        isNumber: function (val) {
            return /^[0-9]*$/.test(val);
        },
        isIDcard: function (val) {
            return /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/.test(val);
        },
        isPinyin: function (val) {
            if (val == undefined || val == "") {
                return false;
            } else {
                return /^[a-zA-Z\s]+$/g.test(val);
            }
        }
    };
    
    /*表单提交部分*/
    $(".btn-sure").click(function (e) {
        e.stopPropagation();
    	var userInfo = {};
            userInfo.car_exhibition_id = params.carId;
            userInfo.token = token;
            userInfo.id = params.pid;
        var $this = $(this);
        var field1 = [
                'name',
                'pinyin',
                'mobile',
                'sex',
                'level'
            ],
            field2 = [
                'exhibition_time',
                'chummage',
                'stay',
                'car_num',
                'accommodation_time',
                'by_bus',
                'back_airport',
                'back_flight_number',
                'to_airport',
                'to_flight_number'
            ];

        // 防止重复提交
        if ($this.hasClass("off")) {
            alert("请稍后再试");
            return false;
        }
        $this.addClass("off");
        // 表单一
        for (var i = 0;i < field1.length;i++) {
            userInfo[field1[i]] = $.trim($("input[name="+field1[i]+"]").val()) || $("select[name="+field1[i]+"]").val();
        }
        // 表单二
        for (var i = 0;i < field2.length;i++) {
            var n = $("input[name="+field2[i]+"]");
            var t = $("input[name="+field2[i]+"]").attr("type");
            if (t === "checkbox") {
                userInfo[field2[i]] = n.is(":checked")?1:0;
            } else {
                userInfo[field2[i]] = n.val();
            }
        }
        //表单三
        //userInfo["en_ticket"] = $("input[name=en_ticket]").is(":checked")? 1 : 0;
        userInfo["bread_ticket"] = $("input[name=bread_ticket]").is(":checked")? 1 : 0;
        var other_need = [];

        if(params.allOtherNeed != undefined) {
            for (var i = 0;i < params.allOtherNeed.length;i++) {
                var isChecked = $("input[name="+params.allOtherNeed[i]+"]").is(":checked");
                if(isChecked) {
                    other_need.push(params.allOtherNeed[i]);
                };
            }
        }

        // 如果用户不需要接送机，那么久不传航班信息过去
        if (!userInfo.back_airport) {
            userInfo.back_flight_number = "";
        }
        if (!userInfo.to_airport) {
            userInfo.to_flight_number = "";
        }
        userInfo["other_need"] = other_need.join(",");
       
        console.log(userInfo)
        /*验证表单*/

        var vals = [
            {
                method: "exist",
                args: [userInfo.name],
                err: "请输入姓名"
            },
            {
                method: "isPinyin",
                args: [userInfo.pinyin],
                err: "请输入姓名全拼"
            },
            {
                method: "isPhone",
                args: [userInfo.mobile],
                err: "请输入正确的电话号码"
            },
            {
                method: "exist",
                args: [userInfo.level],
                err: "请选择您的职级"
            },
            {
                method: "exist",
                args: [userInfo.exhibition_time],
                err: "请选择您的参展时间"
            },
            {
                method: "exist",
                args: [userInfo.stay],
                err: "请选择是否需要住宿"
            }
        ];

        var errorArr = vals.filter(function (val) {
            var todo = checker[val.method];
            // 取反将没有通过验证的值过滤出来
            console.log(todo.apply(this, val.args))
            return !todo.apply(this, val.args);
        });
        
        function sendData(t, c) {
        	$.ajax({
                url: AJAXURL + "/enter/tools/add_tmp",
                type: "POST",
                data: {type: t, content: c, token: token},
                success: function (res) {
                    $this.removeClass("off");
                    setInterval(function(){
		            	$this.removeClass("off");
		            }, 5000);
                    if (res.status == 1){
                        layer.open({
                            content: res.msg,
                            skin: 'msg',
                            time: 2 //2秒后自动关闭
                        });
                        // 提交成功之后跳转到查看车展详情页面
                        setTimeout(function(){
                            window.history.back();
                        }, 2000)
                    } else {
                        alert(res.msg);
                    }
                }
            }) 
        }
        if (userInfo.chummage == 1) { //表示指定酒店,那么久需要填写住宿时间
            if (userInfo.accommodation_time == "" || userInfo.accommodation_time == undefined) {
                alert("请填写住宿时间");
                return;
            }
        }
        if (errorArr.length !== 0){
            // 有数据未通过验证
            alert(errorArr[0].err);
        } else if($this.hasClass("btn-modify")){
        	 // 表示修改
            $this.addClass("off");
            sendData(2, JSON.stringify(userInfo));
        } else {
            $this.addClass("off");
           	sendData(1, JSON.stringify(userInfo));
        }
    })

    // 删除报名人员
    $(".btn-delect").click(function () {
    	layer.open({
		    content: '确定删除吗？'
		    ,btn: ['删除', '取消']
		    ,yes: function(index){
		      	$.ajax({
		            url: AJAXURL + "/enter/tools/add_tmp",
		            type: "POST",
		            data: {type: 3, content: params.pid, token: token},
		            success: function (res) {
		                if (res.status == 1){
		                    layer.open({
		                            content: "删除成功！",
		                            skin: 'msg',
		                            time: 2 //2秒后自动关闭
		                        });
		                    setTimeout(function(){
		                    	window.history.back();
		                    }, 1000)
		                }
		            },
		            error: function(err){
		            	alert("删除失败")
		            }
		        })
		      	layer.close(index);
		    }
		});
        
    })

    /*触发返回的时候隐藏掉这个页面*/
    var $back = $("input[name=back_airport]"),
        $to = $("input[name=to_airport]");
    $(window).on('popstate', function () {
        console.log(globalState)
        if (!globalState.flight) {
            $back.attr("checked", false);
            $to.attr("checked", false);
            if (params.tag != 1) {
                $(".rank-num").css("display", "none");
            }
        } else {
            $back.attr("checked", true);
        }
        if (!$("#flightnum").val()) {
            $back.attr("checked", false);
        } else {
            $back.attr("checked", true);
        }
        if (!$("#toflight").val()) {
            $to.attr("checked", false);
        } else {
            $to.attr("checked", true);
        }
        hideSide();
    })
    /*防止滚动穿透*/
    $panel.on("touchmove", function (e) {
        e.preventDefault();
    })
    $mask.on("touchmove", function () {
        return false
    })
})