;
(function() {
	var USERINFO = JSON.parse(localStorage.getItem("APP_USER_INFO"))
	var token = USERINFO.token;
//	var token = 'oWIrjjvLP17mmuJcz1tQpfmrw123';
	var url = window.location.href;
	var carId = url.substr(url.indexOf('=') + 1);
	//查看房间安排表
	$('#chakananpai').attr('href','roomPlanForm.html?carId='+carId);
	loading('show');
	$.ajax({
		type: "post",
		url: AJAXURL + "/enter/tools/get_unrange",
		data: {
			token: token,
			carId:carId
		},
		async: true,
		success: function(res) {
			loading('none');
			var tableitems = [];
			for(var i = 0; i < res.length; i++) {
				tableitems.push('<li data-name='+res[i].name+' data-id='+res[i].id+'>');
				tableitems.push('<span class="wid89 renname">'+res[i].name+'</span>');
				if (res[i].sex==2) {
					tableitems.push('<span class="wid86">'+'女'+'</span>');
				} else if(res[i].sex==1){
					tableitems.push('<span class="wid86">'+'男'+'</span>');
				}
				tableitems.push('<span class="wid200">'+res[i].mobile+'</span>');
				tableitems.push('<span class="wid86 btn danren">单人住</span>')
				tableitems.push('<span class="wid106 btn jieshou">接受安排</span>');
				tableitems.push('<span class="unselect"></span>')
				tableitems.push('</li>');	
			}
			$('#informationList').html(tableitems.join(''));
			//点击某一条li中的单人住按钮的操作
			$('.danren').on('click',function() {
				var type=1;//单住
				var idSet='';
				idSet=$(this).parent('li').attr('data-id');
				dataRender(type,idSet);
				$(this).parent('li').remove();
			})
			//点击某一条li中的接受安排按钮的操作
			$('.jieshou').on('click',function() {
				var type=0;//接受安排
				var idSet='';
				idSet=$(this).parent('li').attr('data-id');
				dataRender(type,idSet);
				$(this).parent('li').remove();
			})
		}
	});
	//选择控制合住打对号然后点击合住
	$('#informationList').on('click', 'li', function() {
		//取消选中人员
		if($(this).find('span').hasClass('select')) {
			$(this).find('.select').removeClass('select').addClass('unselect');
			$("#hezu").removeClass('bottomBtn_hezhu_H').addClass('bottomBtn_hezhu');
			//绑定选中人员
		} else if($(this).find('span').hasClass('unselect')) {
			//当选择的人数多于2的时候i就弹出提示
			if ($('#informationList li').find('.select').length>=2) {
				alert("只有在选中两个人的情况下才可以点击合住");
			}else if ($('#informationList li').find('.select').length==1) {
				//合住的高亮提示
				$("#hezu").removeClass('bottomBtn_hezhu').addClass('bottomBtn_hezhu_H');
				$(this).find('.unselect').removeClass('unselect').addClass('select');
			}else{
				$("#hezu").removeClass('bottomBtn_hezhu_H').addClass('bottomBtn_hezhu');
				$(this).find('.unselect').removeClass('unselect').addClass('select');
			}		
		}
	})
	//点击合住的按钮的时候
	$('#hezu').click(function() {
		var type=2;//合住
		var idSet='';
		$('#informationList').find('.select').parent('li').each(function() {
			idSet+=$(this).attr('data-id')+','
		})
		var	newidSet=idSet.substring(0,idSet.length-1);
		//如果选中的是两个人那么进行下一步
		if($('#informationList').find('.select').length == 2) {
			//将选中的合住的人员信息传递给后台
			dataRender(type,newidSet);
			//移除掉发现选中的li
			$('#informationList').find('.select').parent('li').remove();
		}else{
			alert('只有在选中两个人的情况下才可以点击合住')
		}
	})
	//接受安排，单住还有合住的数据发送操作
	function dataRender(type,idSet) {
		$.ajax({
			type:"post",
			url:AJAXURL+"/enter/tools/range_room",
			data:{
				type:type,	 //是	string	住宿方式 1：单住 2：合住 0:接受安排
				id:idSet    //是	string	id 如果多个请以逗号分隔
			},
			async:true,
			success:function(res) {
			  console.log(res);
			}
		});
	}
	
	//搜索的事件监听和重新渲染
	$('#search').on('input',function() {
		var searchStr=$(this).val();
		if(searchStr == '') {
			$('#informationList').find('li').show();
		} else {
			$('#informationList').find('li').hide();
			$('#informationList').find('li').each(function() {
				if ($(this).attr('data-name').indexOf(searchStr)!=-1) {
					$(this).show();
				}
			})
		}
	})
})();