String.prototype.getParams = function (encode) {
	var params = {}, indexOf = this.indexOf('?');
	if (indexOf != -1){
		var str = this.substr(indexOf+1), strs = str.split("&");
		for (var i =0 ;i < strs.length; i++) {
			var item = strs[i].split("=");
			var val = encode ? encodeURIComponent(item[1]) : item[1];
			params[item[0]] = item.length > 1 ? val : ' ';
		}
	}
}
//选择经销商
var selectDealer=function(){
	$(".dlr_list .dealer_name,.lab").click(function(){
			var li=$(this).parent();
			sidebarWin.close("choose_dealers.html",{
				id:li.attr("val"),
				code:li.attr("code"),
				name:li.attr("text")
				});
	});
};

//加载省份
var loadCity=function(id,name,parentCity){
	memberGetAjax("v1/tools/dealerRegion.html?province="+parentCity,null,function(json){

		var data=json.data;
		$(id).html("");
		$(id).append("<option value=''>"+name+"</option>");
		for(var i=0;i<data.length;i++){
			if(data[i].city){
				$(id).append("<option value='"+data[i].city+"'>"+data[i].city+"</option>");					
			}else{
				$(id).append("<option value='"+data[i].province+"'>"+data[i].province+"</option>");
			}
		}
	});
};
//加载经销商列表
var loadDealer=function(){
	var province=$("#sel_province").val();
	var city=$("#sel_city").val();
	var keyword=$("#sel_keyword").val();
	var maplocation=null;
	var url="v1/tools/dealersearch";
	if(keyword=="")url="v1/tools/getList";
	var $ul = $("#car-list");
	var postdata={province:province,city:city,dealername:keyword};

	var geolocation = new BMap.Geolocation();

	geolocation.getCurrentPosition(function(gpsPos){
		if(this.getStatus() == BMAP_STATUS_SUCCESS){
			maplocation={lat:gpsPos.point.lat,
						lng:gpsPos.point.lng}
		}
		if(province=="" && city=="" && keyword=="" && maplocation!=null){
		postdata=maplocation;//默认为当前地理位置
		}
		postdata.cid=$ul.find("li.active").attr("data-val");
		$("#dealerTemp").buildTempAjax(url,postdata,function(html){
			$(".dlr_list").html(html);
			selectDealer();
		});
	});
};
$(function(){		
	$("#sel_province").change(function(){
		var value=$(this).val();
		if(value!="")loadCity("#sel_city","城市",value);
		$("#sel_city").val("");
		loadDealer();
	});
	$("#sel_city").change(loadDealer);
	loadCity("#sel_province","省份","");
	//loadDealer();
	$(".search_box img").click(loadDealer);
	var autoheight=$(".selectPlan").height()-$(".dlr_city").height();
	//alert(autoheight);
	//$(".dlr_list").height(autoheight);
});
