function onDocumentTouchStart( event ) {
    if( event.touches.length == 1 ) {
        event.preventDefault();///取消事件的默认动作。

        // 为触摸设备装双点击
        var now = new Date().getTime();
        if ( now - timeOfLastTouch  < 250 ) {

            reset();
            return
        }
        timeOfLastTouch = now;
        mouseX = event.touches[0].clientX ;

        mouseY = event.touches[0].clientY;

        isMouseDown = true;
    }

}
function onDocumentTouchMove( event ) {

    if ( event.touches.length == 1 ) {
        event.preventDefault();//取消事件的默认动作。
        mouseX =event.touches[0].clientX ;

        mouseY = event.touches[0].clientY;
    }

}

function onDocumentTouchEnd( event ) {
    if ( event.touches.length == 0 ) {
        event.preventDefault();//preventDefault取消事件的默认动作。

        isMouseDown = false;
    }

}

var canvasDiv = document.getElementById('canvasDiv');
var canvas = document.createElement('canvas');//方法可创建元素节点。

var canvasWidth = 1000;

var canvasHeight=270;
var point = {};
point.notFirst = false;

canvas.setAttribute('width', canvasWidth);//setAttribute() 方法添加指定的属性，并为其赋指定的值。

canvas.setAttribute('height', canvasHeight);

canvas.setAttribute('id', 'canvas');

canvasDiv.appendChild(canvas);
if(typeof G_vmlCanvasManager != 'undefined') {
	canvas = G_vmlCanvasManager.initElement(canvas);

}
var context = canvas.getContext("2d");//方法返回一个用于在画布上绘图的环境。
										//当前唯一的合法值是 "2d"，它指定了二维绘图
/*var img = new Image();

img.src = "./a.jpg";



 img.onload = function(){

           var ptrn = context.createPattern(img,'no-repeat');

context.fillStyle = ptrn;

context.fillRect(0, 0, canvas.width, canvas.height);

  }*/
canvas.addEventListener("touchstart", function(e){//touchstart当手指触摸屏幕时候触发，即使已经有一个手指放在屏幕上也会触发。

  var mouseX = event.touches[0].clientX - this.offsetLeft;

  var mouseY = event.touches[0].clientY- this.offsetTop;

  paint = true;

  addClick(event.touches[0].clientX - this.offsetLeft, event.touches[0].clientY - this.offsetTop);

  redraw();

});
canvas.addEventListener("touchend", function(e){//当手指从屏幕上离开的时候触发。

   paint = false;

});
canvas.addEventListener("touchmove", function(e){//当手指在屏幕上滑动的时候连续地触发。在这个事件发生期间

 if(paint){

    addClick(event.touches[0].clientX  - this.offsetLeft, event.touches[0].clientY- this.offsetTop, true);

    redraw();

 }
});







canvas.addEventListener("mousedown", function(e){//mousedown当鼠标指针移动到元素上方，并按下鼠标按键时，会发生 mousedown 事件。

  var mouseX = e.pageX - this.offsetLeft;

  var mouseY = e.pageY - this.offsetTop;

  paint = true;

  addClick(e.pageX - this.offsetLeft, e.pageY - this.offsetTop);

  redraw();

});



canvas.addEventListener("mousemove", function(e){//mousemove获得鼠标指针在页面中的位置：

  if(paint){

    addClick(e.pageX - this.offsetLeft, e.pageY - this.offsetTop, true);

    redraw();

  }

});


//addEventListener 方法用于向指定元素添加事件句柄。
canvas.addEventListener("mouseup", function(e){//当松开鼠标按钮时，隐藏或显示元素：

  paint = false;

});

canvas.addEventListener("mouseleave", function(e){

  paint = false;

});



var clickX = new Array();

var clickY = new Array();

var clickDrag = new Array();

var paint;



function addClick(x, y, dragging)

{

  clickX.push(x);

  clickY.push(y);

  clickDrag.push(dragging);

}
function redraw(){

  //canvas.width = canvas.width; // Clears the canvas

  

  context.strokeStyle = "#000000";//绘制一个矩形。请用红色笔触颜色：

  context.lineJoin = "round";//当两条线条交汇时，创建圆形边角：round圆形边角的意思

  context.lineWidth = 4;//用宽度为 2像素的线条来绘制矩形：

  

  while (clickX.length > 0 ) {

	  point.bx = point.x;//point坐标

	  point.by = point.y;

	  point.x = clickX.pop();

	  point.y = clickY.pop();

	  point.drag = clickDrag.pop();

	  context.beginPath();

	  if (point.drag && point.notFirst) {

		  context.moveTo(point.bx, point.by);

	  } else {

		  point.notFirst = true;

		  context.moveTo(point.x - 1, point.y);

	  }

     context.lineTo(point.x, point.y);

     context.closePath();

     context.stroke();

  }

/*

  for(var i=0; i < clickX.length; i++)

  {		

    context.beginPath();

    if(clickDrag[i] && i){

      context.moveTo(clickX[i-1], clickY[i-1]);

     }else{

       context.moveTo(clickX[i]-1, clickY[i]);

     }

     context.lineTo(clickX[i], clickY[i]);

     context.closePath();

     context.stroke();

  }

  */

}

var clear = document.getElementById("btn_clear");

var submit = document.getElementById("btn_submit");

clear.addEventListener("click", function(){

	canvas.width = canvas.width;

});



/*submit.addEventListener("click", function(){

//$("#qmimg").attr("src",canvas.toDataURL("image/png")); 
});*/


var clear = document.getElementById("btn_clear");

var submit = document.getElementById("btn_submit");

clear.addEventListener("click", function(){

	canvas.width = canvas.width;

});


var initDraw=function(){
	canvas.width = canvas.width;
	resize();
	document.addEventListener( 'touchmove', onDocumentTouchMove ,false);
};
var resize=function(){
	var height=270;
	if($(".autograph-name").height()>0)height=$(".autograph-name").height();
	//alert($(".autograph-name").width());
	setTimeout(function(){
		canvas.setAttribute('width', $(".autograph-name").width());//$(document.body).width());//setAttribute() 方法添加指定的属性，并为其赋指定的值。
		canvas.setAttribute('height', height);// $(window).height()-$(".confirm-info").height());
	},500);

};
$(".autograph-name").resize(resize);
$(window).resize( resize );
$("#btn_submit").click(function(){
	sidebar.close("electronic.html");
	$(".selectPlan").remove();
	var data=canvas.toDataURL("image/png")
	var dataimg=$("<img style='width:100%' />");
	$(".agreement-agree").html(dataimg);
	dataimg.attr("src",data); 	
})
