function includeJs(file) {
	document.write("<script src='"+file+"'></script>")
};
//扩展模板渲染
$.fn.extend({
	buildTemp:function(data){
		var html=$(this).html();
		baidu.template.ESCAPE = false;
		var render = baidu.template(html);
		html= render(data);
		return html;
	},
	render: function(data) {
		//data.window = window;
		var render = function(obj, data) {
			var html = obj.html();

			html = html.replace(/\&lt\;/g, "<");
			html = html.replace(/\&gt\;/g, ">");
			html = html.replace(/\&amp\;/g, "&");
			
		baidu.template.ESCAPE = false;
		var render = baidu.template(html);
		html= render(data);
			//var render = template.compile(html);
			//html = render(data);
if(obj[0].tagName=="SCRIPT"){
		obj.before(html);
		obj.remove();
}else{
	obj.html(html);
}
			obj.show();
		};
		this.each(function() {
			render($(this), data);
		});
	}
});

//-------------------日期扩展
Date.prototype.format = function(format) {
	var date = {
		"M+": this.getMonth() + 1,
		"d+": this.getDate(),
		"h+": this.getHours(),
		"m+": this.getMinutes(),
		"s+": this.getSeconds(),
		"q+": Math.floor((this.getMonth() + 3) / 3),
		"S+": this.getMilliseconds()
	};
	if(/(y+)/i.test(format)) {
		format = format.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length));
	}
	for(var k in date) {
		if(new RegExp("(" + k + ")").test(format)) {
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ?
				date[k] : ("00" + date[k]).substr(("" + date[k]).length));
		}
	}
	return format;
}
//获取网页参数
var request = function(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if(r != null) return unescape(r[2]);
	return null;
};
//获取电话号码
var getPhone = function(mobile) {
	var phone = {

		mobile: /0?1[3|4|5|8][0-9]\d{8}/, //手机 

		tel: /0[\d]{2,3}-[\d]{7,8}/,
		
		tel2: /[\d]{3,4}-[\d]{2,3}-[\d]{3,4}/

	}

	var r = mobile.match(phone.mobile);
	if(r != null) return r[0];
	r = mobile.match(phone.tel);
	if(r != null) return r[0];
	r = mobile.match(phone.tel2);
	if(r != null) return r[0];
};
function dateToStr(d, f) {
	var timestamp2 = new Date(d * 1000);
	return timestamp2.format(f);
};
//判读是否为无效数据
function isInvalid(data) {
	return data == null || data == "";
}
//转数字
function toNumber(data) {
	try {
		data = parseInt(data);
	} catch(x) {
		return 0;
	}
	if(isNaN(data)){
		return 0;	
	}else{
		return data;
	}
}
    //设置缩略图
    //data 原图片数据base64
    //maxw 最大图片宽度
    //minh 最小图片高度
    //back 回调返回图片数据
    var setThumbnail=function(data,maxw,maxh,back){
        var canvas = document.createElement("canvas");
        var ctx = canvas.getContext('2d');
        var image = new Image();
        image.src=data;
        image.onload=function(){
             var w = image.naturalWidth,h = image.naturalHeight;
             var bl=w>h?w:h;
             if(w>h){
                bl=w/maxw;
             }else{
                 bl=h/maxh;
             }
             bl=bl>1?bl:1;
             canvas.width = w/bl;
             canvas.height = h/bl;
             ctx.drawImage(image, 0, 0, w, h, 0, 0, canvas.width,canvas.height);
             var data = canvas.toDataURL("image/jpeg", 0.5);
             back(data);
        };
    }