$(function() {
	exhibition_news_finance();
	// 金融产品
	function exhibition_news_finance() {
		var $box = $("#modular");

		$.ajax({
			type: 'GET',
			dataType: 'json',
			url: AJAXURL + '/v1/news/financeList',
			success: function(jsonFinance) {
//				var html = Mustache.render(tpl, jsonFinance);
//				$box.html(html);
//				$box.initUI();

				$.ajax({
					type: 'GET',
					dataType: 'json',
					url: AJAXURL + '/v1/news/serverfinance',
					success: function(json) {

						//车型选选择
						var $vehicleInput = $box.find('select[name=vehicle]'),
							$modelInput = $box.find('select[name=model]'),
							// $fanganInput = $box.find('select[name=fangan]'),
							$daikuanqixianInput = $box.find('select[name=daikuanqixian]'),
							$soufukuan = $box.find('#service_financal_soufukuan'),
							$baojia = $('#service_financal_baojia'),
							$shichang = $('#service_financal_shichang'),
							$cankaojia = $('#service_financal_cankaojia');

						var vehicleData = json.data.vehicle,
							i;
						var vehicleTpl = '';
						for(i = 0; i < vehicleData.length; i++) {
							vehicleTpl = '<option value="' + i + '">' + json.data.vehicle[i].name + '</option>';
							$vehicleInput.append(vehicleTpl);
						}

						//选择完车型后的报价
						$vehicleInput.on('change', function() {
							$modelInput.html("<option >具体型号：</option>");
							var $index = $(this).val(),
								i = 0,
								len = json.data.vehicle[$index].childs.length;
							var result = json.data.vehicle[$index];
							var vStr = '';
							for(i; i < len; i++) {
								vStr = '<option value="' + result.childs[i].price + '">' + result.childs[i].name + '</option>';
								$modelInput.append(vStr);
							}
						});
//						$vehicleInput.on('change', function(event) {
//							var val = $vehicleInput.val();
//
//							if(val) {
//								$.each(vehicleData, function(index) {
//									if(this.cid == val) {
//										var currentData = vehicleData[index];
//
//										var modelTpl = '{{#childs}}<option value="{{price}}">{{name}}</option>{{/childs}}';
//										var modelHtml = Mustache.render(modelTpl, currentData);
//										$modelInput.html(modelHtml);
//									}
//								});
//							} else {
//								$modelInput.html('<option value="">型号：</option>');
//							}
//
//							$modelInput.trigger('change');
//						});

						$modelInput.on('change', calculate);

						//选择贷款方案
						// var $listBox = $('#service_financal_listBox1, #service_financal_listBox2');
						var $listBox = $('#service_financal_listBox2');
						var $lis = $listBox.find('li');

						$lis.click(function(event) {
							var $li = $(this);
							$lis.find('span').removeClass('back5');
							var monthString = $li.find('span').addClass('back5').attr('data-daikuan');

							// 根据贷款方案，控制贷款年限
							var mouthList = monthString.split(',');
							var daikuanHtml = '';
							$.each(mouthList, function() {
								daikuanHtml += '<option value="' + this + '">' + (this / 12) + '年</option>';
							});
							$daikuanqixianInput.html(daikuanHtml);

							calculate();
						});

						//选择年限
						$daikuanqixianInput.on('change', calculate);

						/**
						 * 计算月供
						 * @param ir - 月利率
						 * @param np - 贷款周期（months）
						 * @param fv - 贷款总额
						 */
						function pmt(ir, np, fv) {
							var value = (fv / np + (np * ir) / np);
							return parseInt(value * 1000) / 1000;
						}

						//计算方案触发事件
						function calculate() {
							var price = $modelInput.val() ? parseInt($modelInput.val()) / 10000 : 0; // 报价（单位：万元）
							console.log('报价万元:', price);
							$baojia.text(price); // 报价（单位：万元）
							$shichang.text(price); // 市场指导价（单位：万元）

							var $checkedLi = $listBox.find('li span.back5'); // 选中的贷款方案
							if($checkedLi.size() > 0) {
								var rate = $checkedLi.attr('data-val'); // 获取选中的贷款方案首付比例

								var soufukuan = price * rate; // 首付款

								var np = parseInt($daikuanqixianInput.val()); // 贷款周期（months）
								var fv = price - soufukuan; //贷款总额
								var ir = 0; //月利率

								switch(np) {
									case 12:
										ir = 0.015;
										break;
									case 24:
										ir = 0.0799;
										break;
									case 36:
										ir = 0.0899;
										break;
								}

								if(ir) {
									var yuefu = pmt(ir, np, fv);

									$soufukuan.text(soufukuan.toFixed(2));
									$cankaojia.text(yuefu);
								} else {
									$soufukuan.text('0');
									$cankaojia.text('0');
								}
							}
						}

						$(".carmodeitem", $box).eq(0).addClass("itemshow").show();

					}
				});

			}
		});
	}
});