$(function() {
	service_insurance();
	// 保险产品
	function service_insurance() {
		var $box = $("#modular");

		$.ajax({
			type: 'GET',
			dataType: 'json',
			url: AJAXURL + '/v1/news/insurance',
			data: {},
			success: function(json) {
//				console.log('API Data:', json.data.vehicle);
//				var html = Mustache.render(tpl, json);
//				$box.html(html);
//				$box.initUI();

				//页面装载之后将节点缓存
				var $select_f = $box.find('#select_first'),
					$select_s = $box.find('#select_second'),
					$baojia = $box.find('#baojia'),
					$insurance_type = $box.find('.insurance_type'),
					$single = $box.find('.single_choose li'),
					$abmt = $box.find('#abatement_D'),
					priceOfCar = 0,
					passenger

				var dataLen = json.data.vehicle.length,
					i;

				var str = '';

				for(i = 0; i < dataLen; i++) {
					str = '<option value="' + i + '">' + json.data.vehicle[i].name + '</option>';
					$select_f.append(str);
				}

				$select_f.on('change', function() {
					$select_s.html("<option >具体型号：</option>");
					var $index = $(this).val(),
						i = 0,
						len = json.data.vehicle[$index].childs.length;
					var result = json.data.vehicle[$index];
					var vStr = '';
					for(i; i < len; i++) {
						vStr = '<option value="' + result.childs[i].price + '">' + result.childs[i].name + '</option>';
						$select_s.append(vStr);
					}
				});

				//当选择具体某款车的同时将价格绑定到变量中 使用data方法会出现缓存
				var total = 0,
					passengerNum, passengerVal, diff;
				$select_s.on('change', function() {
					console.log($(this).val());
					priceOfCar = Number($(this).val());
					$baojia.text(priceOfCar / 10000);
					$box.find('.count').each(function() {
						var val = $(this).attr('data-value'),
							rat = $(this).attr('data-rate');
						if($(this).attr('data-rate').length >= 8) {
							console.log('这是司乘险');
							var price = parseInt(rat.split(",")[0] * priceOfCar) +
								parseInt(rat.split(",")[1] * priceOfCar);
							this.parentNode.nextElementSibling.children[0].innerHTML = price;
						} else {
							var m = parseInt($(this).attr("data-value")) +
								parseInt($(this).attr("data-rate") * priceOfCar);
							this.parentNode.nextElementSibling.children[0].innerHTML = m;
						}
					});

					//不计免赔  (商业第三者险 + 车辆损失险) * 15%
					var abmt = parseInt($box.find('#T').text()) + parseInt($box.find('#L').text());
					$abmt.parent().next().find("em").html(parseInt(abmt * 0.15));
					counter();
					passengerVal = $('#cheshangrenyuan').find('.val').text();
					$('#num').text(5);
					passengerNum = $('#num').text();
					diff = passengerVal * 0.2;
					console.log(passengerVal);
				});

				$single.on('touchend', function(e) {
					e = e.preventDefault();
					$(this).find('span').addClass('back5');

					if($(this).parent().attr("id") == 'glass') {
						console.log('这是玻璃险');
						var num = parseInt($(this).attr('data-rate') * priceOfCar);
						try {
							this.nextElementSibling.children[0].className = '';
							this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = num;
						} catch(e) {
							this.previousElementSibling.children[0].className = '';
							this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = num;
						}
						counter();
					} else if($(this).find('span').hasClass('back5')) {
						try {
							this.nextElementSibling.children[0].className = '';
							this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = $(this).attr('data-value');
						} catch(e) {
							this.previousElementSibling.children[0].className = '';
							this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = $(this).attr('data-value');
						}
					}
				});

				//保险种类单选效果
				$insurance_type.on('touchend', function() {
					if($(this).find('span').hasClass('back2')) {
						$(this).find('span').removeClass('back2');
						this.parentNode.nextElementSibling.children[0].innerHTML = '0';
					} else {
						if(this.id == 'third_D') {
							//这是第三者

							$(this).find('span').addClass('back2');
							$box.find('#third_wrap li').each(function() {
								if($(this).find('span').hasClass('back5')) {
									var p = $(this).find('span').attr('data-value');
									console.log(p);
									console.log(this.parentNode.parentNode.nextElementSibling.children[0]);
									this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = p;
								}
							})
						} else if(this.id == 'scratch') {
							//'这是车身划痕险';

							$(this).find('span').addClass('back2');
							$box.find('#scratch_D li').each(function() {
								if($(this).find('span').hasClass('back5')) {
									var o = $(this).find('span').attr('data-value');
									this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = o;
								}
							})
						} else if(this.id == 'abatement_D') {
							//'这是不计免赔';

							$(this).find('span').addClass('back2');
							var abmt = parseInt($box.find('#T').text()) + parseInt($box.find('#L').text());
							$abmt.parent().next().find("em").html(parseInt(abmt * 0.15));
						} else if(this.id == 'driver') {
							//'这是司乘险';
							if($(this).attr('data-value') == 0) {
								$(this).find('span').addClass('back2');
								var price = parseInt($(this).attr("data-rate").split(",")[0] * priceOfCar) +
									parseInt($(this).attr("data-rate").split(",")[1] * priceOfCar);
								this.parentNode.nextElementSibling.children[0].innerHTML = price;
							} else {
								if($(this).find('span').hasClass('back2')) {
									$val.text(parseInt($(this).attr('data-value')));
								} else {
									$val.text(0);
								}
							}

						} else {
							$(this).find('span').addClass('back2');
							var single = parseInt($(this).attr('data-value')) +
								parseInt($(this).attr('data-rate') * priceOfCar);
							$(this).parent().next().find("em").html(single);
						}
					}
					counter();
				});

				//第三者责任险金额单选
				var third_li = document.getElementById('third_wrap').children,
					len = third_li.length,
					i, j, index = 0;
				for(i = 0; i < len; i++) {
					third_li[i].index = i;
					third_li[i].ontouchend = function() {
						index = this.index;
						for(j = 0; j < len; j++) {
							third_li[j].children[0].className = '';
						}
						third_li[index].children[0].className = 'back5';
						var p = third_li[index].children[0].getAttribute('data-value');
						document.getElementById('T').innerHTML = p;
						this.parentNode.previousElementSibling.children[0].className = 'back2';
						counter();
					}
				}

				//车身划痕险
				var scratch_li = document.getElementById('scratch_D').children,
					sLen = scratch_li.length;
				for(i = 0; i < sLen; i++) {
					scratch_li[i].index = i;
					scratch_li[i].ontouchend = function() {
						index = this.index;
						for(j = 0; j < sLen; j++) {
							scratch_li[j].children[0].className = '';
						}
						scratch_li[index].children[0].className = 'back5';
						var k = scratch_li[index].children[0].getAttribute('data-value');
						document.getElementById('S').innerHTML = k;
						this.parentNode.previousElementSibling.children[0].className = 'back2';
						counter();
					}
				}

				function counter() {
					var totalNum = 0;
					$box.find('.val').each(function() {
						totalNum += Math.ceil(this.innerHTML);
					});

					$box.find('#cankaojia').text(totalNum);
					console.log(totalNum);
				}
				counter();

				$('#minus').on('touchend', function() {
					console.log('乘客' + passengerNum, passengerVal);
					passengerNum--;
					if(passengerNum <= 0) {
						passengerNum = 1;
						return false;
					}
					$('#num').text(passengerNum);
					console.log(diff);
					passengerVal -= diff;
					$('#passenger').text(parseInt(passengerVal));
					$('#driver').attr({
						'data-value': passengerVal
					});
					counter();
				});
				$('#plus').on('touchend', function() {
					passengerNum++;
					if(passengerNum >= 6) {
						passengerNum = 5;
						return false;
					};
					$('#num').text(passengerNum);
					passengerVal += diff;
					$('#passenger').text(parseInt(passengerVal));
					$('#driver').attr({
						'data-value': passengerVal
					});
					counter();
				});
			}
		});
	}
});