;(function($){
	var topTabDom = $('.top_tab');
	var dataListDom = $('.data_list .data');
	var timeDom = $('.j-time-dom');
	var charDom = $('.j-char-dom');
	var timeNavDom = $('.j-time');
	var charNavDom = $('.j-char');
	var statusDom = $('.kj_search');
	var moreDom = $('#More');
    var orderData = 1,fuwuData = 1;
	fuwu = {
		//线索列表请求参数
		checkVal:{
			type:'o',//o 订单 s 服务 默认order
			time:'',//规定参数 天:day; 周: week (不传默认天,用于首页看板或顶部时间快捷筛选)
			page:1,//分页数
			// num:10,//请求条数 默认10
			start_time:'',
			end_time:'',
			status:0,//状态0：待回访1:已回访2:服务中3:已预定4:服务完成5:订单取消6:订单结束’（订单服务一样，不传默认全部）
			goods_type:'',//商品类型 订单 2:零件订单 ｜ 服务 1:预约保养 2:预约维修
		},
		//初始化线索列表请求参数、dom
		//o 订单 s 服务
		resetCheckVal:function(s_){
			//清空数据dom
			dataListDom.html('');
			//时间
			$('#demo1').val('')
			$('#demo2').val('')
			timeNavDom.text('全部时段');
			timeDom.find('.search_time_tt li a').removeClass('active');
			timeDom.find('.search_time_tt li a:eq(0)').addClass('active');
			//类型
			charDom.find('.search_time_tt li a').removeClass('active');
			charDom.find('.search_time_tt li a:eq(0)').addClass('active');
			var charCheckTxt = charDom.find('.search_time_tt li a:eq(0)').text();
			var charCheckVal = charDom.find('.search_time_tt li a:eq(0)').attr('data-rang');
			charNavDom.text(charCheckTxt);
			//状态
			statusDom.find('li').removeClass('active');
			statusDom.find('li:eq(0)').addClass('active');
			var statusCheckVal = statusDom.find('li:eq(0)').attr('data-val');

			//参数
			fuwu.checkVal.type = s_;
			fuwu.checkVal.time = '';
			fuwu.checkVal.page = 1;
			fuwu.checkVal.start_time = '';
			fuwu.checkVal.end_time = '';
			fuwu.checkVal.status = statusCheckVal;
			fuwu.checkVal.goods_type = charCheckVal;

		},
		setCheckVal:function(data){
			//清空数据dom
			dataListDom.html('');
			//类型
			var typeVal = data.type == 'o'?0:1;
			topTabDom.find('li a').removeClass('active');
			topTabDom.find('li:eq('+typeVal+') a').addClass('active');
			//时间
			var timeVal = data.time == 'day'?0:1;
			$('#demo1').val(data.start_time)
			$('#demo2').val(data.end_time)
			timeNavDom.text('时间范围');
			timeDom.find('.search_time_tt li a').removeClass('active');
			timeDom.find('.search_time_tt li a:eq('+timeVal+')').addClass('active');
			//类型
			var charVal = 0;
			if(data.goods_type == 2){charVal=1}
			charDom.find('.search_time_tt li a').removeClass('active');
			charDom.find('.search_time_tt li a:eq('+charVal+')').addClass('active');
			var charCheckTxt = charDom.find('.search_time_tt li a:eq('+charVal+')').text();
			var charCheckVal = charDom.find('.search_time_tt li a:eq('+charVal+')').attr('data-rang');
			charNavDom.text(charCheckTxt);
			//状态
			statusDom.find('li').removeClass('active');
			statusDom.find('li').each(function(){
				var statusCheckVal = $(this).attr('data-val'); 
				if(data.status == statusCheckVal){
					$(this).addClass('active');
					data.status = statusCheckVal;
				}
			})

			//参数
			fuwu.checkVal = data;
		},
		//初始化 筛选项
		//o 订单 s 服务
		getState:function(s_,call){
			if(s_ == 'o' && orderData != 1){
				fillTab(orderData.tab_status);
				fillSea(orderData.sea_status);
				if(call){
					call(1);
				}
			}
			if(s_ == 's' && fuwuData != 1){
				fillTab(fuwuData.tab_status);
				fillSea(fuwuData.sea_status);
				if(call){
					call(1);
				}
			}
			if(orderData == 1 || fuwuData == 1){
				getStateAjax(s_,function(data){
					s_ == 'o'?orderData = data:fuwuData = data;
					fillTab(data.tab_status);
					fillSea(data.sea_status);
					if(call){
						call(1);
					}
				});
			}
			function fillTab(data){
				var li_wid = 0;
				var len = data.length;
				statusDom.children('ul').html('');
				for(var s=0;s<len;s++){
					statusDom.children('ul').append('<li data-val="'+data[s]['statusId']+'">'+data[s]['statusName']+'</li>')
				}
				var li = statusDom.find('li');
				for (var i=0;i<len;i++) {
					li_wid += parseFloat( li.eq( i ).innerWidth() );
				}
				statusDom.children('ul').width( li_wid+20 + 'px' );
			}
			function fillSea(data){
				var len = data.length;
				var dom = charDom.find('.search_time_tt');
					dom.html('')
				for(var s=0;s<len;s++){
					dom.append('<li><a href="javascript:;" data-rang="'+data[s]['val']+'">'+data[s]['name']+'</a></li>');
				}
			}
			function getStateAjax(fn,callback){
				common.loading('show');
				$.ajax({
		            type: "POST",
		            url: common._url+'Clues/OrderService/moreScreening',
		            // dataType:'jsonp',
		            // async: false,
		            data:{
		            	'type':fn
		            },
		            success: function(res){
		            	if(res.code == 200){
		            		common.loading('none');
		            		if(callback){
		            			callback(res.data);
		            		}
		            	}
		            },error:function() {
		                common.pop('网络错误');
		            }
				})
			}
		},
		//线索列表数据dom 返回html
		datalist:function(data){
			var len = data.length;
			var html = '';
			for(var i=0;i<len;i++){
				html += '<li data-id="'+data[i]['id']+'">'+
					'<h3>'+data[i]['status_name']+'</h3>'+
					'<div class="data-info">'+
						'<div class="data-info_left">'+
							'<div>';
							if(data[i]['sex'] == 1){
								html += '<em>♂</em>';
							}else{
								html += '<em style="color:red">♀</em>';
							}
						html += data[i]['name']+'</div>'+
						'</div>'+
						'<div class="data-info-right">'+
							'<p class="tit">'+data[i]['clationname']+'</p>'+
							'<p>订单类型：'+data[i]['type_name']+'</p>'+
							'<p>'+data[i]['gotime']+'</p>'+
						'</div>'+
					'</div>'+
					'<button type="button"><em></em>立即跟进</button>'+
				'</li>';
			}
			// console.log(html)
			return html;
		}
	}
	window.fuwu = fuwu;
})(window.jQuery);