;(function(){
	var barDom = $('.shuzhi');
	var dataDom = $('.box');
	var numDom = $('.renshu');
	var tabDom = $('#nav_box_content');
	var groupid=localStorage.getItem('roleid');
	var timeType = 1;
	if(groupid == 6 || groupid == 22){
		barDom.css('margin-top','.6rem');
	}
	var dataMap = {
		'DoTheTask':{
			'name':'DoTheTask',
			'title':'待办任务',
			'val':0,
			'hdom':'<thead><tr><th>状态</th><th>数量</th></tr></thead>',
			'data':[]
		},
		'DoTheTask2':{
			'name':'DoTheTask2',
			'title':'待办任务',
			'val':0,
			'hdom':'<thead><tr><th>级别</th><th>数量</th></tr></thead>',
			'data':[]
		},
		'UntreatedQuantity':{
			'name':'UntreatedQuantity',
			'title':'超时任务',
			'val':0,
			'hdom':'<thead><tr><th>状态</th><th>超时数量</th></tr></thead>',
			'data':[]
		},
		'InviteSuccess':{
			'name':'InviteSuccess',
			'title':'邀约成功',
			'val':0,
			'hdom':'<thead><tr><th>意向车系</th><th>数量</th></tr></thead>',
			'data':[]
		},
		'Visit':{
			'name':'Visit',
			'title':'回访次数',
			'val':0,
			'hdom':'<thead><tr><th>渠道</th><th>回访数量</th></tr></thead>',
			'data':[]
		},
		'volume':{
			'name':'volume',
			'title':'到店成交',
			'val':0,
			'hdom':'<thead><tr><th>车系</th><th>数量</th></tr></thead>',
			'data':[]
		},
		'StayVisit':{
			'name':'StayVisit',
			'title':'待回访',
			'val':0,
			'hdom':'<thead><tr><th>类型</th><th>数量</th></tr></thead>',
			'data':[]
		},
		'Communicate':{
			'name':'Communicate',
			'title':'需再次沟通',
			'val':0,
			'hdom':'<thead><tr><th>类型</th><th>数量</th></tr></thead>',
			'data':[]
		},
		'StayShop':{
			'name':'StayShop',
			'title':'待到店',
			'val':0,
			'hdom':'<thead><tr><th>类型</th><th>数量</th></tr></thead>',
			'data':[]
		},
		'Obtain':{
			'name':'Obtain',
			'title':'取得预约',
			'val':0,
			'hdom':'<thead><tr><th>类型</th><th>数量</th></tr></thead>',
			'data':[]
		},

	}
	var dataMapROle = {
		'6':[//电销
			dataMap['DoTheTask'],
			// dataMap['UntreatedQuantity'],
			dataMap['InviteSuccess'],
			dataMap['Visit']
		],
		'22':[//直销
			dataMap['DoTheTask2'],
			// dataMap['UntreatedQuantity'],
			dataMap['volume'],
			dataMap['Visit']
		],
		'24':[//服务专员
			dataMap['StayVisit'],
			dataMap['Communicate'],
			dataMap['StayShop'],
			dataMap['Obtain']
		]
	}
	function init(){
		getdata({'type':1},function(res){
			var getData = res.data;
			var list = dataMapROle[groupid];
			for(var i in list){
				var name = list[i]['name'];
				dataMap[name]['data'] = getData[name+'_list'];
				dataMap[name]['val'] = getData[name]?getData[name]:0;
			}
			initNav();
		})
	}
	function getdata(data,callback){
		common.loading('show');
		$.ajax({
			type: "get",
			url: common._url+'appapi/index',
			data:data,
			success: function(res) {
				common.loading('none');
				if(callback){
					callback(res);
				}
			},
			error:function() {
				common.loading('none');
                common.pop('网络错误');
            }
		});
	}
	function insertDatalist(name){
		var html = '';
		var list = dataMapROle[groupid];
		for(var i in list){
			if(list[i]['name'] == name){
				html += list[i]['hdom']+
				'<tbody>';
					var datalists = list[i]['data'];
					if(datalists){
						for(var s=0;s<datalists.length;s++){
							/*if(groupid == 6){
								var urlcode = common._urlFile+"data-list.html?type="+response.data.type+"&urlV="+data.DoTheTask_list[obj].data.urlV+"&urlKey=&"+ (data.DoTheTask_list[obj].data.urlKey)
							}else if(groupid == 22){

							}else if(groupid == 24){

							}*/
							html += '<tr>'+
								'<td><a href="'+common._urlFile+'data-list.html?type='+datalists[s]['urlKey']+'">'+datalists[s]['title']+'</a></td>'+
								'<td><a href="'+common._urlFile+'data-list.html?type='+datalists[s]['urlKey']+'">'+datalists[s]['data']['urlV']+'</a></td>'+
							'</tr>';
						}
					}
				html += '</tbody>';
			}
		}
		dataDom.html(html);
	}
	function initNav(){
		var nav = dataMapROle[groupid];
		var html = '';
		for(var i=0;i<nav.length;i++){
			html += '<li class="'+nav[i]['name']+'" data-name="'+nav[i]['name']+'" data-tit="'+nav[i]['title']+'"><span></span>'+nav[i]['val']+'</li>';
		}
		barDom.html(html);
		barDom.children('li:eq(0)').addClass('backClick');
		var first = barDom.children('li:eq(0)');
		insertDatalist(first.attr('data-name'));
		numDom.children('.renshuDetail').children('span').text(first.text());
		numDom.children('.success').text(first.attr('data-tit'));
	}
	barDom.on('click','li',function(){
		var _this = $(this);
		var name = _this.attr('data-name');
		_this.addClass('backClick');
		_this.siblings().removeClass('backClick')
		numDom.children('.renshuDetail').children('span').text(_this.text());
		numDom.children('.success').text(_this.attr('data-tit'));
		insertDatalist(name);
	})
	tabDom.on('click','li',function(){
		var _this = $(this);
		_this.addClass('ft_default');
		_this.siblings().removeClass('ft_default');
		getdata({'type':_this.attr('data-type')},function(res){
			var getData = res.data;
			var list = dataMapROle[groupid];
			for(var i in list){
				var name = list[i]['name'];
				dataMap[name]['data'] = getData[name+'_list'];
				dataMap[name]['val'] = getData[name]?getData[name]:0;
			}
			initNav();
		})
	})
	init();
})();