$(function(){
	//-------------------------------------提交信息接口开始-------------------------------------------
	$(".determine").click(function(){
		//旧密码
		var OldPassword=$("#OldPassword").val();
		//新密码
		var NewPassword=$("#NewPassword").val();
		
		//验证旧密码
		if(CheckPassWord(OldPassword)){
			error_text("");
		}else{
			error_text("旧密码格式错误！请重新输入");
			return false;
		}
		
		//验证新密码
		if(CheckPassWord(NewPassword)){
			error_text("");
		}else{
			error_text("新密码格式错误！请输入6~8位新密码");
			return false;
		}
		
		//提交数据
		$.ajax({
			type:"post",
			url:MemberAjax_url+"member/edit_pwd",
			async:true,
			data:{
				type:1,
				old_pwd:OldPassword,
				new_pwd:NewPassword
			},
			success:function(con){
				console.log(con)
				if(con.code=="200"){
					error_text("新密码设置成功！3秒后自动返回");
					$(".error_text").addClass("error_text2");
					setTimeout(function(){
						goBack();
					},3000)
				}else{
					error_text(con.msg);
				}
			}
		});
	})
	//-------------------------------------提交信息接口结束-------------------------------------------
	
	//查看点击效果
	$(".icon_mg").click(function(){
		if($(this).hasClass("on")){
			$(this).removeClass("on").prev("input").attr("type","password");
		}else{
			$(this).addClass("on").prev("input").attr("type","text");;
		}
	});
	
	
	//验证密码格式
	function CheckPassWord(password) {//必须为字母加数字且长度不小于8位
	   var str = password;
	    if (str == null || (str.length <6 || str.length>8)) {
	        return false;
	    }
	    var reg1 =/^[0-9A-Za-z]*$/g;
	    if (!reg1.test(str)) {
	        return false;
	    }else{
	    	return true;
	    }
	}
	
	//错误提示
	function error_text(text_obj) {
		$(".error_text").html(text_obj);
	}
})
