$(function(){
	//-----------------------获取用户手机号码开始----------------------------
	$.ajax({
		type:"post",
		url:ShopAjax_url+"account",
		async:true,
		success:function(con){
			if(con.code=="200"){
				var telCon=con.data.tel;
				telCon=telCon.replace(telCon.substring(3,8),"*****");
				$(".num").html(telCon).attr("data-tel",con.data.tel);
				
				//注册获取验证码点击事件
				getCode();
			}
		}
	});
	//-----------------------获取用户手机号码结束----------------------------
	
	function getCode(){
		//-----------------------获取验证码接口开始-----------------------------
		var gtTime=60;
		var timeOut;
		$(".obtain").click(function(){
			if($(this).attr("data-click")=="on"){
				var telText=$(".num").attr("data-tel");
				$.ajax({
					type:"post",
					url:MemberAjax_url+"member/sendmsg",
					async:true,
					data:{
						tel:telText,
						type:"send"
					},
					success:function(con){
						if(con.code=="200"){
							$(".obtain").attr("data-click","off").html(gtTime+"秒后重试").addClass("obtain2");
							$("#codeText").html("验证码已发送至");
							//设置倒计时
							clearInterval(timeOut);
							timeOut=setInterval(function(){
								gtTime--;
								$(".obtain").html(gtTime+"秒后重试");
								if(gtTime==0){
									clearInterval(timeOut);
									$(".obtain").attr("data-click","on").html("获取验证码").removeClass("obtain2");
									gtTime=60;
									return false;
								}
							},1000)
						}else{
							error_text(con.msg);
						}
					}
				});
			}
		})
		//-----------------------获取验证码接口结束-----------------------------
	}
	
	//-----------------------------密码修改提交开始----------------------------------
	$(".determine").click(function(){
		var telText=$(".num").attr("data-tel");
		var codeCon=$("#telCode").val();
		var newPwd=$("#newPassword").val();
		
		//验证新密码
		if(CheckPassWord(newPwd)){
			error_text("");
		}else{
			error_text("新密码格式错误！请输入6~8位密码");
			return false;
		}
		
		$.ajax({
			type:"post",
			url:MemberAjax_url+"member/edit_pwd",
			async:true,
			data:{
				type:2,
				code:codeCon,
				new_pwd:newPwd,
				tel:telText
			},
			success:function(con){
				if(con.code=="200"){
					error_text("新密码修改成功！3秒后自动返回");
					$(".error_text").addClass("error_text2");
					setTimeout(function(){
						goBack();
					},3000)
				}else{
					error_text(con.msg);
				}
			}
		});
	})
	//-----------------------------密码修改提交结束----------------------------------
	
	//查看密码
	$(".icon_mg").click(function(){
		if($(this).hasClass("on")){
			$(this).removeClass("on");
			$("#newPassword").attr("type","password");
		}else{
			$(this).addClass("on");
			$("#newPassword").attr("type","text");
		}
	})
	
	//验证密码格式
	function CheckPassWord(password) {//必须为字母加数字且长度不小于8位
	   var str = password;
	    if (str == null || (str.length <6 || str.length>8)) {
	        return false;
	    }
	    var reg1 =/^[0-9A-Za-z]*$/g;
	    if (!reg1.test(str)) {
	        return false;
	    }else{
	    	return true;
	    }
	}
	
	//错误提示
	function error_text(text_obj) {
		$(".error_text").html(text_obj);
	}
})
