$(function() {
	//获取图片验证码
    $(".verify-img").click(function(){
		$(this).attr("src","/shop/verify?t="+Math.random());
	}).click();
	
	var user_phone = ""; //用户手机号
	var user_yzm = ""; //用户验证码
	var time_yzm; //验证码请求时间
	var time_number = 60; //时间为秒计算
	var time_set = time_number;
	$("#btn_time").click(function() {
		if($(this).attr("data-click") == "on") {
			user_phone = $("#user_phone").val();
			var verify_codeCon=$("#img_yzm").val();
			if(phone_yz(user_phone)) {
				//校验图片验证码
				if(verify_codeCon=="" || verify_codeCon=="请输入图片验证码"){
		    		error_text("请输入图片验证码！");
		    		return false;
		    	}
				$.ajax({
					type:"post",
	    			url:ShopAjax_url+"sendcode",
	    			async:true,
	    			data:{
	    				tel:user_phone,
						verify_code:verify_codeCon,
	    				type:"send"
	    			},
					success: function(con) {
						$(".verify-img").click();
						if(con.code == "405") {
							$("#btn_time").html("获取验证码").attr("data-click", "on");
							time_set = time_number;
							clearInterval(time_yzm);
							error_text(con.msg);
						} else {
							error_text("");
						}
					}
				});
				error_text("");
				//$("#user_phone").parent("li").removeClass("red_border");

				$(this).attr("data-click", "off").html(time_set + "秒后重试");
				time_yzm = setInterval(function() {
					time_set--;
					$("#btn_time").html(time_set + "秒后重试");
					
					if(time_set <= 0) {
						$("#btn_time").html("获取验证码").attr("data-click", "on");
						time_set = time_number;
						clearInterval(time_yzm);
					}
				}, 1000)
				$(".check_text").show();
				$(".p02").hide();
				$(".my_phone").hide();
				var ph = user_phone.replace(user_phone.substring(3,8),"*****")
				$(".p01").html("请输入"+ph+"收到的短信验证码")
			} else {
				error_text("手机号格式错误！");
				//$("#user_phone").focus().parent("li").addClass("red_border");
			}
		}
	})

	//手机号码验证
	function phone_yz(MobileValue) {
		if(MobileValue && /^1[3|4|5|7|8]\d{9}$/.test(MobileValue)) {
			return true;
		} else {
			return false;
		}
	}

	//错误提示
	function error_text(text_obj) {
		$(".error_text").html(text_obj);
	}

	var yzm = '';
	$("#yzmbtn").on('click', function() {
		yzm = $('#yzm').val();
		var phone = $("#user_phone").val();
		if($("#yzm").val()==""){
			error_text("验证码不可为空！");
			return false;
		}
		$.ajax({
			type: "post",
			data: {
				tel: phone,
				code: yzm
			},
			url: ShopAjax_url + "forgetcode",
			async: true,
			success: function(data) {
				$("#yzm,#img_yzm").val("");
				if(data.code == 405) {
					error_text("用户不存在，3秒后自动跳转至注册页面！");
					if(data.msg == "用户不存在") {
						setTimeout(function(){
							window.location.href = "register.html";
						},3000)
					}
				} else {
					$(".p02").html('用户名：' + data.data).show();
					$(".shezhi").show();
					$(".zhaohui").hide();
					error_text("");
				}

			}

		});

	})

	//完成 提交
	$("#wanceng").on("click", function() {
		var phone = $("#user_phone").val();
		var paw = $("#paw").val();
		if(!CheckPassWord(paw)){
			error_text("密码由6-12位数字和字母组成！");
			return false;
		}else{
			error_text("");
		}
		$.ajax({
			type: "post",
			data: {
				tel: phone,
				pwd: paw,
				code: yzm
			},
			url: ShopAjax_url + "forget",
			async: true,
			success: function(data) {
				if(data.code == 200) {
					error_text("修改成功，3秒后自动跳转至登录");
					setTimeout(function(){
						window.location.href = "login.html";
					},3000);

				} else if(data.code == 405) {
					error_text(data.msg);
					setTimeout(function() {
						$("#btn_time").html("获取验证码").attr("data-click", "on");
						time_set = time_number;
						clearInterval(time_yzm);
						$(".shezhi").hide();
						$(".zhaohui").show();

						error_text("");
					}, 1500)

				}
			}

		});

	})
	
	 function CheckPassWord(password) {//必须为字母加数字且长度不小于8位
	   var str = password;
	    if (str == null || (str.length <6 || str.length>12)) {
	        return false;
	    }
	    var reg1 =/^[0-9A-Za-z]*$/g;
	    if (!reg1.test(str)) {
	        return false;
	    }else{
	    	return true;
	    }
//	    var reg = new RegExp(/[A-Za-z].*[0-9]|[0-9].*[A-Za-z]/);
//	    if (reg.test(str)) {
//	        return true;
//	    } else {
//	        return false;
//	    }
	}
})