$(function() {
	// -----------------------分页加载列表------------------------

	// 页数
	var page = 0;
	// 每页展示5个
	var size = 5;

	// dropload
	$('.content').dropload({
		scrollArea: window,
		loadDownFn: function(me) {
			page++;
			// 拼接HTML
			var result = '';
			$.ajax({
				type: 'post',
				url: "" + ShopAjax_url + "gethotactive",
				dataType: 'json',
				data: {
					page: page,
					num: size
				},
				success: function(con) {
					var arrLen = con.data.length;
					if(arrLen > 0) {
						for(var i = 0; i < arrLen; i++) {
							result += '<li data-id="' + con.data[i].id + '"><a href="###"><img src="'+getAllUrl(con.data[i].pc_pic) + '"/><p class="grzx-tj-name">' + con.data[i].title + '</p><p class="grzx-tj-time"><em></em><i>';

							result += con.data[i].start_time;
							result += '</i><i>至</i><i>' + con.data[i].end_time + '</i></p></a></li>';
						}
						// 如果没有数据
					} else {
//						console.log('加载完毕')
					}
					// 插入新数据
					// 插入数据到页面，放到最后面
					$('#remenhuodong').append(result);
					// 每次数据插入，必须重置
					me.resetload();
				},
				error: function(xhr, type) {
					console.log('Ajax error!');
					// 即使加载出错，也得重置
					me.resetload();
				}
			}); //ajax 结束
		}
	});
	
	//---------------------------------会员信息接口调用开始-----------------------------------
	$.ajax({
		type:"post",
		url:MemberAjax_url+"member/aggregate",
		async:true,
		success:function(con){
			if(con.code=="200"){
				//判断是否在23家经销商内
				if(con.data.check_dealer_code==0){
					setCookie("checkDealer",0);
				}else if(con.data.check_dealer_code==1){
					setCookie("checkDealer",1);
				}
				if(getCookie("checkDealer")==0){
					//隐藏不显示的功能
					$("#MemberName").click(function(){
						return false;
					})
					$(".checkDealer").hide();
				}else if(getCookie("checkDealer")==1){
					$(".checkDealer").show();
				}
				//设置头像
				$("#grzx_tx").attr("src",getAllUrl(con.data.thumb));
				//设置车主
				if(con.data.user_car==1){
					if(con.data.sex == 1) {
						$("#grzx_czname").html('<span>' + con.data.name + '</span><i>♂</i><em>车主</em>');
					} else if(con.data.sex == 2) {
						$("#grzx_czname").html('<span>' + con.data.name + '</span><i>♀</i><em>车主</em>');
					}else{
						$("#grzx_czname").html('<span>' + con.data.name + '</span>');
					}
				}else{
					if(con.data.sex == 1) {
						$("#grzx_czname").html('<span>' + con.data.name + '</span><i>♂</i>');
					} else if(con.data.sex == 2) {
						$("#grzx_czname").html('<span>' + con.data.name + '</span><i>♀</i>');
					}else{
						$("#grzx_czname").html('<span>' + con.data.name + '</span>');
					}
				}
				//设置会员级别
				$("#MemberName").html(con.data.level_name+"会员");
				//设置到期时间
				/*if(con.data.member_overdue==4){
					$(".grzx-cztime").html("永久有效");
				}else if(con.data.member_overdue==3){
					$(".grzx-cztime").html("会员已到期");
				}else{
					$(".grzx-cztime").html(getLocalTime(con.data.level_etime)+"到期");
				}*/
				$(".grzx-cztime").html(showMemberDate(con.data.member_overdue,con.data.level_etime));
				//设置未读消息
				if(con.data.count!="0"){
					$(".grzx-xxgs").html('<i id="grzx_last_num">' + con.data.count + '</i>');
				}
				//设置我的爱车数量
				if(con.data.car_count==0){
					if(getCookie("checkDealer")==0){
						//隐藏不显示的功能
						$(".color1").html('');
					}else{
						$(".color1").html('认证爱车提升等级和获赠积分');
					}
				}else{
					$(".color1").html(con.data.car_count);
				}
				//设置关注的经销商数量
				if(con.data.dealer_count==0){
					$("#attention-quantity").html("未关注经销商");
				}else{
					$("#attention-quantity").html(con.data.dealer_count);
				}
			}else{
				window.location.href="login.html";
			}
		}
	});
	//---------------------------------会员信息接口调用结束-----------------------------------
	
	//-----------------------------------获取家庭等级开始-----------------------------------
	$.ajax({
		type:"post",
		url:MemberAjax_url+"member/family",
		async:true,
		success:function(con){
			if(con.code=="200"){
				//--------------------设置等级开始--------------------------
				$("#grade-text").html(con.data.family_level+"等级");
				//--------------------设置等级结束--------------------------
			}
		}
	});
	//-----------------------------------获取家庭等级结束-----------------------------------
	
	//时间戳转转换
	function getLocalTime(nS) {
    	var timeCon=new Date(parseInt(nS) * 1000).toLocaleString().replace(/:\d{1,2}$/,' ');
    	timeCon=timeCon.split(" ");
    	timeCon=timeCon[0].split("-")
    	return timeCon[0]+"年"+setTime(timeCon[1])+"月"+setTime(timeCon[2])+"日";
    }
	function setTime(timeCon){
		if(timeCon<10){
			return "0"+timeCon;
		}else{
			return timeCon;
		}
	}
})