$(function() {
	var urlStr = window.location.search;
	urlStr=urlStr.substring(urlStr.indexOf("?") + 1).split("&");
	var car_id = urlStr[0].substring(urlStr[0].indexOf("=") + 1);
	var parentidCon= urlStr[1].substring(urlStr[1].indexOf("=") + 1);

	$.ajax({
		url: ShopAjax_url + "getbespeakinfo",
		type: "post",
		data: {
			id: car_id,
			parentid:parentidCon
		},
		success: function(res) {
			if(res) {
				var data = res.data;
				var items = [];
				//获取经销商电话开始
				var dealer_data = data.dealer_tel;
				var dealer_tel = "";
				if(dealer_data.indexOf("<br>") > -1) {
					dealer_data = dealer_data.split('<br>');
					for(var j = 0; j < dealer_data.length; j++) {
						dealer_tel += '<a href="tel:' + dealer_data[j] + '">' + dealer_data[j] + '</a><br/>';
					}
				} else {
					dealer_tel = '<a href="tel:' + dealer_data + '">' + dealer_data + '</a>';
				}
				//获取经销商电话结束
				items.push('<div class="order">');
				items.push('<div class="order_title">');
				items.push('<div class="order_num">订单号：' + data.orderid + '</div>');
				items.push('<div class="order_date">' + data.createTime + '</div>');
				items.push('</div>');
				items.push('<div class="order_main">');
				items.push('<a>');
				items.push('<div class="car">');
				//如果进度状态是1显示进行中的图片
				if(data.status == 1) {
					items.push('<img src="images/public_img/way.png" class="ing" />');
				}
				items.push('<img src="'+getAllUrl(data.thumb) + '" class="car_img" />');
				items.push('</div>')
				items.push('<p>' + data.clationname + '</p>');
				if(data.price!=""){
					items.push('<span>￥' + (data.price / 10000).toFixed(2) + '万</span>');
				}
				items.push('</a>');
				items.push('</div>');
				items.push('</div>');
				items.push('<div class="dealer mt20">');
				items.push('<div class="dealer_title"><span>经销商信息</span></div>');
				items.push('<div class="dealer_main">');
				items.push('<p class="p0">预约商家：<span>' + data.dealer + '</span></p>');
				items.push('<p class="p1">商家电话：<span style="display: inline-table;">'+dealer_tel+'</span></p>');
				items.push('<p class="p2">商家地址：<span>' + data.dealer_address + '</span></p>');
				items.push('</div>');
				items.push('</div>');
				items.push('<div class="linkman mt20">');
				items.push('<div class="linkman_title"><span>联系人信息</span></div>');
				items.push('<div class="linkman_main">');
				items.push('<p>姓名：<span>' + data.name + '</span></p>');
				items.push('<p>电话：<span>' + data.mobile + '</span></p>');
				items.push('<p>地址：<span>' + data.provincename + '&nbsp;' + data.cityname + '&nbsp;' + data.countyname + '</span></p>');
				items.push('<p>预约时间：<span>' + data.drivetime + '</span></p>');
				items.push('</div>');
				items.push('</div>');
				items.push('<div class="back_btn"><a href="javascript:history.go(-1)">返&nbsp;回</a></div>');

				$('#content').html(items.join(''));
			}
		}
	})
})