$(function(){
	//-----------------------获取用户手机号码开始----------------------------
	$.ajax({
		type:"post",
		url:ShopAjax_url+"account",
		async:true,
		success:function(con){
			if(con.code=="200"){
				var telCon=con.data.tel;
				telCon=telCon.replace(telCon.substring(3,8),"*****");
				$(".num").html(telCon).attr("data-tel",con.data.tel);
			}
		}
	});
	//-----------------------获取用户手机号码结束----------------------------
	
	//----------------------- 图形验证码切换开始----------------------------
	$(".img-code").click(function(){
		$(this).attr("src",MemberAjax_url+"shop/verify");
	}).click();
	//----------------------- 图形验证码切换结束----------------------------
	
	//-----------------------获取手机验证码开始-----------------------------
	var gtTime=60;
	var timeOut;
	$(".time").click(function(){
		if($(this).attr("data-click")=="on"){
			var telText=$("#newPhone").val();
			var imgCode=$("#img-code").val();
			//校验手机号
			if(phone_yz(telText)){
				error_text("");
			}else{
				error_text("手机号码输入有误！");
				return false;
			}
			
			if(imgCode==""){
				error_text("手机号码输入有误！");
				return false;
			}else{
				error_text("");
			};
			
			$.ajax({
				type:"post",
				url:MemberAjax_url+"shop/sendcode",
				async:true,
				data:{
					tel:telText,
					type:"send",
					verify_code:imgCode
				},
				success:function(con){
					if(con.code=="200"){
						$(".time").attr("data-click","off").html(gtTime+"秒后重试").addClass("time2");
						//设置倒计时
						clearInterval(timeOut);
						timeOut=setInterval(function(){
							gtTime--;
							$(".time").html(gtTime+"秒后重试");
							if(gtTime==0){
								clearInterval(timeOut);
								$(".time").attr("data-click","on").html("获取验证码").removeClass("time2");
								gtTime=60;
								return false;
							}
						},1000)
					}else{
						error_text(con.msg);
					}
				}
			});
		}
	});
	var reloadcode=function(){
		$(".img-code").attr("src",MemberAjax_url+"shop/verify?"+Math.random());
	};
	$("#newPhone").change(function(){

		reloadcode();
	});
	//-----------------------获取手机验证码结束-----------------------------
	
	//-----------------------手机号提交接口开始----------------------------
	$(".determine").click(function(){
		var phoneCon=$("#newPhone").val();
		var codeCon=$("#telCode").val();
		
		//校验手机号
		if(phone_yz(phoneCon)){
			error_text("");
		}else{
			error_text("手机号码输入有误！");
			return false;
		}
		
		$.ajax({
			type:"post",
			url:MemberAjax_url+"member/update_tel",
			async:true,
			data:{
				tel:phoneCon,
				code:codeCon
			},
			success:function(con){
				if(con.code=="200"){
					error_text("新手机号码已绑定成功!3秒后自动返回");
					$(".error_text").addClass("error_text2");
					setTimeout(function(){
						goBack();
					},3000)
				}else{
					error_text(con.msg);
				}
			}
		});
	})
	//-----------------------手机号提交接口结束----------------------------
	
	//手机号码验证
	function phone_yz(MobileValue) {
		if(MobileValue && /^1[3|4|5|7|8]\d{9}$/.test(MobileValue)) {
			return true;
		} else {
			return false;
		}
	}
	
	//错误提示
	function error_text(text_obj) {
		$(".error_text").html(text_obj);
	}
})
