// 基于准备好的dom，初始化echarts实例
		var myChart = echarts.init(document.getElementById('echarts'));
		// 指定图表的配置项和数据
		var option = {
			title: {
        text: '我的超级疯狂粉',
        x:'center'
			},
	tooltip : {
        trigger: 'item',
        formatter: "{a} <br/>{b} : {c} ({d}%)"
    },
			color: ['#0099CC', '#CC3333', '#993366','#0099CC','#009999'],
			legend: {
				orient: 'vertical',
				x: 'right',
				y: 'bottom',
				data: ['续保次数', '购车次数', '保养次数']
			},
			series: [{
				name: '我的丰田超级粉',
				type: 'pie',
				radius: '60%',
				center: ['50%', '40%'],
				data: [{
						value: 2,
						name: '续保次数'
					},
					{
						value: 2,
						name: '购车次数'
					},
					{
						value: 6,
						name: '保养次数'
					}
				],
				itemStyle: {
					normal: {
						borderColor: "#fff"
					},
					labelLine: {
						show: true
					},
					emphasis: {
						shadowBlur: 10,
						shadowOffsetX: 0,
						shadowColor: 'rgba(0, 0, 0, 0.5)'
					}
				}
			}]
		};
		$(function() {
			memberAjax("member/my_statistics",null,function(json){
				$("#datebox").html(dateToStr(json.data.stime,"yyyy.MM")+"-"+dateToStr(json.data.etime,"yyyy.MM")+"年报");
	           	var list=json.data.content;
				var arr=[],arr1=[];
				for(var i=0;i<list.length;i++){
					arr[i]=list[i].business_name;
					arr1[i]={name:list[i].business_name,value:list[i].paid_money};
				}
				option.title.text=json.data.title;
				option.legend.data=arr;
				option.series[0].name=json.data.title;
				option.series[0].data=arr1;
				// 使用刚指定的配置项和数据显示图表。
				myChart.setOption(option);
	        });
			
		});