$(function(){
	//获取车辆信息
	var codeCon=getUrlParams("code");
	//获取积分
	var fixedIntegral=getUrlParams("total");
	$(".integral-con").html(fixedIntegral);
	
	$.ajax({
		type:"post",
		url:MemberAjax_url+"member/recommend",
		async:true,
		data:{
			code:codeCon
		},
		success:function(res){
			if(res.code=="200"){
				//设置经销商名称
				if(res.data.name!=null){
					$(".d-name").html(res.data.name);
				};
				//设置电话
				if(res.data.tel!=null){
					$(".d-tel").attr("href","tel:"+res.data.tel);
				};
				//设置车型列表
				if(res.data.list!=null){
					var liHtml="";
					for(var i=0; i<res.data.list.length; i++){
						liHtml+='<div class="eachCar"><div class="c_fl1"><img src="'+res.data.list[i].log+'" ></div><div class="c_fl2"><p class="cp1">已有<span class="jf-con" data-number="'+res.data.list[i].d_fraction+'">'+res.data.list[i].d_fraction+'</span>积分</p><p class="cp2">'+res.data.list[i].title+'</p></div><div class="jishuqi"><span class="s1">－</span><input type="number" class="s2" value="0" data-carnum="'+res.data.list[i].carnum+'" /><span class="s3">＋</span></div></div>';
					}
					$(".car-list").html(liHtml);
				}
			}else{
				alert(res.msg);
			};
		}
	});
	
	//保存信息
	var totalCon;
	var carcodeCon;
	var s2Number;
	var listArr;
	$("#head").on("click","#submit-data",function(){
		var thisObj=$(this);
		if(thisObj.attr("data-click")=="off"){
			return false;
		};
		totalCon=[];
		carcodeCon=[];
		listArr=[];
		$(".car-list .eachCar").each(function(){
			s2Number=$(".s2", $(this)).val();
			if(s2Number>0){
				totalCon.push(s2Number)
				carcodeCon.push($(".s2", $(this)).attr("data-carnum"));
			};
		});
		if(totalCon.length==0){
			alert("未分配积分");
			return false;
		};
		for(var i=0; i<totalCon.length; i++){
			listArr.push({"total":totalCon[i],"carcode":carcodeCon[i]});
		}
		listArr=JSON.stringify(listArr);
		thisObj.attr("data-click","off");
		$.ajax({
			type:"post",
			url:MemberAjax_url+"member/distribution",
			async:true,
			data:{
				code:codeCon,
				list:listArr
			},
			success:function(res){
				thisObj.attr("data-click","on");
				if(res.code=="200"){
					$("#returnPage").click();
				}else{
					alert(res.msg)
				}
			}
		});
	});
	
	//积分加减事件创建
	var totalIntegral;
	var carIntegral;
	$('.car-list').on("click",".s1",function () {
		//积分减
		var inputObj=$(this).siblings(".s2");
		var numberText=Number(inputObj.val())-1;
		if(numberText<0){
			numberText=0;
			return false;
		};
		inputObj.val(numberText);
		
		//变更总积分
		totalIntegral=Number($(".integral-con").html());
		$(".integral-con").html(totalIntegral+1);
		
		//变更车辆积分
		var jfCon=$(this).parents(".eachCar").find(".c_fl2 .cp1 .jf-con");
		carIntegral=Number(jfCon.html());
		jfCon.html(carIntegral-1);
	})
	$('.car-list').on("click",".s3",function () {
		if($(".integral-con").html()<=0){
			return false;
		};
		//积分加
		var inputObj=$(this).siblings(".s2");
		var numberText=Number(inputObj.val())+1;
		inputObj.val(numberText);
		
		//变更总积分
		totalIntegral=Number($(".integral-con").html());
		$(".integral-con").html(totalIntegral-1);
		
		//变更车辆积分
		var jfCon=$(this).parents(".eachCar").find(".c_fl2 .cp1 .jf-con");
		carIntegral=Number(jfCon.html());
		jfCon.html(carIntegral+1);
	})
	$('.car-list').on("blur",".s2",function(){
		//手动输入积分
		var numberText=parseInt($(this).val());
		if(numberText<0 || isNaN(numberText)){
			numberText=0;
		}else if(numberText>Number($(".integral-con").html())){
			numberText=Number($(".integral-con").html())
		};
		$(this).val(numberText);
		
		//变更总积分
		var inputNumber=0;
		$(".car-list .eachCar").each(function(){
			inputNumber+=Number($(".s2", $(this)).val());
		});
		totalIntegral=fixedIntegral;
		totalIntegral-=inputNumber;
		$(".integral-con").html(totalIntegral);
		
		//变更车辆积分
		var jfCon=$(this).parents(".eachCar").find(".c_fl2 .cp1 .jf-con");
		carIntegral=Number(jfCon.attr("data-number"));
		jfCon.html(carIntegral+Number(numberText));
	})
	
	//获取url参数
	function getUrlParams(name) {
        var re = new RegExp("("+name+")=(\\w+)");
        var result = window.location.search.match(re);
        if(result === null){return null};
        return result[2];
    }
});