/**
 * Created by rogerwu on 12/17/16.
 */

function service_news_welfareList(tpl, data) {
	var $box = $(this);
	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/news/ownersClub',
		data: {},
		success: function(json) {

			var html = Mustache.render(tpl, json);
			$box.html(html);
			$box.initUI();

			var $menus = $box.find('.header .segment .segment-button'),
				$contents = $box.find('.content .segment-content');

			$menus.each(function(index) {
				$(this).click(function() {
					$menus.removeClass('checked').eq(index).addClass('checked');
					$contents.removeClass('active').eq(index).addClass('active');
				}, index);
			});
		}
	});
}

//车主福利  
function service_news_archiveInfo(tpl, data) {
	console.log(0111,data)
	var $box = $(this);
	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/News/archiveInfo?arcId=' + data.id + '&token='+UserInfo.token+'&type=article',
		data: {},
		success: function(json) {
			console.log('API Data:', json);

			if(json.data.url) {
				json.data.width = $box.get(0).offsetWidth + 'px';
			}
			json.data.collect_url = API_BASE + '/v1/user/myColl?token='+UserInfo.token+'&id=' + json.data.id + '&type=article';
			var html = Mustache.render(tpl, json.data);
			$box.html(html);
			$box.initUI();

		}
	});
}

//会员俱乐部
function huiyuan_iframe(tpl, data) {
	var $box = $(this);

	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/News/archiveInfo?arcId=' + data.id +'&type=article',
		data: {},
		success: function(json) {
			console.log('API Data:', json);

			if(json.data.url) {
				json.data.width = $box.get(0).offsetWidth + 'px';
			}
			json.data.collect_url = API_BASE + '/v1/user/myColl?token='+UserInfo.token+'&id=' + json.data.id + '&type=article';

			var html = Mustache.render(tpl, json);
			$box.html(html);
			$box.initUI();

		}
	});
}

// 保险产品
function service_insurance(tpl, data) {
	var $box = $(this);

	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/news/insurance',
		data: {},
		success: function(json) {
			console.log('API Data:', json.data.vehicle);
			var html = Mustache.render(tpl, json);
			$box.html(html);
			$box.initUI();

			//页面装载之后将节点缓存
			var $select_f = $box.find('#select_first'),
				$select_s = $box.find('#select_second'),
				$baojia = $box.find('#baojia'),
				$insurance_type = $box.find('.insurance_type'),
				$single = $box.find('.single_choose li'),
				$abmt = $box.find('#abatement_D'),
				priceOfCar = 0,
				passenger

			var dataLen = json.data.vehicle.length,
				i;

			var str = '';

			for(i = 0; i < dataLen; i++) {
				str = '<option value="' + i + '">' + json.data.vehicle[i].name + '</option>';
				$select_f.append(str);
			}

			$select_f.on('change', function() {
				$select_s.html("<option >具体型号：</option>");
				var $index = $(this).val(),
					i = 0,
					len = json.data.vehicle[$index].childs.length;
				var result = json.data.vehicle[$index];
				var vStr = '';
				for(i; i < len; i++) {
					vStr = '<option value="' + result.childs[i].price + '">' + result.childs[i].name + '</option>';
					$select_s.append(vStr);
				}
			});

			//当选择具体某款车的同时将价格绑定到变量中 使用data方法会出现缓存
            var total = 0,passengerNum,passengerVal,diff;
			$select_s.on('change', function() {
				console.log($(this).val());
				priceOfCar = Number($(this).val());
				$baojia.text(priceOfCar / 10000);
				$box.find('.count').each(function() {
                    var val = $(this).attr('data-value'),
                        rat = $(this).attr('data-rate');
					if($(this).attr('data-rate').length >= 8) {
						console.log('这是司乘险');
						var price = parseInt(rat.split(",")[0] * priceOfCar) +
							parseInt(rat.split(",")[1] * priceOfCar);
						this.parentNode.nextElementSibling.children[0].innerHTML = price;
					} else {
						var m = parseInt($(this).attr("data-value")) +
							parseInt($(this).attr("data-rate") * priceOfCar);
						this.parentNode.nextElementSibling.children[0].innerHTML = m;
					}
				});

				//不计免赔  (商业第三者险 + 车辆损失险) * 15%
				var abmt = parseInt($box.find('#T').text()) + parseInt($box.find('#L').text());
				$abmt.parentNode().nextElementSibling.children[0].innerHTML = parseInt(abmt * 0.15);
				counter();
				passengerVal = $('#cheshangrenyuan').find('.val').text();
                $('#num').text(5);
                passengerNum = $('#num').text();
                diff = passengerVal * 0.2;
                console.log(passengerVal);
			});

			$single.on('touchend', function(e) {
				e = e.preventDefault();
				$(this).find('span').addClass('back5');

				if($(this).parentNode().id == 'glass') {
					console.log('这是玻璃险');
					var num = parseInt($(this).attr('data-rate') * priceOfCar);
					try {
						this.nextElementSibling.children[0].className = '';
						this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = num;
					} catch(e) {
						this.previousElementSibling.children[0].className = '';
						this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = num;
					}
					counter();
				} else if($(this).find('span').hasClass('back5')) {
					try {
						this.nextElementSibling.children[0].className = '';
						this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = $(this).attr('data-value');
					} catch(e) {
						this.previousElementSibling.children[0].className = '';
						this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = $(this).attr('data-value');
					}
				}
			});

			//保险种类单选效果
			$insurance_type.on('touchend', function() {
				if($(this).find('span').hasClass('back2')) {
					$(this).find('span').removeClass('back2');
					this.parentNode.nextElementSibling.children[0].innerHTML = '0';
				} else {
					if(this.id == 'third_D') {
						//这是第三者

						$(this).find('span').addClass('back2');
						$box.find('#third_wrap li').each(function() {
							if($(this).find('span').hasClass('back5')) {
								var p = $(this).find('span').attr('data-value');
								console.log(p);
								console.log(this.parentNode.parentNode.nextElementSibling.children[0]);
								this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = p;
							}
						})
					} else if(this.id == 'scratch') {
						//'这是车身划痕险';

						$(this).find('span').addClass('back2');
						$box.find('#scratch_D li').each(function() {
							if($(this).find('span').hasClass('back5')) {
								var o = $(this).find('span').attr('data-value');
								this.parentNode.parentNode.nextElementSibling.children[0].innerHTML = o;
							}
						})
					} else if(this.id == 'abatement_D') {
						//'这是不计免赔';

						$(this).find('span').addClass('back2');
						var abmt = parseInt($box.find('#T').text()) + parseInt($box.find('#L').text());
						$abmt.parentNode().nextElementSibling.children[0].innerHTML = parseInt(abmt * 0.15);
					} else if(this.id == 'driver') {
						//'这是司乘险';
						if ($(this).attr('data-value') == 0){
                            $(this).find('span').addClass('back2');
                            var price = parseInt($(this).attr("data-rate").split(",")[0] * priceOfCar) +
                                parseInt($(this).attr("data-rate").split(",")[1] * priceOfCar);
                            this.parentNode.nextElementSibling.children[0].innerHTML = price;
						}else {
                            if ($(this).find('span').hasClass('back2')){
                                $val.text(parseInt($(this).attr('data-value')));
                            }else {
                                $val.text(0);
                            }
						}

					} else {
						$(this).find('span').addClass('back2');
						var single = parseInt($(this).attr('data-value')) +
							parseInt($(this).attr('data-rate') * priceOfCar);
						$(this).parentNode().nextElementSibling.children[0].innerHTML = single;
					}
				}
				counter();
			});

			//第三者责任险金额单选
			var third_li = document.getElementById('third_wrap').children,
				len = third_li.length,
				i, j, index = 0;
			for(i = 0; i < len; i++) {
				third_li[i].index = i;
				third_li[i].ontouchend = function() {
					index = this.index;
					for(j = 0; j < len; j++) {
						third_li[j].children[0].className = '';
					}
					third_li[index].children[0].className = 'back5';
					var p = third_li[index].children[0].getAttribute('data-value');
					document.getElementById('T').innerHTML = p;
					this.parentNode.previousElementSibling.children[0].className = 'back2';
					counter();
				}
			}
			
			//车身划痕险
			var scratch_li = document.getElementById('scratch_D').children,
				sLen = scratch_li.length;
			for(i = 0; i < sLen; i++) {
				scratch_li[i].index = i;
				scratch_li[i].ontouchend = function() {
					index = this.index;
					for(j = 0; j < sLen; j++) {
						scratch_li[j].children[0].className = '';
					}
					scratch_li[index].children[0].className = 'back5';
					var k = scratch_li[index].children[0].getAttribute('data-value');
					document.getElementById('S').innerHTML = k;
					this.parentNode.previousElementSibling.children[0].className = 'back2';
					counter();
				}
			}

			function counter() {
				var totalNum = 0;
				$box.find('.val').each(function() {
					totalNum += Math.ceil(this.innerHTML);
				});

				$box.find('#cankaojia').text(totalNum);
				console.log(totalNum);
			}
			counter();

            $('#minus').on('touchend', function () {
                console.log('乘客' + passengerNum,passengerVal);
                passengerNum--;
                if (passengerNum <= 0){
                    passengerNum = 1;
                    return false;
                }
                $('#num').text(passengerNum);
                console.log(diff);
                passengerVal -= diff;
                $('#passenger').text(parseInt(passengerVal));
                $('#driver').attr({'data-value':passengerVal});
				counter();
            });
            $('#plus').on('touchend', function () {
                passengerNum++;
                if (passengerNum >= 6){
                    passengerNum = 5;
                    return false;
                };
                $('#num').text(passengerNum);
                passengerVal += diff;
                $('#passenger').text(parseInt(passengerVal));
                $('#driver').attr({'data-value':passengerVal});
				counter();
            });
		}
	});
}

// 预约保养
function service_appoin(tpl, params) {
	var $box = $(this);

	console.log(params)
	$.ajax({
		type: 'GET',
		url: API_BASE + '/v1/user/myCar?token='+UserInfo.token,
		dataType: "json",
		success: function(json) {
			var data = json.data;
			console.log(data)
			json.form_url = API_BASE + '/v1/tools/maintain?token='+UserInfo.token;
			json.UserInfo = UserInfo;
			json.openIndex = params.type ? 1 : 0;
			var html = Mustache.render(tpl, json);
			$box.html(html);
			$box.initUI();

			$box.find(':radio').on('change', function(event) {
				var $radio = $(this);
				$('.icon-radio', $radio.parentNode()).addClass('checked');

				var $label = $radio.parentsUntil(function() {
					return $(this).is('label');
				});

				var $group = $radio.parentsUntil(function() {
					return $(this).is('div.item');
				});

				$group.find('.icon-radio').removeClass('checked');
				$label.find('.icon-radio').addClass('checked');
			});



			$box.find('#service_appoin1_city_name').touchwipe({
				touch: function(event) {
					$.dialog.open({
						url: 'select_city_pop.html?dwz_callback=select_city_pop&dwz_city_name=service_appoin1_city_name&dwz_province_name=service_appoin1_province_name'
					});
					event.preventDefault();
					event.stopPropagation();
				}
			}).change(function(event) {
				$.ajax({
					type: 'GET',
					dataType: 'json',
					url: API_BASE + '/v1/tools/getAutoshopList?province=' + this.data.provinceName + '&city=' + this.data.cityName,
					success: function(json) {
						console.log('API Data:', json);

						if(json.errorCode > 0) {
							return;
						}

						var tpl2 = '{{#data}}<option value="{{name}}">{{name}}</option>{{/data}}';
						var html = Mustache.render(tpl2, json);
						$('#service_appoin1_dealer').html(html);
					}
				});
			});


		}
	});

}

function service_dealers_request($box, tpl, options) {

	var op = $.extend({gpsPos:null, province:'', currentDealer:null, callback: null}, options);

	var requestData = {};
	if (op.province) { requestData.province = op.province; }
	else {
		requestData.lng = op.gpsPos.longitude;
		requestData.lat = op.gpsPos.latitude;
	}

	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/tools/getAutoshopList',
		data: requestData,
		success: function(json) {
			console.log('API Data:', json);

			if(json.errorCode > 0) {
				$.alert.error(json.message);
				$box.find('div.content').html(json.message);
				return;
			}

			json.province = op.province; // 当前查询经销商区域
			var html = Mustache.render(tpl, json);
			$box.html(html);
			$box.initUI();

			var $mapBox = $('#service-dealers-bmap');
			$mapBox.css({
				'height': document.documentElement.clientHeight + 'px'
			});

			var map = new BMap.Map($mapBox.attr('id'));

			map.centerAndZoom(new BMap.Point(op.gpsPos.longitude, op.gpsPos.latitude), 12);
			map.enableScrollWheelZoom();

			for(var index = 0; index < json.data.length; index++) {
				var item = json.data[index];

				var point = new BMap.Point(item.lng, item.lat);

				// 按经销商区域查询默认定位第一个经销商位置
				if (op.province && index==0) {
					map.centerAndZoom(point, 12);
				}

				dwzMap.addMarker({
					map: map,
					point: point,
					iconWidth: 23,
					iconHeight: 25,
					imageOffsetLeft: 0,
					imageOffsetTop: -275
				}, function(marker) {
					var content = '<div class="InfoWindow">' +
						'<p>地址：' + item.address + '</p>' +
						'<p>经度：' + item.lng + ' &nbsp;&nbsp; 纬度：' + item.lat + '</p>' +
						'</div>';

					var infoOpt = {
						title: '<h2 class="InfoWindowTitle">名称：' + item.name + '</h2>'
					};
					var infoWindow = new BMap.InfoWindow("<div class='InfoWindow'>" + content + "</div>", infoOpt);
					marker.addEventListener("click", function() {
						this.openInfoWindow(infoWindow);
					});
				});
			}

			if (op.callback) {
				op.callback();
			}
		}
	});
}

// 经销商查询
function service_dealers(tpl) {
	var $box = $(this);

	var dealerData = [];
	var currentDealer = null;

	//获取gps位置
	getCurrentPosition(
		function(gpsPos) {
			service_dealers_request($box, tpl, {
				gpsPos:gpsPos,
				callback: function(){

					var $selectCity = $box.find('.select-city');

					function selectCityCallback() {
						$.dialog.open({
							url: 'select_province_pop.html',
							callback: function(popTpl){
								var $popBox = $(this);
								var html = Mustache.render(popTpl, dealerData);
								$popBox.html(html).initUI();

								$popBox.find('.select-list .list-item').touchwipe({
									touch: function (event) {
										var $item = $(this), province = $item.attr('data-name');

										$selectCity.find('span').text(province);

										service_dealers_request($box, tpl, {
											gpsPos:gpsPos,
											province: province,
											callback: function(){
												$box.find('.select-city').click(selectCityCallback);
											}
										});

										$.dialog.close();

										event.preventDefault();
										event.stopPropagation();
									}
								});
							}
						});
					}
					$selectCity.click(selectCityCallback);


					if (dealerData.length > 0) {return;}

					// 获取经销商区域列表
					$.ajax({
						type:'get',
						dataType: 'json',
						url: API_BASE + '/v1/tools/dealerRegion',
						success:function(dealerJson){
							console.log('API Data:', dealerJson);

							if (dealerJson.errorCode == 0) {
								dealerData = dealerJson;
							}

							$.each(dealerData.data, function() {
								if (this.checked) {
									currentDealer = this;
									return false;
								}
							});

							if (!currentDealer && dealerData.data.length>0){
								currentDealer = dealerData.data[0];
							}

							$selectCity.find('span').text(currentDealer.province);

						}
					});
				}
			});

		},
		function(error) {
			$box.find('div.content').html('<p>获取GPS位置信息失败,请先开启GPS.</p>');
		}
	);
}


// 紧急救援
function service_rescue(tpl) {
	var $box = $(this);

	//获取gps位置
	getCurrentPosition(
		function(gpsPos) {
			$.ajax({
				type: 'POST',
				dataType: 'json',
				url: API_BASE + '/v1/tools/getAutoshopList?lng=' + gpsPos.longitude + '&lat=' + gpsPos.latitude,
				success: function(json) {
					console.log('API Data:', json);

					var html = Mustache.render(tpl, json);
					$box.html(html);
					$box.initUI();

					$('#service-rescue-baoxianphone').on('change', function(){
						$('#service-rescue-callphone').attr('href','tel:'+ $(this).val());
					});


					var $mapBox = $('#service-dealers-sescue');
					var map = new BMap.Map($mapBox.attr('id'));

					map.centerAndZoom(new BMap.Point(gpsPos.longitude, gpsPos.latitude), 10);
					map.enableScrollWheelZoom();

					for(var index = 0; index < json.data.length; index++) {
						var item = json.data[index];

						var point = new BMap.Point(item.lng, item.lat);
						dwzMap.addMarker({
							map: map,
							point: point,
							iconWidth: 23,
							iconHeight: 25,
							imageOffsetLeft: 0,
							imageOffsetTop: -275
						}, function(marker) {
							var content = '<div class="InfoWindow">' +
								'<p>地址：' + item.address + '</p>' +
								'<p>经度：' + item.lng + ' &nbsp;&nbsp; 纬度：' + item.lat + '</p>' +
								'</div>';

							var infoOpt = {
								title: '<h2 class="InfoWindowTitle">名称：' + item.name + '</h2>'
							};
							var infoWindow = new BMap.InfoWindow("<div class='InfoWindow'>" + content + "</div>", infoOpt);
							marker.addEventListener("click", function() {
								this.openInfoWindow(infoWindow);
							});
						});
					}

				}
			});

		},
		function(error) {
			$box.find('div.content').html('<p>获取GPS位置信息失败,请先开启GPS.</p>');
		}
	);

}

// 违章查询页面
function service_violation(tpl) {
	var $box = $(this);

	var form_url = API_BASE + '/v1/tools/weizhang?token='+UserInfo.token

	getRegionData(function(regionList) {
		var html = Mustache.render(tpl, {
			form_url: form_url,
			regionList: regionList,
			UserInfo: UserInfo
		});
		$box.html(html);
		$box.initUI();

	});

}

function service_violation_pop_region(tpl) {
	var $box = $(this);

	getRegionData(function(regionList) {
		var html = Mustache.render(tpl, {
			regionList: regionList
		});
		$box.html(html);
		$box.initUI();

		var $items = $box.find('div.city-list div.list-item');

		$items.click(function(event) {
			var $this = $(this);
			$items.removeClass('activated');
			$this.addClass('activated');

			$('#service_violation_region_plate').text($this.attr('data-region-plate'));
			$('#service_violation_region_number').val($this.attr('data-region-number'));

		});

	});
}

// 违章查询测试：冀F920NV G483805 LFMAP86C7F0135529
function service_violation_done(json) {
	console.log(json);

	if(json.errorCode != 0) {
		$.alert.error(json.message);
		return;
	}

	var $list = $('#service_violation_list'),
		tpl = '{{#data}}\
            <div class="item">\
					<span>{{time}}</span>\
					<h2>{{address}}</h2>\
					<p>{{reason}}</p>\
					<div class="item-figure">\
						<span>罚款:<em>{{money}}</em></span>\
						<span>积分:<em>{{degree}}</em></span>\
					</div>\
				</div>\
            {{/data}}\
            {{^data}}<div class="item"><p>暂无违章记录</p></div>{{/data}}';

	var html = Mustache.render(tpl, json);
	$list.html(html);

	$('#service_violation_scroll').trigger(dwz.event.type.iScrollRefresh);
}

// 应用管理页面
function service_diy(tpl, data) {
	var $box = $(this);

	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/tools/reldiyManage?token='+UserInfo.token,
		data: {},
		success: function(json) {
			console.log('API Data:', json);

			var html = Mustache.render(tpl, {
				form_url: API_BASE + '/v1/tools/reldiy?token='+UserInfo.token,
				data: json.data
			});
			$box.html(html);
			$box.initUI();

			var frag = {
				boxAdd: '<a class="col diy-icon box-add"><i class="icon-add"></i></a>',
				boxLine: '<a class="col diy-icon box-line" data-diy-key="{{key}}">\
                    <input type="hidden" name="i[]" value="{{key}}">\
                    <span class="img-icon"><img class="img-icon-home" src="images/icon-png/icon-s-{{key}}.png"></span>\
                    <span class="img-icon-name">{{name}}</span>\
                    <i class="icon-delete"></i>\
                </a>'
			};

			var $addBox = $box.find('div.diy-add-box'),
				$content = $box.find('div.grids-contant'),
				$diyItems = $content.find(':scope > .grids-grid');

			function initAddBox() {
				var $selectIcons = $content.find('.icon-right');
				var html = '';

				$selectIcons.each(function() {
					var $selectItem = $(this).parentsUntil(function() {
						return $(this).is('.grids-grid');
					});
					html += Mustache.render(frag.boxLine, {
						key: $selectItem.attr('data-diy-key'),
						name: $selectItem.attr('data-diy-name')
					});
				});

				for(var index = $selectIcons.size(); index < 4; index++) {
					html += frag.boxAdd;
				}

				$addBox.html(html);

				// 删除应用
				$addBox.find('.box-line').click(function(event) {
					var $this = $(this);

					var key = $this.attr('data-diy-key');

					$diyItems.each(function() {
						if($(this).attr('data-diy-key') == key) {
							$(this).find('i').addClass('icon-add').removeClass('icon-right');
						}
					});

					initAddBox();

				});
			}

			$diyItems.click(function(event) {
				var $this = $(this),
					$icon = $this.find('i'),
					$selectIcons = $content.find('.icon-right');

				if($icon.hasClass('icon-add') && $selectIcons.size() < 4) {

					$icon.removeClass('icon-add').addClass('icon-right');

					initAddBox();
				}
			});

			initAddBox();
		}
	});

}

// 应用管理
function service_diy_done(json) {
	console.log(json);

	if(json.errorCode != 0) {
		$.alert.error(json.message);
		return;
	}

	$.navView.close(true);
	$.navTab.open({
		tabid: 'home',
		url: 'home.html?dwz_callback=home_render'
	});
}

// 备件查询页面
function service_spared(tpl) {
	var $box = $(this);
	var html = Mustache.render(tpl, {});
	$box.html(html);
	$box.initUI();
}

//保养手册

function service_commonsensible(tpl){
	var $box = $(this);
	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/Vehicles/maintenance?token='+UserInfo.token,
		data: {},
		success: function(json) {
			console.log('API Data:', json);
			console.log('API Data:', json.data.length);
			var html = Mustache.render(tpl, json);
			$box.html(html);
			$box.initUI();

			var $panels = $box.find('.item-manual-list ul');
			if ($panels.size() > 1) {
				var $changeList = $panels.eq(0);
				var $checkList = $panels.eq(1);
				var $select = $box.find('select[name=mileage]');

				function renderList(val) {
					$changeList.html('');
					$checkList.html('');
					var changeData = [];
					var checkData = [];

					for (var index=0; index<json.data.length; index++) {
						if (val == json.data[index].name) {
							changeData = json.data[index].childs[1];
							checkData = json.data[index].childs[0];
							break;
						}
					}

					var itemTpl = '{{#childs}}<li class="b-line">{{content}}</li>{{/childs}}'
					if (changeData && changeData.childs.length > 0) {
						var changeHtml = Mustache.render(itemTpl, changeData);
						$changeList.html(changeHtml);
					}
					if (checkData && checkData.childs.length > 0) {
						var checkHtml = Mustache.render(itemTpl, checkData);
						$checkList.html(checkHtml);
					}
				}

				renderList($select.val());

				$select.change(function(){
					renderList($select.val());
				});
			}
		}
	})
}

// 限行查询
function service_traffic(tpl) {
	var $box = $(this);

	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/tools/restrictions?token='+UserInfo.token,
		data: {},
		success: function(json) {
			var html = Mustache.render(tpl, json);
			$box.html(html);
			$box.initUI();
		}
	})

}

// 产品手册
function service_manual(tpl) {
	var $box = $(this);

	var html = Mustache.render(tpl, {});
	$box.html(html);
	$box.initUI();
}

// 指示灯手册
function service_indicator(tpl) {
	var $box = $(this);

	var html = Mustache.render(tpl, {});
	$box.html(html);
	$box.initUI();

	$('.item', $box).click(function() {
		$this = $(this);
		$('.open', $box).removeClass('open');
		$this.addClass('open');
	});
}

// 爱车讲堂
function service_lecture(tpl) {
	var $box = $(this);

	var height = $box.get(0).offsetWidth + 'px';

	var html = Mustache.render(tpl, {
		height: height
	});
	$box.html(html);
	$box.initUI();
}

// 产品手册  
function service_product(tpl) {
	var $box = $(this);
	$.ajax({
		type: 'GET',
		dataType: 'json',
		url: API_BASE + '/v1/news/getServerfwelfare?token='+UserInfo.token,
		data: {},
		success: function(json) {
			console.log('API Data:', json);

			if(json.data.url) {
				json.data.width = $box.get(0).offsetWidth + 'px';
			}

			var html = Mustache.render(tpl, json);
			$box.html(html);
			$box.initUI();

		}
	});
}

// 精彩杂志
function service_journal(tpl) {
	var $box = $(this);

	var width = $box.get(0).offsetWidth + 'px';

	var html = Mustache.render(tpl, {
		width: width
	});
	$box.html(html).initUI();
}

// 延保服务
function service_extended(tpl) {
	var $box = $(this);

	var html = Mustache.render(tpl, {});
	$box.html(html).initUI();
}

// 附近加油站
function service_filling_station(tpl) {
	var $box = $(this);

	var html = Mustache.render(tpl, {});
	$box.html(html).initUI();

    $box.touchwipe({
		touch: function (e) {
			if (e.target.classList[0] == 'BMap_Marker') {
				$(".BMap_bubble_title").find("a").html("")
			}
        }
    })

	//获取gps位置
	getCurrentPosition(
		function(gpsPos) {
			var gpsPoint = new BMap.Point(gpsPos.longitude, gpsPos.latitude);

			var $mapBox = $('#filling_station_map_bmap');
			$mapBox.css({'height': document.documentElement.clientHeight + 'px'});
			var map = new BMap.Map($mapBox.attr('id'));
			map.centerAndZoom(gpsPoint, 15);
			var local = new BMap.LocalSearch(map, {
				renderOptions:{map: map}
			});
			local.searchNearby("加油站", gpsPoint, 5000);

			dwzMap.addMarker({map:map, point:gpsPoint, iconWidth:23, iconHeight:25, imageOffsetLeft: 0, imageOffsetTop: -300});
            map.addEventListener("tilesloaded",function(){
                $(".BMap_bubble_title").find("a").html("");
                $box.find("a").each(function () {
                    $(this).html('');
                })
            });
		}
	);
}

// 附近停车场
function service_park(tpl) {
	var $box = $(this);

	var html = Mustache.render(tpl, {});
	$box.html(html).initUI();

    $box.touchwipe({
        touch: function (e) {
            if (e.target.classList[0] == 'BMap_Marker') {
                $(".BMap_bubble_title").find("a").html("");
            }
        }
    })

	//获取gps位置
	getCurrentPosition(
		function(gpsPos) {
			var gpsPoint = new BMap.Point(gpsPos.longitude, gpsPos.latitude);

			var $mapBox = $('#service_park_map_bmap');
			$mapBox.css({'height': document.documentElement.clientHeight + 'px'});
			var map = new BMap.Map($mapBox.attr('id'));

			map.centerAndZoom(gpsPoint, 16);
			var local = new BMap.LocalSearch(map, {
				renderOptions:{map: map}
			});
			local.searchNearby("停车场", gpsPoint, 1000);

			dwzMap.addMarker({map:map, point:gpsPoint, iconWidth:23, iconHeight:25, imageOffsetLeft: 0, imageOffsetTop: -300});
            map.addEventListener("tilesloaded",function(){
                $(".BMap_bubble_title").find("a").html("");
                $box.find("a").each(function () {
                    $(this).html('');
                })
            });
		}
	);
}
