document.addEventListener('plusready', function () {
    $header = $(".header");
    $("#content").css('padding-top', '50px');
    var currentWebView = plus.webview.currentWebview();
    currentWebView.setStyle({'popGesture':'none'});
    channelKeyId = currentWebView.name;
    $header.find('.back-btn').click(function () {
        plus.webview.hide(currentWebView, 'slide-out-right');
      	currentWebView.opener().evalJS('reloadMine()')
    });
    // 安卓后退按钮
    plus.key.addEventListener('backbutton', function(event) {
        var rev = plus.webview.currentWebview();
        plus.webview.hide(rev, 'slide-out-right', 500);
    }, false);
}, false)
$(function(){
    //时间插件初始化
    var time = new Date();
    time.setTime(time.getTime()+24*60*60*1000);
    var curDate = time.getFullYear() + "-" + (time.getMonth() + 1) + "-" + time.getDate();

    var calendar = new LCalendar();
    calendar.init({
        'trigger': '#demo1', //标签id
        'type': 'date', //date 调出日期选择 datetime 调出日期时间选择 time 调出时间选择 ym 调出年月选择,
        'minDate': curDate, //最大日期
        'maxDate': '2030-1-1' //最大日期
    });

    //获取经销商名称
    var searchCon=window.location.search;
    var dCode;
    if(searchCon==""){
        $(".page-check").show();
        $(".page-hide").hide();
    }else{
        searchCon=searchCon.split("&");
        var dName=decodeURIComponent(searchCon[0].substring(searchCon[0].indexOf("=")+1));
        $("#d-name").val(dName);
        dCode=searchCon[1].substring(searchCon[1].indexOf("=")+1);
        getAdviser();
    }
    //判断维修和保养页面
    var parentidCon;
    var pageCheck;
    if(window.location.href.indexOf("car-maintain.html")>-1){
        pageCheck="预约保养";
        parentidCon=71;
    }else if(window.location.href.indexOf("car-reservation.html")>-1){
        pageCheck="预约维修";
        parentidCon=72;
    };

    //获取车型数据
    var tokenCon;
    $.ajax({
        type:"get",
        url:AJAXURL+"/v1/tools/Boundvehicle",
        async:true,
        success:function(res){
            if(res.errorCode=="0"){
                var carHtml="";
                for(var i=0; i<res.data.vehicle.length; i++){
                    carHtml+='<option value="'+res.data.vehicle[i].cid
                        +'">'+res.data.vehicle[i].name+'</option>';
                };
                $("#car-con").html(carHtml);
                //设置token
                tokenCon=res.data.user.token;
                if(searchCon!=""){
                    //设置用户昵称
                    $("#user-name").val(res.data.user.nickname);
                    //设置手机号
                    $("#phone-con").val(res.data.user.tel);
                    //设置性别
                    if(res.data.user.sex=='2'){
                        $("#sex-con").html('<option value="1">男</option><option value="2" selected="selected">女</option>');
                    }
                }
            }else{
                alert(res.message)
            }
        }
    });

    //获取省
    $.ajax({
        type:"post",
        url:AJAXURL+"/v1/tools/dealerRegion",
        async:true,
        success:function(res){
            if(res.errorCode=="0"){
                var provinceHtml='<option value="-1">请选择省</option>';
                for(var i=0; i<res.data.length; i++){
                    provinceHtml+='<option value="'+res.data[i].province+'">'+res.data[i].province+'</option>';
                }
                $("#province-con").html(provinceHtml);
            }else{
                alert(res.message);
            };
        }
    });
    //获取市
    $("#province-con").change(function(){
        var provinceCon=$(this).val();
        $("#city-con, #dealer-con").html("");
        $.ajax({
            type:"get",
            url:AJAXURL+"/v1/tools/dealerRegion.html",
            async:true,
            data:{
                province:provinceCon
            },
            success:function(res){
                if(res.errorCode=="0"){
                    var cityHtml='<option value="-1">请选择市</option>';
                    for(var i=0; i<res.data.length; i++){
                        cityHtml+='<option value="'+res.data[i].city+'">'+res.data[i].city+'</option>';
                    }
                    $("#city-con").html(cityHtml);
                }else{
                    alert(res.message)
                }
            }
        });
    });
    //获取经销商列表
    $("#city-con").change(function(){
        var provinceCon=$("#province-con").val();
        var cityCon=$("#city-con").val();
        $("#dealer-con").html("");
        $.ajax({
            type:"post",
            url:AJAXURL+"/v1/tools/getList",
            async:true,
            data:{
                province:provinceCon,
                city:cityCon
            },
            success:function(res){
                if(res.errorCode=="0"){
                    var dealerHtml='';
                    for(var i=0; i<res.data.length; i++){
                        dealerHtml+='<option value="'+res.data[i].name+'">'+res.data[i].name+'</option>';
                    }
                    $("#dealer-con").html(dealerHtml).change();
                }else{
                    alert(res.message)
                }
            }
        });
    })
    $("#dealer-con").change(function(){
        dCode=$(this).val();
        getAdviser();
    });

    //获取顾问列表
    function getAdviser(){
        $.ajax({
            type:"get",
            url:AJAXURL+"/v1/tools/adviser",
            async:true,
            data:{
                dealercode:dCode
            },
            success:function(res){
                if(res.errorCode=="200"){
                    var adviserHtml="";
                    var telText;
                    $(".swiper-wrapper").empty();
                    if(res.data.fu.length==0){
                        $(".shop_sted").html("暂无专属顾问");
                        return false;
                    };
                    for(var i=0; i<res.data.fu.length; i++){
                        if(res.data.fu[i].tel==null || res.data.fu[i].tel==""){
                            telText="javascript:void(0);";
                        }else{
                            telText="tel:"+res.data.fu[i].tel;
                        };
                        adviserHtml+='<div class="swiper-slide">' +
                            '<div class="shop_sales">' +
                            '<img src="'+res.data.fu[i].header+'" alt="" />' +
                            '<img src="images/public/chosen.png" class="shop_chosen" alt="" />' +
                            '<span class="shop_left"></span>' +
                            '<span></span>' +
                            '<p class="adviser-name" data-id="'+res.data.fu[i].userid+'">'+res.data.fu[i].username+'</p>' +
                            '<a href="'+telText+'" class="shop_checked">' +
                            '<img src="images/public/tel_white.png" />与他联系</a></div></div>';
                    }
                    $(".swiper-wrapper").html(adviserHtml);
                    //swiper初始化
                    var mySwiper = new Swiper('.swiper-container', {
                        effect: 'coverflow',
                        slidesPerView: 3,
                        centeredSlides: true,
                        coverflow: {
                            rotate: 30,
                            stretch: 10,
                            depth: 60,
                            modifier: 2,
                            slideShadows: false
                        },
                        onTransitionEnd:function(swiper){
                            $(".shop_sted").html('已选：<span id="adviser-box" data-id="'+$(".swiper-slide-active .adviser-name").attr("data-id")+'">'+$(".swiper-slide-active .adviser-name").html()+'</span>');
                        }
                    });
                }else{
                    alert(res.message);
                }
            }
        });
    }

    //提交表单
    $("#submit-but").click(function(){
        //获取用户昵称
        var userName=$("#user-name").val();
        //获取用户性别
        var sexCon=$("#sex-con").val();
        //获取手机号码
        var phoneCon=$("#phone-con").val();
        //获取车型
        var carCon=$("#car-con").val();
        //获取行驶公里数
        var trtravelCon=$("#travel-con").val();
        //获取到店时间
        var timeCon=$("#demo1").val();
        //获取经销商
        if(searchCon==""){
            var dName=$("#dealer-con").val();
        }else{
            var dName=$("#d-name").val();
        };
        //获取顾问
        var adviserCon=$("#adviser-box").attr('data-id');
        if(pageCheck=="预约维修"){
            //获取故障说明
            var faultText=$("#fault-text").val();
        }else{
            var faultText="";
        };
        //校验称呼
        if(!name_yz(userName)){
            alert("请输入您的称呼");
            return false;
        };
        //校验手机号
        if(!phone_yz(phoneCon)){
            alert("手机号码格式错误");
            return false;
        };
        //校验行驶公里数
        if(!name_yz(trtravelCon)){
            alert("请输入行驶公里数");
            return false;
        };
        //校验到店时间
        if(timeCon==""){
            alert("请选择到店时间");
            return false;
        }
        if(pageCheck=="预约维修"){
            //校验故障说明
            if(!name_yz(faultText)){
                alert("请输入故障说明内容");
                return false;
            };
        }
        //校验经销商
        if(dName<=-1){
            alert("请选择经销商");
            return false;
        };

        //提交
        $.ajax({
            type:"post",
            url:AJAXURL+"/v1/tools/maintain",
            async:true,
            data:{
                token:tokenCon,
                name:userName,
                sex:sexCon,
                mobile:phoneCon,
                dealer:dName,
                vehicles:carCon,
                gotime:timeCon,
                kms:trtravelCon,
                channelKeyId:3,
                parentid:parentidCon,
                gold:adviserCon,
                info:faultText
            },
            success:function(res){
                if(typeof res=="string"){
                    var resCon=JSON.parse(res);
                }else{
                    var resCon=res
                };
                if(resCon.errorCode=="0"){
                    window.location.href="make-Success.html?parentid="+parentidCon;
                }else{
                    alert(resCon.message);
                }
            }
        });
    });

    //用户名
    function name_yz(name_text) {
        if(name_text.length == 0) {
            return false;
        } else {
            return true;
        }
    }
    //手机号码验证
    function phone_yz(MobileValue) {
        if(MobileValue && /^1[3|4|5|7|8]\d{9}$/.test(MobileValue)) {
            return true;
        } else {
            return false;
        }
    }
});

