;(function() {
	var url = window.location.href;
	var MBstr = url.substr(url.indexOf('?')+1);
	//截取的carId
	var MBarr = MBstr.split('&');//将字符串分割成数组
	var paramArr =[];//第一项是判断是签到还是未签到，第二项是部门id,第三项是车展cid,第四项是头顶的标题
	for (var i = 0; i < MBarr.length; i++) {
		paramArr.push(MBarr[i].slice(MBarr[i].indexOf('=')+1));
	}
	//建立参数模型
	var paramModel={};
	if (paramArr[0]==1) {//1就是已经签到
		paramModel.url=AJAXURL+'/enter/tools/get_dept_sig_list';
		paramModel.is_sig=true;
	} else{//0就是未签到
		paramModel.url=AJAXURL+'/enter/tools/get_dept_unsig_list';
		paramModel.is_sig=false;
	}
	paramModel.id=paramArr[1];
	paramModel.cid=paramArr[2];
	paramModel.depart=paramArr[3];
	paramModel.office=paramArr[4];
	//进行数据请求
	ajaxRendering(paramModel);
	function ajaxRendering (model) {
		loading('show');
		$.ajax({
			type:"post",
			url:model.url,
			data:{
				id:model.id,
				cid:model.cid
			},
			async:true,
			success:function (res) {
				loading('none');
//				根据数据模型的变化更改标题的内容
				if (model.is_sig==true) {
					$('#html-tit').html(decodeURIComponent(model.depart+model.office)+'(已签到'+res.length+'人)');
				} else{
					$('#html-tit').html(decodeURIComponent(model.depart+model.office)+'(未签到'+res.length+'人)');
				}
				var tableItems=[];
				$.each(res,function(key,val) {
					tableItems.push('<a href="seeDetail.html?carid='+model.cid+'&pid='+val.id+'&from=1"><li data-name='+val.name+'>')
					tableItems.push('<span class="wid179">'+val.name+'</span>')
					if (val.sex==1) {
						tableItems.push('<span class="wid132">'+'男'+'</span>')
					} else if(val.sex==2){
						tableItems.push('<span class="wid132">'+'女'+'</span>')
					}
					tableItems.push('<span class="wid262">'+val.mobile+'</span>')
					tableItems.push('<span class="youyjiantou"></span>')
					tableItems.push('</li></a>')
				})
			    $('#informationList').html(tableItems.join(''));
			}
		});	
	}
	//搜索的事件监听和重新渲染
	$('#search').on('input',function() {
		var searchStr=$(this).val();
		if(searchStr == '') {
			$('#informationList').find('li').removeClass('displayNone');
		} else {
			$('#informationList').find('li').addClass('displayNone');
			$('#informationList').find('li').each(function() {
				if ($(this).attr('data-name').indexOf(searchStr)!=-1) {
					$(this).removeClass('displayNone');
				}
			})
		}
	})
})()
