//var InterfaceUrl="http://union.ftms.bjscfl.com/";
var InterfaceUrl="http://app.ftms.com.cn/";
includeJs("js/plugin/template/template_web.js");
includeJs("js/plugin/layer/layer.js");
//通用会员数据调用
//name 接口命令
//data post 数据
//back 成功时返回数据 不包含 状态信息
function memberAjax(name, data, back,errback) {
  if(data==undefined){
    data="";
  }
  $.ajax({
    url: InterfaceUrl + name,
    type: 'post',
    data: data,
    success: function(json) {
      if(typeof(json)=="string")json=JSON.parse(json);
      if(json.code == "200" || json.errorCode=="0") {
        if(back!=undefined){
          back(json);
        }
      } else {
        if(errback){
          errback(json);
          return;
        }
        if(json.msg!="请登录"){
          if(json.msg!=null)alert(json.msg);
          else if(json.message!=null)alert(json.message);
        }
      }
    }
  });
};
function memberGetAjax(name, data, back,errback) {
  if(data==undefined){
    data="";
  }
  $.ajax({
    url: InterfaceUrl + name,
    type: 'get',
    data: data,
    success: function(json) {
      if(typeof(json)=="string")json=JSON.parse(json);
      if(json.code == "200" || json.errorCode=="0"|| json.errorCode=="200") {
        if(back!=undefined){
          back(json);
        }
      } else {
        if(errback){
          errback(json);
          return;
        }
        if(json.msg!="请登录"){
          if(json.msg!=null)alert(json.msg);
          else if(json.message!=null)alert(json.message);
        }
      }
    }
  });
};
function memberUploadAjax(name, data, back) {
  if(data==undefined){
    data="";
  }
  var formdata = new FormData();
  for(var o in data){
    formdata.append(o,data[o]);
  }
  $.ajax({
    url: InterfaceUrl + name,
    type: 'POST',
    data:formdata,
    processData: false,//参数默认为false
    contentType: false,
    dataType: "json",
    success: function(json) {
      if(typeof(json)=="string")json=JSON.parse(json);
      if(json.code == "200" || json.errorCode=="0"|| json.errorCode=="200") {
        if(back!=undefined){
          back(json);
        }
      } else {
        if(json.msg!="请登录"){
          if(json.msg!=null)alert(json.msg);
          else if(json.message!=null)alert(json.message);
        }
      }
    }
  });
};
$(function() {
  $(".loaddata").each(function() {
    var obj = $(this);
    obj.hide();
    var postdata = null;
    try {
      postdata = $.parseJSON(obj.attr("postdata"));
    } catch(x) {}
    var command = obj.attr("command");
    var method = obj.attr("method");
    var dom = $('<div class="dropload-down" ><div class="dropload-load"><span class="loading"></span>加载中...</div></div>');
    dom.insertAfter(obj);
    if(method=="get"){
      memberGetAjax(command, postdata, function(json) {
        dom.remove();
        obj.render(json);
      });
    }else{
      memberAjax(command, postdata, function(json) {
        dom.remove();
        obj.render(json);
      });
    }
  });
});
$.fn.extend({
  //ajax当前dom中模板渲染后的html
  buildTempAjax:function(comm,postdata,back){
    var obj=$(this);
    memberAjax(comm,postdata,function(json){
      var html=obj.buildTemp(json);
      return back(html,json);
    });
  },
  //ajax对指定html模板进行渲染并设置到当前dom中
  renderAjax:function(comm,postdata,back){
    var obj=$(this);
    layer.open({
      type: 2
      ,content: '加载中'
    });
    memberAjax(comm,postdata,function(json){
      layer.closeAll();
      obj.render(json);
      //baidu.template.ESCAPE = false;
      //var render = baidu.template(html);
      //html= render(json);
      //obj.html(html);
      if(back)back(json);
    });
  }
});
//车型分数转换星
var carScoreToStar=function(score){
  if(score>336)return 5;
  else if(score>272)return 4;
  else if(score>204)return 3;
  else if(score>136)return 2;
  else{return 1;}
};
var sindex=0;
//创建边栏窗口组
var sidebarWin=function(S){
  var T=this;
  $(document).ready(function(e) {
    var counter = 0;
    if (window.history && window.history.pushState) {
      $(window).on('popstate', function (e) {
        if(window.history.state!=null)_close(window.history.state);
      });
    }

  });
  $(document.body).click(function(e){
    var a=$(e.target);
    if(a.hasClass("opensidebar")){
      T.open(a.attr("href"));
      return false;
    }
  });
  var win={};
  //打开指定文件名窗口
  //name 加载文件名 back加载成功后返回
  this.open=function(name,back){
    //sindex++;
    window.history.replaceState(name, '', '');
    window.history.pushState(name, null, '#'+name);
    if(S.onOpen)S.onOpen(name);
    if(win[name]==null){
      if (name.indexOf('route') > -1) {
        win[name]=$("<div class='route-bar'></div>");
      } else {
        win[name]=$("<div class='selectPlan'></div>");
      }
      $(document.body).append(win[name]);
      win[name].load(name,back);
      win[name].css({right:"-100%"});
      win[name].show();
    }else{
      if(back)back();
    }
    win[name].css({right:"0%"});
  };
  //关闭指定文件名窗口
  this.close=function(name,data){
    window.history.go(-1);
    _close(name,data);
    //window.history.forward(-1);
    //window.history.go(-1);
    //_close(name,data);
  };
  var _close=function(name,data){
    if(win[name]==null)return;
    if(S.onClose)S.onClose(name,data);
    win[name].css({right:"-100%"});
    //win[name].hide();
    setTimeout(function () {
      $(".route-bar, #choose_route").remove();
      win[name] = null;
    },500);
  };
};


//监听H5初始化事件
document.addEventListener('plusready', function () {
    $header = $(".header");
    $("#content, #modular").css('padding-top', '50px');
    $(".choice_list").css("top", "44px");
    if (plus.os.name == 'Android') {
			$('body').removeClass('ios').addClass('android');
		} else {
			$('body').removeClass('android').addClass('ios');
			$(".choice_list").css("top", "60px");
			$("#content, #modular").css('padding-top', '70px');
		}
	// 安卓后退按钮
    plus.key.addEventListener('backbutton', function(event) {
        if ($('#head').attr('data-val') == 'drive' && window.location.href.indexOf('#') === -1) {
        	var rev = plus.webview.currentWebview();
            plus.webview.hide(rev, 'slide-out-right', 500);
        } else {
        	window.history.back();
        }
    }, false);
}, false)