
//监听H5初始化事件
document.addEventListener('plusready', function () {
    $header = $(".header");
    $("#content").css('padding-top', '44px');
    var currentWebView = plus.webview.currentWebview();
    currentWebView.setStyle({'popGesture':'none'});
    $header.find('.back-btn').click(function () {
        if(window.location.href.indexOf('#') === -1){
            plus.webview.hide(currentWebView, 'slide-out-right');
        } else {
			window.history.back();
        }
    });
}, false)
//创建边栏
var sidebarWin=new sidebarWin({
    onOpen:function(name,data){
        //$("#content").hide();
        $(".dlr_city").addClass("on");
    },
    onClose:function(name,data){
        //$("#content").show();
        if(data!=null){
            dealerCode = data.code;
            $(".choose-dealer").html(data.name).css("background", "#fff");
            $("input[name='dealer']").val(data.id);
            loadAdviser();
        }
        $(".header").show();
        $(".dlr_city").removeClass("on");
    }
});
//经销商code
var dealerCode = null;
//顾问名单
var salerList=[];var salerIndex = -1;
//更换顾问
var changeSaler=function(){
    var $gold = $("#gold");
    if(salerIndex==-1)salerIndex=Math.round(Math.random()*(salerList.length-1));
    $gold.find('img').attr('src', salerList[salerIndex].header);
    $gold.find("p").html(salerList[salerIndex].username).attr("data-id", salerList[salerIndex].userid);
    salerIndex++;
    if(salerIndex == salerList.length){salerIndex = 0};
};
//隐藏经销顾问
var hideSaler=function(flag){
    if(flag){
        $(".guwenno").show();
        $(".change").hide();//隐藏更换按钮
        $("#gold").hide();
    }else{

        $("#gold").show();
        $(".guwenno").hide();
        $(".change").show();
    }
}
//加载金牌顾问
var loadAdviser=function(){
    if(dealerCode==null){
        alertF("请先选择经销商");
        return;
    }
    //金牌顾问
    memberGetAjax('v1/tools/adviser',{dealercode: dealerCode},function(res){
        //电销员数组
        salerIndex = -1
        salerList= res.data.dian;
        if(salerList.length==0){//无顾问信息
            hideSaler(true);
            return;
        }else{
            if(salerList.length==1){
                $(".change").addClass("dis");
            }else{
                $(".change").removeClass("dis");
            }
            hideSaler(false);
            changeSaler();
        }
    });
};
$(function(){
    //获取参数
    var params = {}, searchParams = window.location.search;
    function getUrlParams(name) {// 获取地址栏的参数
        var re = new RegExp("("+name+")=(\\d+)");
        var result = window.location.search.match(re);
        if(result === null){return null};
        return result[2];
    }
    params.cid = getUrlParams("cid");
    params.dealer_id = getUrlParams("dealerid");
    console.log(params);
    hideSaler(true);
    //更换顾问
    $(".change").click(changeSaler);
    //选择经销商
    $("#selectDealer").click(function(){
        if(params.dealer_id==null)sidebarWin.open("choose_dealers.html",function(){
            loadDealer();
            $(".dlr_city").addClass("on");
        });
        return false;
    });
    // 初始化时间插件
    var startTime=new Date();
    var startF=startTime.getFullYear();
    var startM=startTime.getMonth()+1;
    var startD=startTime.getDate();
    var stratTimeText=GetDateStr(1);
    var endTimeText=(startF+1)+"-"+startM+"-"+startD;
    $("#demo1").attr("data-lcalendar",""+stratTimeText+","+endTimeText+"");
    //$("#demo1").val(stratTimeText);
    //获取指定多少天后的时间
    function GetDateStr(AddDayCount) {
        var dd = new Date();
        dd.setDate(dd.getDate()+AddDayCount);//获取AddDayCount天后的日期
        var y = dd.getFullYear();
        var m = dd.getMonth()+1;//获取当前月份的日期
        var d = dd.getDate();
        return y+"-"+m+"-"+d;
    }

    var calendar = new lCalendar();
    calendar.init({
        'trigger': '#demo1',
        'type': 'date'
    });



    //如果存在当前经销商信息
    if (params.dealer_id !== null){
        memberGetAjax('dealerStore/get_dealerinfo', {id: params.dealer_id},function(res){
            dealerCode = res.data.code;
            $("input[name='dealerName']").val(res.data.name).css("background", "#fff");

            $("input[name='dealer']").val(res.data.id);
            $("input[name='province']").val(res.data.province);
            $("input[name='city']").val(res.data.city);
            loadAdviser();
        });
    }

    //缓存DOM节点----顶部车辆列表的容器ul
    var $ul = $("#car-list");

    //如果当前传入了cid就表示显示单个车型,并且把上边的导航去掉
    if(params.cid !== null){
        console.log(params.cid);
        $("#title-nav").hide();
        //根据cid单独请求车型信息
        memberGetAjax('v1/vehicles/getBrandOne',params,function(res){
            $ul.append($("<li data-val='"+res.data.show.appearance.cid+"' class='active'><img src='"+res.data.show.thumb+"' alt=''><span>"+res.data.show.title+"</span></li>"));
        });
    } else {
        var url="v1/vehicles/getDealerBrand";
        if(params.dealer_id==null)url="v1/vehicles/getBrand";
        memberGetAjax(url,{dealer_id: params.dealer_id,status:1},
            function (res) {

                var list=res.data;
                var data =res.data;
                if(params.dealer_id==null)list=res.data.vehicle;
                console.log(res);
                var html="";
                for(var i=0;i<list.length;i++){
                    if(list[i].childs!=null && list[i].childs.length>0){
                        if(list[i].name=="一汽丰田双擎")list[i].name="双擎";
                        html+="<li val='"+i+"' >"+list[i].name+"</li>";
                    }
                }
                $("#title-nav").show();
                $("#tab-type").html(html);
                $("#tab-type li").eq(0).addClass("active");
                $("#tab-type li").click(function () {
                    tabIndex = $(this).attr("val");
                    $(this).addClass("active").siblings().removeClass("active");
                    render(tabIndex);
                    $ul.css({"transform": "translate3D(0, 0, 0)"});
                    currentIndex = 0;
                    liLen = $ul.children().length;
                    vehicleId = getCarId(currentIndex);
                    console.log(vehicleId);
                });
                function render(tabIndex) {
                    var str = '';

                    data=list[tabIndex].childs;
                    for(var i = 0;i < data.length; i++){
                        if (i === 0){
                            str += '<li class="active" data-val="'+data[i].cid+'"><img src="'+data[i].thumb+'" alt=""><span>'+data[i].name+'</span></li>'
                        } else {
                            str += '<li data-val="'+data[i].cid+'"><img src="'+data[i].thumb+'" alt=""><span>'+data[i].name+'</span></li>'
                        }
                    }
                    $ul.empty().append(str);
                }
                render(0);
                var tabIndex = 0, liLen = $ul.children().length;
                //获取当前车型id


                var $tab = $("#my-car"),currentIndex = 0;
                function getCarId(index) {
                    return $ul.find('li').eq(index).attr("data-val");
                }
                //车型id
                var vehicleId = getCarId(currentIndex);

                $tab.on('touchstart', function (e) {
                    var e = e || window.event;
                    var para = e.originalEvent.changedTouches[0];
                    touchStartX = para.pageX;
                    touchStartY = para.pageY;
                });
                function move() {
                    $ul.css({"transform": "translate3D("+(currentIndex * -5)+"rem, 0, 0)"});
                    $ul.find('li').eq(currentIndex).addClass('active').siblings().removeClass('active');
                }
                $tab.on('touchend', function (e) {
                    var e = e || window.event;
                    var para = e.originalEvent.changedTouches[0];
                    touchEndX = para.pageX;
                    touchEndY = para.pageY;
                    touchDirectionX = touchEndX - touchStartX;
                    touchDirectionY = touchEndY - touchStartY;
                    if (Math.abs(touchDirectionX) > Math.abs(touchDirectionY)){
                        if (touchDirectionX < 0){
                            if(currentIndex === liLen - 1){return false};
                            currentIndex++;
                            move();
                            vehicleId = getCarId(currentIndex);
                            console.log(vehicleId);
                        }else {
                            if(currentIndex === 0){return false};
                            currentIndex--;
                            move();
                            vehicleId = getCarId(currentIndex);
                            console.log(vehicleId);
                        }
                    }else {
                        return false;
                    }

                });
            }
        );
    }
    $("button").click(function () {
    	if($(this).attr("data-click")=="off"){
    		alert("已提交！");
			return false;
		};
        var userInfo = {},
            fieldArr = ['name', 'sex', 'mobile', 'dealer', 'gotime',  'clock', 'buytime','province','city'];
        for (var i = 0;i < fieldArr.length;i++) {
            userInfo[fieldArr[i]] = $("input[name='"+fieldArr[i]+"']").val() || $("select[name='"+fieldArr[i]+"']").val();
        }
        userInfo.gold = Number($("#gold").find("p").attr("data-id"));
        userInfo.vehicle = $ul.find("li.active").attr("data-val");
        userInfo.parentid = 73;
        userInfo.channelKeyId = 3;
        var re = /1(3|4|5|6|8)/;
        if(dealerCode==null){
            alertF("请选择经销商");
            return;
        }
        if(userInfo.name === undefined){
            alert("请填写姓名");
        } else if (re.test(userInfo.mobile) === false){
            alert("请填写手机号码");
        } else if (userInfo.gotime === undefined) {
            alert("请填写期望试驾时间");
        } else if (userInfo.buytime === undefined) {
            alert("请填写预计购车时间");
        } else {
            $(this).attr("data-click","off");
			memberAjax("v1/tools/formData2", userInfo, function(res) {
				$("button").attr("data-click","on");
				$("input[name='dealerName']").val('');
				location.href = "make-Success.html";
			},function(res){
				alertF(res.message,function(){
					$("button").attr("data-click","on");
				});
			});
        }
    })
})
