$(function(){
	var pdType=getUrlParams("type");
	//1为金融产品。5为保险产品，8为延保产品，同接口ID
	switch(pdType){
		case "1":
		$("#pageTitle,.page-title").html("金融产品");
		$(".pd-text").html("金融常识");
		$(".cal-box,.jr-cal").show();
		$(".js-img").attr("src","images/public/cpjs2.png");
		break;
		case "5":
		$("#pageTitle,.page-title").html("保险产品");
		$(".pd-text").html("保险常识");
		$(".cal-box,.bx-cal").show();
		$(".js-img").attr("src","images/public/cpjs.png");
		break;
		case "8":
		$("#pageTitle,.page-title").html("延保产品");
		$(".pd-text").html("延保常识");
		$(".js-img").attr("src","images/public/cpjs3.png");
		break;
	}
	//设置链接
	$(".pd-link").each(function(){
		$(this).attr("href",$(this).attr("data-href")+"?type="+pdType);
	});
	
	//获取相关活动
	var channelCon="";
	if(isApp){
		channelCon="3";
		$(".jr-cal").attr("href","service-financial.html");
		$(".bx-cal").attr("href","service-insurance.html");
	}else if(isWx){
		channelCon="2";
		//设置金融计算器/保险计算器链接地址
		$(".jr-cal").attr("href","/Wechat/News/inanceCal.html");
		$(".bx-cal").attr("href","/Wechat/Service/insurances.html");
	};
	$.ajax({
		type:"get",
		url:AJAXURL+"/v1/bank/activity",
		async:true,
		data:{
			channel:channelCon,
			maplist:pdType
		},
		success:function(res){
			if(res.errorCode=="200"){
				var atList="";
				var dataCon=res.data;
				for(var i=0; i<dataCon.length; i++){
					//atList+='<div class="pictext"><a href="details.html?id='+dataCon[i].id+'&type=activity"><img src="'+dataCon[i].thumb+'" /><p>'+dataCon[i].title+'</p><span>'+dataCon[i].add_time+'</span></a></div>';
					atList+='<div class="pictext"><a href="details.html?id='+dataCon[i].id+'&type=activity"><img src="'+dataCon[i].thumb+'" /><p>'+dataCon[i].title+'</p><span>'+dataCon[i].create_time+'</span></a></div>';
				};
				$(".activity-list").html(atList);
			}else if(res.errorCode=="404"){
				$(".txt").html("暂无相关活动");
			}else{
				alert(res.message);
			}
		}
	});
});
