;(function($){
	var dataListDom = $('.data_list .data');
	var timeDom = $('.j-time-dom');
	var charDom = $('.j-char-dom');
	var timeNavDom = $('.j-time');
	var charNavDom = $('.j-char');
	var moreDom = $('#More');
	var time = new Date(),
		years = time.getFullYear();
		mounth = time.getMonth()+1,
		today = time.getDate();
	mounth = mounth<10?'0'+mounth:mounth;
	today = today<10?'0'+today:today;
	function init(){
		//时间
		var calendar1 = new LCalendar();
		calendar1.init({
			'trigger': '#demo1', //标签id
			'type': 'date', //date 调出日期选择 datetime 调出日期时间选择 time 调出时间选择 ym 调出年月选择,
			'minDate': 2000 + '-' + 1 + '-' + 1, //最小日期
			'maxDate': years + '-' + (mounth) + '-' + today //最大日期
		});
		var calendar2 = new LCalendar();
		calendar2.init({
			'trigger': '#demo2', //标签id
			'type': 'date', //date 调出日期选择 datetime 调出日期时间选择 time 调出时间选择 ym 调出年月选择,
			'minDate': 2000 + '-' + 1 + '-' + 1, //最小日期
			'maxDate': years + '-' + (mounth) + '-' + today //最大日期
		});
		if(common.request('type')){
			fuwu.getState(common.request('type'),function(e){
				if(e ==1){
					fuwu.setCheckVal({
						type:common.request('type'),
						time:common.request('time'),
						page:1,
						start_time:common.request('start_time'),
						end_time:common.request('end_time'),
						status:common.request('status'),
						goods_type:common.request('goods_type'),
					});
					getData(function(res){
						dataListDom.html(fuwu.datalist(res.list));
					})
				}
			});
		}else{
			fuwu.getState('o',function(e){
				if(e ==1){
					fuwu.resetCheckVal('o');
					getData(function(res){
						dataListDom.html(fuwu.datalist(res.list));
					})
				}
			});
		}
	}
	init();
	//ajax请求线索列表数据接口
	function getData(callback){
		common.loading('show');
		$.ajax({
            type: "POST",
            url: common._url+'Clues/OrderService/index',
            data:fuwu.checkVal,
            success: function(res){
            	if(res.code == 200){
            		common.loading('none');
            		if(callback && res.data){
            			var totalPage = Math.ceil(res.data.total_num/10)
            			if(fuwu.checkVal.page >= totalPage){
            				moreDom.hide();
            			}else{
            				moreDom.show();
            			}
            			callback(res.data);
            		}
            	}
            },error:function() {
            	common.loading('none');
                common.pop('网络错误');
            }
		})	
	}
	//切换列表
	$('.top_tab').on('click','a',function(){
		var _this = $(this);
		var fn = _this.attr('data-fn');
		_this.addClass('active');
		_this.parents('li').siblings().children('a').removeClass('active');

		fuwu.getState(fn,function(e){
			if(e ==1){
				fuwu.resetCheckVal(fn);
				getData(function(res){
					dataListDom.html(fuwu.datalist(res.list));
				})
			}
		});
	})
	//选择筛选条件
	//下拉
	$('.search_ul').on('click','a',function(){
		var _this = $(this);
		if(_this.hasClass('j-time')){//时间选择
			if(timeDom.hasClass('displayNone')){
				_this.addClass('active')
				charNavDom.removeClass('active')
				timeDom.removeClass('displayNone')
				charDom.addClass('displayNone')
			}else{
				_this.removeClass('active')
				timeDom.addClass('displayNone')
			}
		}
		if(_this.hasClass('j-char')){//类型选择
			if(charDom.find('.search_time_tt li').length == 1){
				return;
			}
			if(charDom.hasClass('displayNone')){
				_this.addClass('active')
				timeNavDom.removeClass('active')
				charDom.removeClass('displayNone')
				timeDom.addClass('displayNone')
			}else{
				_this.removeClass('active')
				charDom.addClass('displayNone')
			}
		}
		if(_this.hasClass('j-search')){//搜索
			var t = fuwu.checkVal.type;
			plus.webview.open('fuwu-data-list-search.html?type='+t,'msg',{zindex:9},'slide-in-right');
		}
	})
	//选中
	timeDom.find('.search_time_tt').on('click','a',function(){
		var _this = $(this);
		_this.addClass('active');
		_this.parent('li').siblings().children('a').removeClass('active');
		var rang = _this.attr('data-rang');
		fuwu.checkVal.time = rang;
		timeNavDom.text(_this.text());
		$('#demo1').val('');
		$('#demo2').val('');
	})
	charDom.find('.search_time_tt').on('click','a',function(){
		var _this = $(this);
		_this.addClass('active');
		_this.parent('li').siblings().children('a').removeClass('active');
		var rang = _this.attr('data-rang');
		fuwu.checkVal.goods_type = rang;
		charNavDom.text(_this.text());
	})
	//确定按钮 查询数据
	$('.j-time-sub,.j-char-sub,.kj_search').on('click',function(_e){
		var _this = $(this);
		timeDom.addClass('displayNone');
		charDom.addClass('displayNone');
		timeNavDom.removeClass('active');
		charNavDom.removeClass('active');
		if(_this.hasClass('j-time-sub')){//时间
			if($('#demo2').val()){
				timeDom.find('.search_time_tt').children('li').each(function(){
					$(this).children('a').removeClass('active')
				})
				fuwu.checkVal.start_time = $('#demo1').val();
				fuwu.checkVal.end_time = $('#demo2').val();
				timeNavDom.text('时间范围');
			}else{
				fuwu.checkVal.start_time = '';
				fuwu.checkVal.end_time = '';
			}
		}
		if(_this.hasClass('kj_search')){//状态
			var target = $(_e.target);
			target.addClass('active').siblings().removeClass('active');
			fuwu.checkVal.status = target.attr('data-val');
		}
		dataListDom.html('');
		getData(function(res){
			dataListDom.append(fuwu.datalist(res.list));
		})
	})
	//分页加载
	moreDom.click(function(){
		fuwu.checkVal.page = fuwu.checkVal.page++;
		getData(function(res){
			dataListDom.append(fuwu.datalist(res.list));
		})
	})
	//跳转线索跟进webview
	dataListDom.on('click','li',function(){
		var _this = $(this);
		var t = fuwu.checkVal.type;
		var i = _this.attr('data-id');
		plus.webview.open('data-info-fuwu.html?type='+t+'&id='+i,'msg',{zindex:9},'slide-in-right');
	})
})(window.jQuery);