;
( function () {
	//拿到跳转过来的网址的以及后面跟的type参数
	var urlStr = window.location.search;
//  var urlStr ="http://union.ftms.bjscfl.com/Clues/OrderService/index?type=s";
	var type_w=urlStr.substring(urlStr.indexOf("?") + 1);
	//type就是所需要的参数
	var type = type_w.substring(type_w.indexOf("=") + 1);
	
	body_height = $( window ).height();
	$( "#content" ).height( body_height - 50 + 'px' ).css( {
		"overflow-y": "scroll",
		"margin-top": "50px"
	});
	var page=1;
	var key_val;//搜索框中内容
	var	num_page;//总页数
	var loadMoreFlag=false;//控制点击更多的按钮的开关
	
	//点击取消按钮回退 
	$(".search_cancel").on("click",function() {
		
		plus.webview.currentWebview().close();
	
	})

	//点击搜索按钮的请求效果
	$("#search_btn").on("click",function() {
		$('#data_list').html('');
		key_val=$("#search_text").val();
		page=1;//因为每一次点搜索按钮都是从新搜索所以要置page=1
		$.ajax({
			type:"get",
			url:common._url+"Clues/OrderService/index",
			data:{
				type:type,
				page:page,
				key:key_val,
			},
			async:true,
			success:function(res) {
			     //记录一下总页数目
			     num_page=Math.ceil(res.data.total_num/10);
			     dataRender(res);
			     //判断未第一次加载将开关打开
			     if (loadMoreFlag==false) {
			     	loadMoreFlag=true;
			     	 $('.loadMore').removeClass("displayNone");
			     }
//			     $('.loadMore').html('点击加载更多')
			}
		});	
	})
	//数据渲染的方法	
	function dataRender (res) {
		var items=[];
		var list=res.data.list;
		var html= '';
		for (var i = 0; i < list.length; i++) {
			items.push('<a style="display:block" href='+common._urlFile+'data-info-fuwu.html?type='+type +'&id='+list[i].id +'>')
			items.push('<li class="model_contents">');
			items.push('<p class="content_title">'+list[i].status_name+'</p>');
			items.push('<div class="model_wrap">');
			items.push('<div class="model_left">');
			
			//性别的判断
			if (list[i].sex==1) {
				items.push('<span class="sex_sign_1">♂ </span>');	
			}else if (list[i].sex==2) {
				items.push('<span class="sex_sign_2">♀ </span>');
			}else{
				items.push('<span class="sex_sign_1"></span>');
			}
			items.push('<p class="model_user">'+list[i].name+'</p>	');
			items.push('</div>');
			items.push('<div class="model_right">');
			if (list[i].clationname!='') {
				items.push('<p class="right_title">'+list[i].clationname+'</p>');	
			}
			if(list[i].type_name!=''){
				items.push('<p class="right_title">'+list[i].type_name+'</p>');
			}
			//当以上两项都为空的时候要考虑样式调整
			if (list[i].clationname==''&&list[i].type_name=='') {
				items.push('<div class="paddingTop4 time_arrive">'+list[i].gotime+'</div>');
			} else{
				items.push('<div class="paddingTop1 time_arrive">'+list[i].gotime+'</div>');
			}
			items.push('</div>');
			items.push('</div>');
			items.push('<div class="button"><span class="back_sign"></span>立即跟进</div>');
			items.push('</li>');
			items.push('</a>')
		}
		$('#data_list').append(items.join(''));
	}
	//点击加载更多数据
	$(".loadMore").on('click',function() {
		++page;
		//这个判断写再ajax外面可以减少一次请求
		if (page<(num_page+1)) {
			$('.loadMore').html('点击加载更多')
			$.ajax({
				type:"get",
				url:common._url+"Clues/OrderService/index",
				data:{
					type:type,
					page:page,
					key:key_val,
				},
				async:true,
				success:function(res) {
				     dataRender(res);   	 
				}
			});	   	 	
	   	 } else{
	   	 	$('.loadMore').html('暂无更多数据')
	   	 }
	})
} )();