memberAjax("member/first_bind", null, function(json) {
	if(json.data.status == 0) {
		//		location.href="addcar2.html";
	} else {
		if(json.data.msg != null) {
			var html = "";
			for(var i = 0; i < json.data.msg.length; i++) {
				html += json.data.msg[i] + "<br>";
			}
			$("#first_head_content").html(html);
		}
	}
});
$(function() {
	//判断是否在23家经销商内
	memberAjax("member/aggregate", null, function(json) {
		if(json.data.check_dealer_code == 0) {
			//隐藏不显示的功能
			$(".checkDealer").hide();
		}else if(json.data.check_dealer_code == 1){
			$(".checkDealer").show();
		}
	});
	//加载经销商
	var loadDealer = function() {
		var province = $("#province").val();
		var city = $("#city").val();
		memberAjax("member/getmydealer", {
			province: province,
			city: city
		}, function(json) {
			var data = json.data;
			$("#dealer").html("");
			$("#dealer").append("<option value=''>选择经销商</option>");
			for(var i = 0; i < data.length; i++) {
				$("#dealer").append("<option value=" + data[i].code + ">" + data[i].fullname + "</option>");
			};
		});
	};
	//加载地区信息
	memberAjax("shop/getarea", null, function(json) {
		var data = json.data;
		$("#province").html("");
		$("#province").append("<option value=''>选择省份</option>");
		for(var i = 0; i < data.length; i++) {
			$("#province").append("<option >" + data[i].province + "</option>");
		};
	});
	//阻止ios点击重叠
	$("#province,#city,#dealer").focus(function(){
		$(this).parent(".chejiahao_content").siblings(".chejiahao_content").find("select").attr("disabled",true);
		$(".car_tijiao").attr("disabled",true);
		$(".check,.Close_but,.policy_but").off("click");
	}).blur(function(){
		$(this).parent(".chejiahao_content").siblings(".chejiahao_content").find("select").attr("disabled",false);
		$("#city,#dealer").attr("disabled",false);
		$(".car_tijiao").attr("disabled",false);
		$(".check").off("click").on("click",checkFun);
		$(".Close_but").off("click").on("click",Close_butFun);
		$(".policy_but").off("click").on("click",policy_butFun);
	});
	$("#province").change(function() {
		$("#province,#city,#dealer").attr("disabled",false);
		$(".car_tijiao").attr("disabled",false);
		$(".check").off("click").on("click",checkFun);
		$(".Close_but").off("click").on("click",Close_butFun);
		$(".policy_but").off("click").on("click",policy_butFun);
		var id = $(this).val();
		if(id == "") return;
		memberAjax("shop/getarea", {
			province: id
		}, function(json) {
			var data = json.data;
			$("#city").html("");
			$("#city").append("<option value=''>选择地区</option>");
			for(var i = 0; i < data.length; i++) {
				$("#city").append("<option >" + data[i].city + "</option>");
			};
			loadDealer();
		});
	});
	$("#city").change(function() {
		$("#province,#city,#dealer").attr("disabled",false);
		$(".car_tijiao").attr("disabled",false);
		$(".check").off("click").on("click",checkFun);
		$(".Close_but").off("click").on("click",Close_butFun);
		$(".policy_but").off("click").on("click",policy_butFun);
		loadDealer();
	});
	$("#dealer").change(function(){
		$("#province,#city,#dealer").attr("disabled",false);
		$(".car_tijiao").attr("disabled",false);
		$(".check").off("click").on("click",checkFun);
		$(".Close_but").off("click").on("click",Close_butFun);
		$(".policy_but").off("click").on("click",policy_butFun);
	});
	//验证车架号
	var yanzhengcar = function(obj) {
		if(obj.val() == "") return true;
		if(obj.val().length != 17) {
			alert("车架号填写不正确");
			//			obj.focus();
			return false;
		}
		return true;
	};
	var yanzheng = function() {
		var car1 = $("#car1"),
			car2 = $("#car2"),
			car3 = $("#car3");
		if(car1.val() == "" && car2.val() == "" && car3.val() == "") {
			alert("至少填写一个车架号");
			//			car1.focus();
			return false;
		}
		if(!yanzhengcar(car1)) return false;
		if(!yanzhengcar(car2)) return false;
		if(!yanzhengcar(car3)) return false;
		return true;
	};
	$(".car_tijiao").click(function() {
		if(!yanzheng()) return false;
		var car1 = $("#car1").val(); //车型
		var car2 = $("#car2").val(); //车型
		var car3 = $("#car3").val(); //车型
		var dealer = $("#dealer").val(); //经销商
		var province = $("#province").val(); //省份
		var city = $("#city").val(); //城市
		if(dealer == "") {
			alert("没有选择经销商");
			return;
		}
		var dropIds = "";
		if(car1 != "") dropIds += ((dropIds != "" ? "," : "") + car1);
		if(car2 != "") dropIds += ((dropIds != "" ? "," : "") + car2);
		if(car3 != "") dropIds += ((dropIds != "" ? "," : "") + car3);
		
		//获取用户选中状态
		var sendmsgCon=$(".check").attr("data-id");
		memberAjax("member/frist_bangding", {
			vin: dropIds,
			dealer: dealer,
			province: province,
			city: city,
			sendmsg:sendmsgCon
		}, function(json) {
			alertF(json.data,function(){
				location.href = "mycar.html";
			})
		});
	});
	
	//隐私政策弹出
	$(".policy_but").on("click",policy_butFun);
	$(".Close_but").on("click",Close_butFun);
	$(".check").on("click",checkFun);
	function policy_butFun(){
		$(".Privacy_policy").stop().fadeIn(200);
	}
	function Close_butFun(){
		$(".Privacy_policy").stop().fadeOut(200);
	}
	function checkFun(){
		if($(this).hasClass("check0")){
			$(this).removeClass("check0").attr("data-id","1");
		}else{
			$(this).addClass("check0").attr("data-id","0");
		}
	}
});