$(function(){
	//-----------------------请求城市地址开始--------------------------
	$.ajax({
		type:"post",
		url:ShopAjax_url+"getarea",
		async:true,
		success:function(con){
			if(con.code="200"){
				var data_length=con.data.length;
				var selectHtml="<option>请选择省</option>";
				for(var i=0; i<data_length; i++){
					selectHtml+='<option value="'+con.data[i].province+'">'+con.data[i].province+'</option>';
				}
				$("#add_select1").html(selectHtml).change();
			}else{
				alert(con.msg);
			}
		}
	});
	
	$("#add_select1").change(function(){
		var provinceCon=$(this).val();
		$.ajax({
			type:"post",
			url:ShopAjax_url+"getarea",
			async:true,
			data:{
				province:provinceCon
			},
			success:function(con){
				if(con.code="200"){
					var data_length=con.data.length;
					var selectHtml="<option>请选择市</option>";
					for(var i=0; i<data_length; i++){
						selectHtml+='<option value="'+con.data[i].city+'" data-province="'+con.data[i].province+'">'+con.data[i].city+'</option>';
					}
					$("#add_select2").html(selectHtml);
				}else{
					alert(con.msg);
				}
			}
		});
	})
	//-----------------------请求城市地址结束--------------------------
	
	//-----------------------请求关注的经销商开始----------------------
	$.ajax({
		type:"post",
		url:MemberAjax_url+"member/concersDealerList",
		async:true,
		success:function(res){
			if(res.code=="200"){
				var concernList="";
				var salesname;
				if(res.data.length=="0"){
					$(".no-sales").show();
					return false;
				};
				for(var i=0; i<res.data.length; i++){
					if(res.data[i].salesname==null){
						salesname="未选择销售人员";
					}else{
						salesname=res.data[i].salesname;
					};
					concernList+='<li><div class="dealer-t"><div class="li-left"><a><img src="images/img_jxs.jpg" alt=""></a></div><div class="li-center"><a><p>'+res.data[i].name+'</p><span>'+res.data[i].address+'</span></a></div><div class="li-right"><span class="follow-y" data-id='+res.data[i].salesid+' data-code='+res.data[i].code+'><i>已关注</i></span></div></div><div class="sale"><i></i><div class="saler">销售人员：<span>'+salesname+'</span></div><a href="select-modify.html?code='+res.data[i].code+'&id='+res.data[i].id+'" class="modify">修改</a></div></li>';
				}
				$("#concern-list").html(concernList)
			}else{
				alert(res.msg);
			};
		}
	});
	//-----------------------请求关注的经销商结束----------------------
	
	//-----------------------请求经销商信息开始-------------------------
	//获取定位地址
	var city_con;
	if(getCookie("city")==undefined || getCookie("city")==null || getCookie("city")==""){
		city_con="北京";
	}else{
		city_con=getCookie("city");
	}
	if(city_con.indexOf("省")>-1){
    	city_con=city_con.substring(0,city_con.indexOf("省"));
    }else if(city_con.indexOf("市")>-1){
    	city_con=city_con.substring(0,city_con.indexOf("市"));
    }
    getDel(city_con,city_con);
	$("#add_select2").change(function(){
		var provinceCon=$("#add_select2 option:selected").attr("data-province");
		var cityCon=$(this).val();
		getDel(provinceCon,cityCon);
	})
	function getDel(p,c){
		$.ajax({
			type:"post",
			url:MemberAjax_url+"member/getmydealer",
			async:true,
			data:{
				province:p,
				city:c
			},
			success:function(con){
				if(con.code=="200"){
					var data_length=con.data.length;
					var delList="";
					for(var i=0; i<data_length; i++){
						//判断是否已关注
						if(con.data[i].status!=0){
							delList+='<li><div class="li-left"><a><img src="images/img_jxs.jpg" alt="" /></a></div><div class="li-center"><a><p>'+con.data[i].name+'</p><span>'+con.data[i].address+'</span></a></div><div class="li-right"><a class="follow followed" data-href="select-sales.html?code='+con.data[i].code+'">关注</a></div></li>';
						}
					}
					$("#dealerList").html(delList);
				}else{
					alert(con.msg);
				}
			}
		});
	}
	//-----------------------请求经销商信息结束-------------------------
	
	//-----------------------取消关注开始------------------------------
	$("#concern-list").on("click",".follow-y",function(){
		var codeCon=$(this).attr("data-code");
		var salesIdC=$(this).attr("data-id");
		$.ajax({
			type:"post",
			url:MemberAjax_url+"member/concersadd",
			async:true,
			data:{
				code:codeCon,
				salesId:salesIdC,
				type:2
			},
			success:function(res){
				if(res.code=="200"){
					window.location.reload();
				}else{
					alert(res.msg)
				}
			}
		});
	});
	//-----------------------取消关注结束------------------------------
	
	//添加爱车
	$("#add-car").click(function(){
		location.href="addcar.html";
	});
	
	//关注功能
	$("#dealerList").on("click",".follow",function(){
		if($("#concern-list li").length>=3){
			$(".limit").show();
		}else{
			window.location.href=$(this).attr("data-href");
		};
	});
	$(".btn_l").on("click",function(){
		$(".limit").hide();
	});
})
