$(function(){
	/*请求banner图*/
	$.ajax({
	    url: ShopAjax_url + 'getmsgbanner',
        type: 'POST',
        data: {"show_locat":1},
        success: function (response) {
            var str = '', i = 0, len = response.data.length;
            var data = response.data;
            for (i;i < len; i++){
                str += '<div class="swiper-slide"><a href="'+data[i].url+'"><img src="'+getAllUrl(data[i].thumb)+'" alt="" /></div></a>'
            };
            $("#banner_box").empty().append(str);
            //	banner幻灯切换
			var mySwiper = new Swiper ('.swiper-container', {
		    loop: false,
		    autoplay:5000,
		    // 如果需要分页器
		    pagination: '.swiper-pagination',
		  	});
        }
    });
    /*请求车型信息*/
    $.ajax({
        url: ShopAjax_url + 'gethotcar',
        type: 'POST',
        data: {},
        success: function (response) {
            var data = response.data;
            var str = '';
            $.each(data, function (i, v) {
                str += '<li> ' +
                		'<a href="xuanhaoche_chexi.html?cid='+v.cid+'&goods_id='+v.goods_id+'">'+
                        '<img class="lazy" data-original="'+getAllUrl(v.thumb)+'" alt="" /> ' +
                        '<b>'+v.name+'</b> ' +
                        '<p class="zdj">官方指导价：<span>￥'+(v.price/10000 ).toFixed(2)+'万起</span></p> ' +
                        '<p class="scj">商城价：<span>￥'+(v.shop_price/10000).toFixed(2)+'万起</span></p> ' +
                        '</a>'+
                        '<img src="images/public_img/icon_new.png" class="new new'+v.new+'" alt="" />'+
                        '</li>'
            });
            $("#models").empty().append(str);
            $("img.lazy").lazyload();
        }
    });
    /*请求零件信息*/
    $.ajax({
        url: ShopAjax_url + 'gethotbout',
        type: 'POST',
        data: {},
        success: function (response) {
            var data = response.data;
            var str = '';
            $.each(data, function (i, v) {
            	var go;
            	if(v.http_url==""){
            		go='yangaiche_lingjiandetail.html?goods_id='+v.id+'';
            	}else{
            		go=v.http_url;
            	}
                str += '<li> ' +
                		'<a href="'+go+'">'+
                        '<div class="car_part">' +
                            '<img class="lazy" data-original="'+getAllUrl(v.thumb)+'" alt="" />' +
                        '</div> ' +
                        '<b>'+v.name+'</b> ' +
                        '<p class="zdj">官方指导价：<span>'+(v.price/1).toFixed(2)+'元</span></p> ' +
                        '<p class="scj">商城价：<span>￥'+(v.shop_price/1).toFixed(2)+'元</span></p> ' +
                        '</a>'
                        '</li>'
            });
            $("#tools").empty().append(str);
            $("img.lazy").lazyload();
        }
    });
    /*请求活动信息*/
    $.ajax({
        url: ShopAjax_url + 'gethotactive',
        type: 'POST',
        data: {},
        success: function (response) {
            var data = response.data;
            var str = '';
            var start_time;
			var end_time;
            $.each(data, function (i, v) {
            	start_time=response.data[i].start_time.split(" ");
				start_time=start_time[0];
				end_time=response.data[i].end_time.split(" ");
				end_time=end_time[0];
                str += '<li> ' +
                		'<a href="active-page.html?isrc='+v.url+'">'+
                        '<img class="lazy" data-original="'+getAllUrl(v.pc_pic)+'" alt="" /> ' +
                        '<p>'+v.title+'</p> ' +
                        '<span>'+start_time+' 至 '+end_time+'</span> ' +
                        '</a>'
                        '</li>'
            });
            $("#activities").empty().append(str);
            $("img.lazy").lazyload();
        }
    });
    /*猜你喜欢*/
    var refresh = function () {
        $.ajax({
            url: ShopAjax_url + 'guessyoulike',
            type: 'POST',
            data: {},
            success: function (response) {
                var data = response.data;
                var str = '';
                var con_link;
                $.each(data, function (i, v) {
                    if (v.type == 'models'){
                    	con_link='xuanhaoche_chexi.html?cid='+v.cid+'&goods_id='+v.goods_id+'';
                    }else{
                    	con_link='yangaiche_baoyangdetail.html?goods_id='+v.goods_id+'';
                    }
                    var priceText;
                	if(v.price>=10000){
                		priceText=(v.price/10000).toFixed(2)+"万";
                	}else{
                		priceText=(v.price/1).toFixed(2)+"元";
                	}
                    str += '<li> ' +
                                '<a href="'+con_link+'">'+
                            '<div class="car_part">' +
                            '<img class="lazy" data-original="'+getAllUrl(v.thumb)+'" alt="" />' +
                            '</div> ' +
                            '<b>'+v.name+'</b> ' +
                            '<p class="zdj">商城价：<span>¥'+priceText+'</span></p> ' +
//                          '<p class="scj">商城价：<span>¥ <i>'+(v.shop_price/10000 ).toFixed(2)+'</i>万起</span></p> ' +
                            '</a>'+
                            '</li>'
                });
                $("#guesslike").empty().append(str);
                $("img.lazy").lazyload();
            }
        });
    };
    refresh();
    $("#refresh").click(function () {
        refresh();
    })
})
