$(function() {
	//
	$("#set-sessid").attr("src",ShopAjax_url + "userstatus");

	$(".bot_l input").on("click", function() {
		$(this).toggleClass("checked");
	});

	function domainURI(str) {
		var durl = /http:\/\/([^\/]+)\//i;
		domain = str.match(durl);
		return domain[1].toLowerCase();
	};
	$("#sure_sign").click(function() {
		var acc = $("#account_name").val();
		var pasW = $("#account_password").val();
		try{
			var client_ip = returnCitySN["cip"];
		}catch(e){
			var client_ip ="";
		}

		//校验手机号
		if(phone_yz(acc)) {
			error_text("");
			$("#account_name").parent("li").removeClass("red_border");
		} else {
			error_text("手机号码格式错误！");
			$("#account_name").focus().parent("li").addClass("red_border");
			return false;
		}
		//密码检测
		if(!name_yz(pasW)) {
			error_text("密码不可为空！");
			$("#account_password").focus().parent("li").addClass("red_border");
			return false;
		} else {
			error_text("");
			$("#account_password").parent("li").removeClass("red_border");
		}
		//用户名和密码填写后的请求
		$.ajax({
			url: "/shop/login",
			type: "post",
			data: {
				username: acc, //是 string 手机号，用户名，邮箱 
				pwd: pasW, //是 string 密码 
				ip: client_ip //是 string 登陆ip
			},
			success: function(res) {
				if(res.code == "200") {
					var tokenCon=res.data.token;
					$.ajax({
						type:"post",
						url:MemberAjax_url+"v1/user/getUser",
						async:true,
						data:{
							token:tokenCon
						}
					});
					//将id保存起来方便其他的操作的界面调用
					setCookie("id", res.data.id);
					//成功后跳转至个人中心首页
					if(document.referrer == "") {
						window.location.href = "PersonalIndex.html";
					} else if(document.referrer.indexOf("register.html") > -1) {
						window.location.href = "PersonalIndex.html";
					} else if(document.referrer.indexOf("zhaohuimima.html") > -1) {
						window.location.href = "PersonalIndex.html";
					} else if(document.referrer.indexOf("PersonalIndex.html")>-4){
						window.location.href = "PersonalIndex.html";
					} else if(document.referrer.indexOf("/Shop/")<0){
						window.location.href = "PersonalIndex.html";
					}else {
						if(domainURI(document.referrer) == domainURI(window.location.href)) {
							//window.history.go(-1);
							location.href=document.referrer;
						} else {
							window.location.href = "PersonalIndex.html";
						}
					}
				} else if(res.code == "405") {
					error_text(res.msg);
				}

			},
			error: function(res) {
				console.log(res);
			}
		});
	})

	//手机号码验证
	function phone_yz(MobileValue) {
		if(MobileValue && /^1[3|4|5|7|8]\d{9}$/.test(MobileValue)) {
			return true;
		} else {
			return false;
		}
	}
	//输入不能为空检测
	function name_yz(name_text) {
		if(name_text.length == 0) {
			return false;
		} else {
			return true;
		}
	}

	//错误提示
	function error_text(text_obj) {
		$(".error_text").html(text_obj);
	}
})