$(function() {
	//--------------------------------------获取消息列表开始----------------------------
	var pageCon = 0;
	var numCon = 10;
	$('#content').dropload({
		scrollArea: window,
		loadDownFn: function(me) {
			pageCon++;
			$.ajax({
				type: "post",
				url: MemberAjax_url + "member/getmymessage",
				async: true,
				data: {
					page: pageCon,
					num: numCon
				},
				success: function(con) {
					if(con.code == "200") {
						//获取积分消息列表
						var dataCon = con.data.list;
						if(dataCon.length == 0) {
							$(".dropload-load").html("没有更多了！");
							return false;
						}
						var listHtml = "";
						for(var i = 0; i < dataCon.length; i++) {
							if(dataCon[i].flag == "0") { //0为普通  1为积分
								var linkUrl;
								var CreateTime;
								if(dataCon[i].url == "" || dataCon[i].url == null) {
									linkUrl = "javascript:void(0);"
								} else {
									linkUrl = dataCon[i].url;
								}
								listHtml += '<li><div class="news_info"><a href=' + linkUrl + ' class="name">' + dataCon[i].title + '</a><p class="time" title="' + dataCon[i].content + '">' + dataCon[i].content + '</p><b class="year">' + dataCon[i].create_time + '</b></div><div class="delete" data-id="' + dataCon[i].id + '"><span>删除</span></div></li>';
							} else if(dataCon[i].flag == "1") {
								listHtml += '<li><div class="news_info"><a href="MessageCon.html?id=' + dataCon[i].id + '"><span class="name">' + dataCon[i].title + '<span><p class="time" title="' + dataCon[i].content + '">' + dataCon[i].content + '</p></a><b class="year">' + dataCon[i].create_time + '</b></div><div class="delete" data-id="' + dataCon[i].id + '"><span>删除</span></div></li>';
							} else if(dataCon[i].flag == "2") {
								listHtml += '<li><div class="news_info"><a href="family-confirm.html?id=' + dataCon[i].id + '"><span class="name">' + dataCon[i].title + '<span><p class="time" title="' + dataCon[i].content + '">' + dataCon[i].content + '</p></a><b class="year">' + dataCon[i].create_time + '</b></div><div class="delete" data-id="' + dataCon[i].id + '"><span>删除</span></div></li>';
							} else if(dataCon[i].flag == "3") {
								listHtml += '<li><div class="news_info"><a href="family-cancel.html?id=' + dataCon[i].id + '"><span class="name">' + dataCon[i].title + '</span><p class="time" title="' + dataCon[i].content + '">' + dataCon[i].content + '</p></a><b class="year">' + dataCon[i].create_time + '</b></div><div class="delete" data-id="' + dataCon[i].id + '"><span>删除</span></div></li>';
							} else if(dataCon[i].flag == "4") {
								listHtml += '<li><div class="news_info"><a href="integral-revoke.html?id=' + dataCon[i].id + '"><span class="name">' + dataCon[i].title + '</span><p class="time" title="' + dataCon[i].content + '">' + dataCon[i].content + '</p></a><b class="year">' + dataCon[i].create_time + '</b></div><div class="delete" data-id="' + dataCon[i].id + '"><span>删除</span></div></li>';
							}
						}
						$(".news_list").append(listHtml);
						// 代码执行后必须重置，有了分页后再打开
						me.resetload();
					} else {
						alert(con.msg);
					}
				},
				error: function() {
					me.resetload();
				}
			});
		}
	});
	//--------------------------------------获取消息列表结束----------------------------

	//--------------------------------------删除消息接口开始-------------------------------
	$(".news_list").on("click", ".delete", function() {
		var idCon = $(this).attr("data-id");
		var thisObj = $(this);
		$.ajax({
			type: "post",
			url: MemberAjax_url + "member/del_log",
			async: true,
			data: {
				id: idCon
			},
			success: function(con) {
				if(con.code == "200") {
					$(thisObj).parent("li").remove();
				} else {
					alert(con.msg);
				}
			}
		});
	})
	//--------------------------------------删除消息接口结束-------------------------------

	//--------------------------------------删除滑动效果开始-------------------------------
	var staX = 0;
	var endX = 0;
	var staY = 0;
	var endY = 0;
	var checkOn = false;
	$('.news_list').on("touchstart", "li", function(e) {
		staX = e.originalEvent.changedTouches[0].pageX;
		staY = e.originalEvent.changedTouches[0].pageY;
	})
	$('.news_list').on("touchmove", "li", function(e) {
		checkOn = true;
		endX = e.originalEvent.changedTouches[0].pageX;
		endY = e.originalEvent.changedTouches[0].pageY;
	})
	$('.news_list').on("touchend", "li", function(e) {
		var slideNumber = Number(staX) - Number(endX);
		var slideCheck = Number(staY) - Number(endY);
		if(slideCheck > 10 || slideCheck < -10) {
			checkOn = false;
		}
		if(checkOn) {
			if(slideNumber > 10) {
				$(".delete", $(this)).stop(false, true).animate({
					"right": "0%"
				}, 200).parent().siblings().find(".delete").stop(false, true).animate({
					"right": "-20%"
				}, 200);
			}else if(slideNumber < -10){
				$(".delete", $(this)).stop(false, true).animate({
					"right": "-20%"
				},200)
			}
		}
		checkOn = false;
	})

	//--------------------------------------删除滑动效果结束-------------------------------//
})