$(function() {
	//----------------------获取昵称开始---------------------------
	$.ajax({
		type: "post",
		url: MemberAjax_url + "member/aggregate",
		async: true,
		success: function(con) {
			if(con.code == "200") {
				//设置昵称
				$("#userName").val(con.data.name);
				//设置性别
				if(con.data.sex == 2) {
					$(".string").empty().html('<option value="2" selected="selected">女</option><option value="1">男</option>');
				};
				//设置真实姓名
				$("#real-name").val(con.data.realname);
				//设置身份证
				$("#userId").val(con.data.idcard);
			}
		}
	});
	//----------------------获取昵称结束---------------------------
	
	//----------------------确定修改信息开始--------------------------------
	$("#head").on("click","#submit-data",function(){
		//获取头像
		var headImg=$(".head-img.on").attr("data-id");
		if(headImg==undefined){
			headImg="";
		};
		//获取真实姓名
		var realName=$("#real-name").val();
		//获取昵称
		var userName=$("#userName").val();
		//获取性别
		var sexCon=$(".string").val();
		//获取身份证号
		var idcardCon=$("#userId").val();
		if(idcardCon!=""){
			if(!isCardNo(idcardCon)){
				alert("身份证号为无效证件号码");
				return false;
			}
		}
		//传递数据
		$.ajax({
			type:"post",
			url:MemberAjax_url+"member/personal_data",
			async:true,
			data:{
				thumb:headImg,
				nickname:userName,
				sex:sexCon,
				idcard:idcardCon,
				realname:realName
			},
			success:function(con){
				if(con.code=="200"){
					goBack();
				}else{
					alert(con.msg);
				}
			}
		});
	});
	//----------------------确定修改信息结束--------------------------------
	
	//----------------------头像选择开始---------------------------
	$(".head-img").click(function(){
		$(this).addClass("on").siblings(".head-img").removeClass("on");
	})
	//----------------------头像选择结束---------------------------

	//校验身份证
	function isCardNo(card) {
		var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
		if(reg.test(card) === false) {
			return false;
		} else {
			return true;
		}
	}
})