//-----------------------------------ajax接口公用请求地址开始----------------------------------
//PC/移动/APP服务器地址
var ShopAjax_url = "/shop/"; //商城系统ajax调用地址变量
var MemberAjax_url = "/"; //会员系统ajax调用地址变量

//APP指定域名地址
var isApp = false;
var appUser = navigator.userAgent;
if(appUser.indexOf("Html5Plus") > -1) {
	isApp=true;
	ShopAjax_url = "http://app.ftms.com.cn/shop/"; //商城系统ajax调用地址变量
	MemberAjax_url = "http://app.ftms.com.cn/"; //会员系统ajax调用地址变量
}

//城市
var client_cname;
var headTemplate = "head.html";
//-----------------------------------ajax接口公用请求地址结束----------------------------------

//----------------------------微信浏览器功能设置开始，所有微信相关设置都写在这里-----------------------------
//判断是否是微信浏览器
var wachartUa = window.navigator.userAgent.toLowerCase();
if(wachartUa.match(/MicroMessenger/i) == 'micromessenger') {
	setCookie("id", "1");
	$("#footer").hide();
}
//--------------------------------------微信浏览器功能设置结束---------------------------------------

//设置cook的方法
function setCookie(name, val) {
	sessionStorage.setItem(name, val);
}
//获取cook的方法
function getCookie(name) {
	return sessionStorage.getItem(name);
}
//图片拼接地址
function getAllUrl(url){
	if(url==null)url="";
	if(url.indexOf("http")==0)return url;
	var imgUrl;
	if(MemberAjax_url=="/"){
		imgUrl="";
	}else{
		imgUrl=MemberAjax_url;
	};
	url=imgUrl+url;
	return url;
}
//存放历史记录
var historyArr;
if(getCookie("historyArr")==null || getCookie("historyArr")==""){
	historyArr=[];
}else{
	historyArr=getCookie("historyArr").split(",");
}
var pageUrl=window.location.href;
if(historyArr[historyArr.length-1]!=pageUrl){
	historyArr.push(pageUrl);
	setCookie("historyArr",historyArr);
}
//返回上一页函数
function goBack(){
	var newPageArr=getCookie("historyArr").split(",");
	var goPage=newPageArr[newPageArr.length-2];
	if(wachartUa.match(/MicroMessenger/i) == 'micromessenger'){//如果是微信跳转到个人中心
		if(goPage==undefined || goPage==""){
			setCookie("historyArr","");
			window.location.href=MemberAjax_url+'Wechat/My/index.html';
			return false;
		}else{
			window.location.href=goPage;
			newPageArr.length=newPageArr.length-2;
			setCookie("historyArr",newPageArr);
		}
	}else{
		if(goPage==undefined || goPage==""){//如果是web浏览器，终止操作
			setCookie("historyArr","");
			window.location.href="/";
			return false;
		}else{
			window.location.href=goPage;
			newPageArr.length=newPageArr.length-2;
			setCookie("historyArr",newPageArr);
		}
	}
	
}

//------------------------------APP功能设置开始，所有的APP相关设置都写在这里------------------------------
//APP添加的方法
var HISTORY_BACK = 'index.html';
var _item = sessionStorage.getItem('history_back');

if(_item) {
	HISTORY_BACK = JSON.parse(_item)
}

//APP连接其他a标签函数
function linkHistory(x) {
	window.location.href = x;
	sessionStorage.setItem('history_back', JSON.stringify(x))
}
//App结束 函数
function hideWebview () {
	document.body.innerHTML = '' ;
}

document.addEventListener('plusready', function() { //只有在APP中才会执行plusready方法
	var self = plus.webview.currentWebview();
	var father = self.opener();

	// 关闭侧滑返回功能
	self.setStyle({
		'popGesture': 'none'
	});
	// 页面左上返回按钮
	$(document).on("click", "#returnPage", function() {
		if(location.href.indexOf(HISTORY_BACK) != -1) {
			plus.webview.hide(self, 'auto', 300)
			hideWebview ()
			father.evalJS('reloadMine()')
			father.evalJS('my_message_badge()') //更新APP我的消息
		}else if(document.referrer.indexOf("addcar.html")>-1){
			plus.webview.hide(self, 'auto', 300)
			hideWebview ()
			father.evalJS('reloadMine()')
		}else {
			goBack();
		}
	})
	// 安卓后退按钮
	plus.key.addEventListener('backbutton', function(event) {
		if(location.href.indexOf('mycar.html?')!=-1){
			return ;
		}
		if(location.href.indexOf(HISTORY_BACK) != -1) {
			plus.webview.hide(self, 'auto', 300)
			hideWebview ()
			father.evalJS('reloadMine()')
			father.evalJS('my_message_badge()') //更新APP我的消息
		} else {
			goBack();
		}
	}, false);
	
	// 回到原app 违章查询   预约保养  金融产品 保险产品
	$(document).on('click','#back_app_weizhang',function(){
		if($(".container1 .swiper-wrapper .swiper-slide").length==1){
			alert("请先添加爱车");
			return false;
		}
		father.evalJS('show_weizhang()');
		plus.webview.hide(self, 'auto', 300);
		hideWebview ();
		father.evalJS('reloadMine()');
	})
	$(document).on('click','#back_app_baoyang',function(){
		if($(".container1 .swiper-wrapper .swiper-slide").length==1){
			alert("请先添加爱车");
			return false;
		}
		father.evalJS('show_baoyang()');
		father.evalJS('reloadMine()');
	})
	$(document).on('click','#back_app_jinrong',function(){
		if($(".container1 .swiper-wrapper .swiper-slide").length==1){
			alert("请先添加爱车");
			return false;
		}
		/*try {
            var fin = plus.webview.create("../finins/product.html?type=1", "fin", {width: "100%", top: 0, bottom: 0}, {name: "金融产品"});
        }catch(err){
            console.log(err)
        }
        plus.webview.show(fin, "slide-in-right", 500);*/
        father.evalJS('show_jinrong()');
        plus.webview.hide(self, 'auto', 300);
		hideWebview ();
        father.evalJS('reloadMine()');
	})
	$(document).on('click','#back_app_baoxian',function(){
		if($(".container1 .swiper-wrapper .swiper-slide").length==1){
			alert("请先添加爱车");
			return false;
		}
		/*try {
            var fin = plus.webview.create("../finins/product.html?type=5", "fin", {width: "100%", top: 0, bottom: 0}, {name: "保险产品"});
            plus.webview.show(fin, "slide-in-right", 500);
        }catch(err){
            console.warn(err)
        }*/
        father.evalJS('show_baoxian()');
        plus.webview.hide(self, 'auto', 300);
		hideWebview ();
        father.evalJS('reloadMine()');
	})
	
	// 回到app首页
	$(document).on('click', '.link_to_app_0', function() {
		father.evalJS('backTo0()')
		setTimeout(function() {
			plus.webview.hide(self)
			hideWebview ()
			father.evalJS('reloadMine()')
		}, 1)
	})
	// 回到app展厅
	$(document).on('click', '.link_to_app_1', function() {
		father.evalJS('backTo1()')
		setTimeout(function() {
			plus.webview.hide(self)
			hideWebview ()
			father.evalJS('reloadMine()')
		}, 1)
	})
	// 回到app爱车
	$(document).on('click', '.link_to_app_2', function() {
		father.evalJS('backTo2()')
		setTimeout(function() {
			plus.webview.hide(self)
			hideWebview ()
			father.evalJS('reloadMine()')
		}, 1)
	})
	// 回到app服务
	$(document).on('click', '.link_to_app_3', function() {
		father.evalJS('backTo3()')
		setTimeout(function() {
			plus.webview.hide(self)
			hideWebview ()
			father.evalJS('reloadMine()')
		}, 1)
	})
	// 回到app我的
	$(document).on('click', '.link_to_app_my', function() {
		father.evalJS('backToMy()')
		setTimeout(function() {
			plus.webview.hide(self)
			hideWebview ()
			father.evalJS('reloadMine()')
		}, 1)
	})

})
//判断APP终端设备
if(isApp) {
	$("#head,#headP").css("padding-top","0.2rem");
	$("body").css("padding-top","1.2rem");
	setCookie("id", "1");
	headTemplate = "app-head.html";
	$("#footer").hide();
	$("body").css("padding-bottom", "49px");
	$(".public-botfx").css("bottom","49px");
	//秒杀/选好车菜单
	$(".nav_m").after('<div class="classify mt25"><a href="MiaoSha.html"><div class="seckill"><span>秒杀</span></div></a><a href="xunhaodian.html"><div class="select_shop"><span>选好店</span></div></a></div>');
	//APP底部菜单
	var hrefUrl = window.location.href;
	if($("#head").attr("data-id") == "personal") {
		$("body").append('' +
			'<ul id="foot_Menu">' +
			'<li class="link_to_app_0"><a>首页</a></li>' +
			'<li class="link_to_app_1"><a>展厅</a></li>' +
			'<li class=""><i class="car-icon"></i><a href="mycar.html?noHeader=true" id="my-car">爱车</a></li>' +
			'<li class="link_to_app_3"><a>服务</a></li>' +
			'<li class="link_to_app_my"><a class="man">我的</a></li></ul>');
		if(hrefUrl.indexOf("carlist.html") > -1 || hrefUrl.indexOf("mycar.html") > -1 || hrefUrl.indexOf("addcar2.html") > -1 || hrefUrl.indexOf("addcar.html") > -1) {
			$("#foot_Menu li").eq(2).addClass("on");
		}else{
//			$("#foot_Menu .link_to_app_my").addClass("on");
		}
	} else {
		$("body").append('<ul id="foot_Menu"><li><a href="index.html">在线商城</a></li><li><a href="xuanhaoche.html">选好车</a></li><li><a href="enjoyPre.html">享优惠</a></li><li><a href="yangaiche.html">养爱车</a></li><li class="link_to_app_my"><a class="man">个人中心</a></li></ul>');
		//判断当前页面
		if(hrefUrl.indexOf("index.html") > -1) {
			$("#foot_Menu li").eq(0).addClass("on");
		} else if(hrefUrl.indexOf("xuanhaoche.html") > -1) {
			$("#foot_Menu li").eq(1).addClass("on");
		} else if(hrefUrl.indexOf("enjoyPre.html") > -1) {
			$("#foot_Menu li").eq(2).addClass("on");
		} else if(hrefUrl.indexOf("yangaiche.html") > -1) {
			$("#foot_Menu li").eq(3).addClass("on");
		}
	}

	
} else {
	$(document).on("click", "#returnPage", function() {
		if(document.referrer.indexOf("login.html")>-1){
			window.location.href="/";
		}else if(document.referrer.indexOf("addcar.html")>-1){
			if(wachartUa.match(/MicroMessenger/i) == 'micromessenger') {
				window.location.href = MemberAjax_url+"Wechat/My/index.html";
			}else{
				window.location.href = "PersonalIndex.html";
			}
		}else{
			goBack();
//			window.history.go(-1);
		}
	})
}
//--------------------------------------APP功能设置结束------------------------------------------

//显示会员过期时间
function showMemberDate(status, tick) {
	if(status==4){
		return "永久有效";
	}else if(status == 3) {
		return "会员已到期";
	}else if(status == 5) {
		return "拥有车辆期间";
	}else {
		return dateToStr(tick, 'yyyy年MM月dd日到期');
	}
}
$(function() {
	//解决移动端click事件延迟
	FastClick.attach(document.body);
	//---------------------------------获取用户信息开始---------------------------------------
	$.ajax({
		type:"post",
		url:MemberAjax_url+"member/aggregate",
		async:true,
		success:function(con){
			if(con.code=="200"){
				//判断是否在23家经销商内
				if(con.data.check_dealer_code==0){
					setCookie("checkDealer",0);
				}else if(con.data.check_dealer_code==1){
					setCookie("checkDealer",1);
				}
			}
		}
	});
	//---------------------------------获取用户信息结束------------------------------------
	
	//---------------------------------加载hearer开始------------------------------------
	if($("#head").attr("data-id") == "personal") {
		var url_text = window.location.href;
		if(url_text.indexOf("activeCenter.html") > -1 || url_text.indexOf("register.html") > -1 || url_text.indexOf("zhaohuimima.html") > -1) {} else {
			//----------------------------------是否登录检测--------------------------------------------
			$.ajax({
				type: "post",
				url: ShopAjax_url + "userstatus",
				async: true,
				success: function(res) {
					if(res.code == "200") {
						setCookie("id", "1");
					}else{
						setCookie("id", "");
						window.location.href="login.html";
					}
				}
			});
			//----------------------------------是否登录检测结束--------------------------------------------
		}
		$("#head").load("personalHead2.html", function() {
			//修改页面titile

			var page_title = $(".page_title");
			if(url_text.indexOf("MyMessage.html") > -1 || url_text.indexOf("MyMessageDetails.html") > -1 || url_text.indexOf("newsList.html") > -1) {
				page_title.html("我的消息");
			} else if(url_text.indexOf("MyAppoint.html") > -1) {
				page_title.html("我的预约");
			} else if(url_text.indexOf("grzx_myOrder.html") > -1) {
				page_title.html("我的订单");
			} else if(url_text.indexOf("wodezuji.html") > -1) {
				page_title.html("我的足迹");
			} else if(url_text.indexOf("MyCollection.html") > -1) {
				page_title.html("我的收藏");
			} else if(url_text.indexOf("activeCenter.html") > -1) {
				page_title.html("活动中心");
			} else if(url_text.indexOf("yyDrive.html") > -1) {
				page_title.html("预约试驾");
			} else if(url_text.indexOf("SuccessPage.html") > -1) {
				page_title.html("提交成功");
			} else if(url_text.indexOf("zhaohuimima.html") > -1) {
				page_title.html("找回密码");
			} else if(url_text.indexOf("accountMessage.html") > -1) {
				page_title.html("账户信息");
			} else if(url_text.indexOf("ApplicationStaging.html") > -1) {
				page_title.html("申请分期");
			} else if(url_text.indexOf("Spree.html") > -1) {
				page_title.html("大礼包");
			} else if(url_text.indexOf("Maintenance.html") > -1) {
				page_title.html("维修保养");
			} else if(url_text.indexOf("ReceiveCoupons.html") > -1) {
				page_title.html("领取优惠");
			} else if(url_text.indexOf("placeOrder.html") > -1 || url_text.indexOf("placeOrder2.html") > -1) {
				page_title.html("立即订购");
			} else if(url_text.indexOf("register.html") > -1) {
				page_title.html("注册");
			} else if(url_text.indexOf("mycar.html") > -1) {
				page_title.html("我的爱车");
			} else if(url_text.indexOf("carlist.html") > -1) {
				page_title.html("管理爱车");
			} else if(url_text.indexOf("addcar.html") > -1) {
				page_title.html("添加爱车");
			} else if(url_text.indexOf("myvault.html") > -1) {
				page_title.html("我的金库");
			} else if(url_text.indexOf("myintegral.html") > -1) {
				page_title.html("我的积分");
			} else if(url_text.indexOf("myhierarchy.html") > -1) {
				page_title.html("我的等级");
			} else if(url_text.indexOf("myright.html") > -1) {
				page_title.html("我的权益");
			} else if(url_text.indexOf("SetUp.html") > -1) {
				page_title.html("账户设置");
			} else if(url_text.indexOf("personalData.html") > -1) {
				page_title.html("修改个人资料");
				$("#head .head-posi").append('<span id="submit-data">保存</span>');
			} else if(url_text.indexOf("AboutUs.html") > -1) {
				page_title.html("关于我们");
			} else if(url_text.indexOf("setPhone.html") > -1) {
				page_title.html("修改手机");
			} else if(url_text.indexOf("OldPassword.html") > -1 || url_text.indexOf("TelPassword.html") > -1) {
				page_title.html("修改密码");
			} else if(url_text.indexOf("homePlan.html") > -1 || url_text.indexOf("family-rule.html") > -1) {
				page_title.html("家庭计划");
			} else if(url_text.indexOf("family-rule.html") > -1) {
				page_title.html("家庭计划规则");
			} else if(url_text.indexOf("family-confirm.html") > -1) {
				page_title.html("确认加入家庭计划");
			} else if(url_text.indexOf("family-cancel.html") > -1) {
				page_title.html("确认退出家庭计划");
			} else if(url_text.indexOf("integralrule.html") > -1) {
				page_title.html("积分规则");
			} else if(url_text.indexOf("firm.html") > -1) {
				page_title.html("通用积分");
			} else if(url_text.indexOf("IntegralTransfer.html") > -1) {
				page_title.html("积分转赠");
			} else if(url_text.indexOf("dealer.html") > -1) {
				page_title.html("积分详情");
			} else if(url_text.indexOf("map.html") > -1) {
				page_title.html("经销商地址");
			} else if(url_text.indexOf("MessageCon.html") > -1) {
				page_title.html("积分详情");
			} else if(url_text.indexOf("followDb.html") > -1) {
				page_title.html("关注的经销商");
			} else if(url_text.indexOf("footprint.html") > -1) {
				page_title.html("丰田足迹");
			} else if(url_text.indexOf("my-card-c.html") > -1) {
				page_title.html("我的卡劵");
			} else if(url_text.indexOf("grade-rule.html") > -1) {
				page_title.html("提升等级规则");
			} else if(url_text.indexOf("friend-introduce.html") > -1) {
				page_title.html("推荐购车");
			} else if(url_text.indexOf("car-calculator.html") > -1 || url_text.indexOf("inanceCal.html") > -1) {
				page_title.html("金融产品");
			} else if(url_text.indexOf("baox-calculation.html") > -1 || url_text.indexOf("insurance.html") > -1) {
				page_title.html("保险产品");
			} else if(url_text.indexOf("violation.html") > -1) {
				page_title.html("违章查询");
			} else if(url_text.indexOf("active-page.html") > -1) {
				page_title.html("活动详情");
			} else if(url_text.indexOf("grzx_wodeyuyue_yuyueweixiu.html") > -1) {
				page_title.html("维修详情");
			} else if(url_text.indexOf("grzx_wodeyuyue_yuyueshijia.html.html") > -1) {
				page_title.html("试驾详情");
			} else if(url_text.indexOf("grzx_wodeyuyue_yuyuebaoyang.html") > -1) {
				page_title.html("保养详情");
			} else if(url_text.indexOf("appoinUpkeep.html") > -1) {
				page_title.html("预约保养");
			} else if(url_text.indexOf("currency-card.html") > -1) {
				page_title.html("我的卡券");
			} else if(url_text.indexOf("residence.html") > -1) {
				page_title.html("上传户口本");
			} else if(url_text.indexOf("free-integral.html") > -1) {
				page_title.html("分配积分");
				$("#head .head-posi").append('<span id="submit-data" data-click="on">确定</span>');
			} else if(url_text.indexOf("select-sales.html") > -1) {
				page_title.html("选择销售");
			} else if(url_text.indexOf("select-modify.html") > -1) {
				page_title.html("修改销售");
			} else if(url_text.indexOf("card-details.html") > -1) {
				page_title.html("卡券详情");
			} else if(url_text.indexOf("integral-revoke.html") > -1) {
				page_title.html("积分撤销");
			}
		})
	} else {
		$("#head").load(headTemplate, function() {
			if(isApp) {
				//APP不执行
			} else {
				$("#nav").load("public_menu.html", function() {
					$(".man").click(function() {
						//----------------------------------是否登录检测--------------------------------------------
						var user_id = getCookie("id");
						if(user_id) {
							//跳转至个人中心页面
							if(wachartUa.match(/MicroMessenger/i) == 'micromessenger') {
								window.location.href = MemberAjax_url+"Wechat/My/index.html";
							}else{
								window.location.href = "PersonalIndex.html";
							}
						} else {
							//跳转至登录页面
							window.location.href = "login.html";
						}
						//----------------------------------是否登录检测结束--------------------------------------------
					})
					menu_fn();
				})
			}
			//-----------------------------------获取城市定位--------------------------------------
			if(getCookie("city") == undefined || getCookie("city") == null || getCookie("city") == "") {
				try{
					client_cname = returnCitySN["cname"];
				}catch(e){
					client_cname = "";
				}
			} else {
				client_cname = getCookie("city");
			}
			if(client_cname.indexOf("省") > -1) {
				client_cname = client_cname.substring(0, client_cname.indexOf("省") + 1);
			} else if(client_cname.indexOf("市") > -1) {
				client_cname = client_cname.substring(0, client_cname.indexOf("市") + 1);
			}
			$(".select_city").html('<a href="chooseCity.html"><span id="cityName">' + client_cname + '</span><span class="arrow_down">&nbsp;</span></a>');
			//-----------------------------------获取城市定位结束-----------------------------------
		})
	}

	//---------------------------------加载hearer结束------------------------------------

	//---------------------------------加载foot开始------------------------------------
	$("#footer").load("foot.html", function() {
		if(isApp) {
			//APP不执行
		} else {
			menu_fn();
		}
	})
	//---------------------------------加载foot结束------------------------------------
	//菜单按钮
	function menu_fn() {
		var $nav = $('#nav'),
			$menu = $('.nav_menu'),
			$slider = $('.city_slider'),
			$slide = $('.slide_box'),
			$cover = $('.float_left_box'),
			$models_class = $('.models_class'),
			$return = $('.double_arrow'),
			$li = $('.models_items li');
		$slider.click(function() {
			$index = $(this).index('.city_slider');
			$models_class.eq($index).show();
			$slide.show();
			$cover.fadeIn();
			$models_class.stop().animate({
				'right': '0'
			});
			return false;
		});
		$cover.click(function() {
			$models_class.stop().animate({
				'right': '-100%'
			});
			$cover.fadeOut();
			setTimeout(function() {
				$slide.hide();
			}, 300)
		});
		$li.click(function() {
			var on = $(this).find('em').hasClass('details_close');
			$(this).siblings('li').find('.models_details').stop().slideUp();

			$(this).siblings('li').find('.details_close').removeClass('details_close').addClass('details_down');
			$(this).find('.models_details').stop().slideDown();
			$(this).find('.details_down').removeClass('details_down').addClass('details_close');
			if(on) {
				$(this).find('.models_details').stop().slideUp();
				$(this).find('.details_close').removeClass('details_close').addClass('details_down');
			}
		});
		//添加开关变量
		var keyFlag = false;
		$menu.click(function() {
			if(!keyFlag) {
				$nav.show();
				keyFlag = true;
			} else {
				$nav.hide();
				$slide.hide();
				$models_class.stop().animate({
					'right': '-100%'
				});
				$cover.fadeOut();
				keyFlag = false;
			}
		});
		// ------------------------
		// 主页的下拉菜单 点击关闭图片 回收菜单
		$('.nav_ul .last').on('click', function() {
			$nav.hide();
			keyFlag = !keyFlag;
		})
	}

	//领取成功弹窗
	$(".shenglin .linqu").on("click", function() {
		$("#box_shadow1").show();
	})
	$(".box_sure").on("click", function() {
		$("#box_shadow1").hide();
	})

	// 卡券说明弹窗
	$(".youhui a").on("click", function() {
		$("#box_shadow2").show();
	})
	$(".close").on("click", function() {
		$("#box_shadow2").hide();
	})

	//返回顶部
	//追加返回顶部按钮
	$("body").append('<div id="topIcon"></div>');
	$(document).on("click", "#topIcon", function() {
		$("html, body").stop(true, false).animate({
			scrollTop: 0
		}, 500);
	})
});
//-------------------日期扩展
Date.prototype.format = function(format) {
	var date = {
		"M+": this.getMonth() + 1,
		"d+": this.getDate(),
		"h+": this.getHours(),
		"m+": this.getMinutes(),
		"s+": this.getSeconds(),
		"q+": Math.floor((this.getMonth() + 3) / 3),
		"S+": this.getMilliseconds()
	};
	if(/(y+)/i.test(format)) {
		format = format.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length));
	}
	for(var k in date) {
		if(new RegExp("(" + k + ")").test(format)) {
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ?
				date[k] : ("00" + date[k]).substr(("" + date[k]).length));
		}
	}
	return format;
}
//--------------------------------------------------
//通用会员数据调用 
//name 接口命令
//data post 数据
//back 成功时返回数据 不包含 状态信息
function memberAjax(name, data, back,errback) {
	if(data==undefined){
		data="";
	}
	$.ajax({
		url: MemberAjax_url + name,
		type: 'post',
		data: data,
		success: function(json) {
			if(json.code == "200") {
				if(back!=undefined){
					back(json);
				}
			} else {
				if(errback!=null){
					errback(json);
					return;
				}
				if(json.msg!="请登录"){
					alert(json.msg);
				}
			}
		}
	});
};
//获取网页参数
var request = function(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if(r != null) return unescape(r[2]);
	return null;
};
//获取电话号码
var getPhone = function(mobile) {
	if(mobile==null)return "";
	var phone = {

		mobile: /0?1[3|4|5|8][0-9]\d{8}/, //手机 

		tel: /0[\d]{2,3}-[\d]{7,8}/,
		
		tel2: /[\d]{3,4}-[\d]{2,3}-[\d]{3,4}/

	}

	var r = mobile.match(phone.mobile);
	if(r != null) return r[0];
	r = mobile.match(phone.tel);
	if(r != null) return r[0];
	r = mobile.match(phone.tel2);
	if(r != null) return r[0];
};
//扩展模板渲染
$.fn.extend({
	render: function(data) {
		data.window = window;
		var render = function(obj, data) {
			var html = obj.html();

			html = html.replace(/\&lt\;/g, "<");
			html = html.replace(/\&gt\;/g, ">");
			html = html.replace(/\&amp\;/g, "&");
			var render = template.compile(html);
			html = render(data);
			obj.html(html);
			obj.show();
		};
		this.each(function() {
			render($(this), data);
		});
	}
});
$(function() {
	$(".loaddata").each(function() {
		var obj = $(this);
		obj.hide();
		var postdata = null;
		try {
			postdata = $.parseJSON(obj.attr("postdata"));
		} catch(x) {}
		var command = obj.attr("command");
		var dom = $('<div class="dropload-down" ><div class="dropload-load"><span class="loading"></span>加载中...</div></div>');
		dom.insertAfter(obj);
		memberAjax(command, postdata, function(json) {
			dom.remove();
			obj.render(json);
		});
	});
});

function dateToStr(d, f) {
	var timestamp2 = new Date(d * 1000);
	return timestamp2.format(f);
};
//判读是否为无效数据
function isInvalid(data) {
	return data == null || data == "";
}
//转数字
function toNumber(data) {
	try {
		data = parseInt(data);
	} catch(x) {
		return 0;
	}
	if(isNaN(data)){
		return 0;	
	}else{
		return data;
	}
}

//定时请求接口，执行事件执行
setInterval(function(){
	$.ajax({
		type:"post",
		url:MemberAjax_url+"member/aggregate",
		async:true,
	});
},250000);