$(function() {
	$(".xuez .check").on("click", function() {
		$(".check").toggleClass("check0");
	});
	
	//隐私政策弹窗
	$(".policy_but").click(function(){
		$(".Privacy_policy").stop(false,true).fadeIn(200);
	})
	$(".Close_but").click(function(){
		$(".Privacy_policy").stop(false,true).fadeOut(200);
	})
	
	//获取图片验证码
    $(".verify-img").click(function(){
		$(this).attr("src","/shop/verify?t="+Math.random());
	}).click();

	//-------------注册接口开始-------------
	var user_name = ""; //用户姓名
	var user_password = ""; //用户密码
	var user_password2 = ""; //用户密码2
	var user_phone = ""; //用户手机号
	var user_yzm = ""; //用户验证码
	var time_yzm; //验证码请求时间
	var time_number = 60; //时间为秒计算
	var time_set = time_number;

	//请求验证码
	$(".code").click(function() {
		if($(this).attr("data-click") == "on") {
			user_phone = $("#user_phone").val();
			var verify_codeCon=$("#img_yzm").val();
			if(phone_yz(user_phone)) {
				$("#user_phone").parent("li").removeClass("red_border");
	    		error_text("");
	    		//校验图片验证码
				if(verify_codeCon=="" || verify_codeCon=="请输入图片验证码"){
					$("#img_yzm").focus().parent("li").addClass("red_border");
		    		error_text("请输入图片验证码！");
		    		return false;
		    	}
				$.ajax({
					type: "post",
					url: ShopAjax_url + "sendcode",
					async: true,
					data: {
						tel:user_phone,
						verify_code:verify_codeCon,
	    				type:"register"
					},
					success: function(con) {
						$(".verify-img").click();
						if(con.code == "405") {
							error_text(con.msg);
						} else {
							error_text("");
						}
					}
				});

				$(this).attr("data-click", "off").html(time_set + "秒后重试");
				time_yzm = setInterval(function() {
					time_set--;
					$(".code").html(time_set + "秒后重试");
					if(time_set <= 0) {
						$(".code").html("获取验证码").attr("data-click", "on");
						time_set = time_number;
						clearInterval(time_yzm);
					}
				}, 1000)
			} else {
				error_text("手机号格式错误！");
				$("#user_phone").focus().parent("li").addClass("red_border");
			}
		}
	})

	//注册数据提交
	$(".btn-next").click(function() {
		user_name = $("#user_name").val();
		user_password = $("#user_password").val();
		user_password2 = $("#user_password2").val();
		user_yzm = $("#user_yzm").val();
		user_phone = $("#user_phone").val();

		//用户名校验
		if(!name_yz(user_name)) {
			error_text("用户姓名不可为空！");
			$("#user_name").focus().parent("li").addClass("red_border");
			return false;
		} else {
			error_text("");
			$("#user_name").parent("li").removeClass("red_border");
		}
		
		if(!CheckPassWord(user_password)){
			error_text("密码由6-12位数字和字母组成！");
			return false;
		}else{
			error_text("");
		}

		//校验密码
		if(!pws_yz(user_password, user_password2)) {
			error_text("两次密码输入不一致！");
			$("#user_password,#user_password2").focus().parent("li").addClass("red_border");
			return false;
		} else {
			error_text("");
			$("#user_password,#user_password2").parent("li").removeClass("red_border");
		}

		//校验手机号
		if(phone_yz(user_phone)) {
			error_text("");
			$("#user_phone").parent("li").removeClass("red_border");
		} else {
			error_text("手机号码格式错误！");
			$("#user_phone").focus().parent("li").addClass("red_border");
			return false;
		}

		//校验用户协议
		if($(".check").hasClass("check0")) {
			error_text("请先阅读并同意用户协议！");
			return false;
		} else {
			error_text("");
		}

		//校验验证码
		if(!name_yz(user_yzm)) {
			error_text("验证码不可为空！");
			$("#user_yzm").focus().parent("li").addClass("red_border");
			return false;
		} else {
			error_text("");
			$("#user_yzm").parent("li").removeClass("red_border");
		}

		//成功请求
		$.ajax({
			type: "post",
			url: ShopAjax_url + "register",
			async: true,
			data: {
				tel: user_phone,
				pwd: user_password,
				code: user_yzm,
				nickname: user_name
			},
			success: function(con) {
				if(con.code == "405") {
					error_text("验证码无效，请重新获取！");
				} else if(con.code == "200") {
					error_text("您已成功注册信息！3秒后自动跳转至的登录界面");
					$(".error_text").addClass("lus_color");
					setTimeout(function() {
						window.location.href = "login.html";
					}, 3000)
				}
			}
		});
	})
	//-------------注册接口结束-------------

	//---------数据验证公用函数开始--------------
	//手机号码验证
	function phone_yz(MobileValue) {
		if(MobileValue && /^1[3|4|5|7|8]\d{9}$/.test(MobileValue)) {
			return true;
		} else {
			return false;
		}
	}

	//用户名
	function name_yz(name_text) {
		if(name_text.length == 0) {
			return false;
		} else {
			return true;
		}
	}

	//判断密码
	function pws_yz(pwd1, pwd2) {
		if(pwd1 !== pwd2 || pwd1 == "") {
			return false;
		} else {
			return true;
		}
	}
	
	function CheckPassWord(password) {//必须为字母加数字且长度不小于8位
		   var str = password;
		    if (str == null || (str.length <6 || str.length>12)) {
		        return false;
		    }
		    var reg1 =/^[0-9A-Za-z]*$/g;
		    if (!reg1.test(str)) {
		        return false;
		    }else{
		    	return true;
		    }
	//	    var reg = new RegExp(/[A-Za-z].*[0-9]|[0-9].*[A-Za-z]/);
	//	    if (reg.test(str)) {
	//	        return true;
	//	    } else {
	//	        return false;
	//	    }
		}

	//错误提示
	function error_text(text_obj) {
		$(".error_text").html(text_obj);
	}
	//---------数据验证公用函数结束--------------
})