
function exhibition_vehicles_getBrand(tpl) {
    var $box = $(this);
    $.ajax({
        type: 'GET',
        url:API_BASE + "/v1/vehicles/getBrand",
        data:{},
        dataType:"json",
        success: function(json) {
            console.log('API Data: ', json);
            json.data.vehicle[3].name = '双擎';
            var data = json.data;
            for(var i = 0;i<json.data.activt.length; i++){
                if(json.data.activt[i].url.indexOf('2017_916_card')){
                    json.data.activt[i].is_618 = true;
                } else {
                    json.data.activt[i].is_618 = false;
                }
            }
            $.each(data)
            var html = Mustache.render(tpl, json.data);
            $box.html(html);
            $box.initUI();
            $box.find('a[data-url]').touchwipe({
				touch:function(){
					var $link = $(this), url = $link.attr('data-url');
                    var tag = 2;//当前是展厅页
					linkToSixOE(url, tag);
				}
			});
        }
    });
}

function exhibition_vehicles_getBrandOne(tpl, data) {
    var $box = $(this);
    
    $.ajax({
        type: 'GET',
        url:API_BASE + "/v1/vehicles/getBrandOne?cid=" + data.id,
        data:{},
        dataType:"json",
        success: function(json) {
            console.log(json, '具体车型数据')

            var html = Mustache.render(tpl, json.data);
            $box.html(html);
            $box.initUI();

			$box.find("a[rel='test-drive']").touchwipe({
                touch: function(e){
                    var pass = UserInfo.token? true : false;
                    if(pass){
                    	try {
					        driveTag = plus.webview.create('./appointment/drive.html?cid=' + data.id, 'drive', {width:'100%', 'top':0, left: 0}, {name:'预约试驾'});
					    }
					    catch (e){
					        console.warn("请使用Hbuilder基座进行调试");
					    }
                        plus.webview.show(driveTag, 'slide-in-right', 500);
                    } else {
                        $.dialog.open({
                            url: 'user/login.html?dwz_callback=loginRender',
                            rel: 'login', pop:'login'
                        });
                    }

                }
            });

            // 金融产品
            $box.find(".jinrong").touchwipe({
                touch: function () {
                    try {
                        var fin = plus.webview.create("./finins/product.html?type=1", "fin", {width: "100%", top: 0, bottom: 0}, {name: "金融产品"});
                    }catch(err){
                        console.log(err)
                    }
                    plus.webview.show(fin, "slide-in-right", 500);
                }
            })

            $("#exhibitionbranddetail", $box).touchSlide({
                titActive: 'active', // 导航指示圆点活跃class name
                titSelector: '.item-color .btn-color',
                wrapCell: '.item-picture',
                currentIndex: 0,
                delayTime: 400,
                interTime: 5000,
                loop: true,
                autoPlay: false
            });
	           /*var $pic = $("#exhibitionbranddetail", $box);
	           var $ips = $(".item-inner", $pic);
	           $ips.eq(0).removeClass("cached").addClass("active");
	          
	           var $btns = $(".btn-color", $pic);
	           $btns.eq(0).addClass("active");
	          
	           var $ipic = $(".item-picture", $pic);
	           var $icol = $(".item-color", $pic);
	          
	           $.each($btns, function(idx){
	               var $this = $btns.eq(idx);
	               $this.click(function(){
	                   $(".active", $ipic).removeClass("active").addClass("cached");
	                   $(".active", $icol).removeClass("active");
	                   $this.removeClass("cached").addClass("active");
	                   $ips.eq(idx).removeClass("cached").addClass("active");
	               });
	           });*/

            // 暂时js设置宽度，以后改到css中
            var $scrollGrad = $('#exhibition-d-setting .scroll-grid');
            var gridColCount = $scrollGrad.find(':scope > .grid-content > .grid-col').size();
            if (gridColCount){
                $scrollGrad.css({'width':(gridColCount*100)+'px'});
            }
            //$('#exhibition-d-setting .grid-table2').css({"height":"500px"});
            var myScroll = new IScroll('#exhibition-d-setting .grid-table2', {
                scrollX: false,
                scrollY: true,
                lockDirection: true,
                probeType: 3
            });

            //myScroll.enableStickyHeaders('.grid-row.title');
            var myScroll1 = new IScroll('#exhibition-d-setting .grid-table1 .grid-content-box', {
                scrollX: true,
                scrollY: false,
                lockDirection: true,
                probeType: 3
            });
            var myScroll2 = new IScroll('#exhibition-d-setting .grid-table2 .grid-content-box', {
                scrollX: true,
                scrollY: false,
                probeType: 3,
                lockDirection: true
            });

            myScroll1.on('scroll', function(){
                myScroll2.scrollTo(this.x, 0, 0, false);
            });
            myScroll2.on('scroll', function(){
                myScroll1.scrollTo(this.x, 0, 0, false);
            });
            $box.find('#car-detail-top-tab').on(dwz.event.type.iScrollRefresh, function(event){
                if (myScroll) myScroll.refresh(); // 处理tab页默认cached的页面滚动获取不到尺寸问题
                if (myScroll1) myScroll.refresh();
                if (myScroll2) myScroll.refresh();
            });
            $box.onPageClear(function(event){
                if (myScroll) myScroll.destroy();
                if (myScroll1) myScroll.destroy();
                if (myScroll2) myScroll.destroy();
                myScroll = null;
                myScroll1 = null;
                myScroll2 = null;
            });
        }
    });
}

// 促销活动
function exhibition_news_newsInformation(tpl, data){
    var $box = $(this);

    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/activityCenter',
        data: {},
        success:function(json){
            console.log('API Data:', json);
            console.log("促销活动");
            // 需要单独开webview的页面
            var arr = ['eleven_corolla', 'six_million', 'eleven_vios', 'corolla_vios'];
            function isSwiper(url) {
                for(var i = 0;i < arr.length;i++) {
                    if (url.indexOf(arr[i]) > -1) {
                        return true;
                    }
                }
            }
            for (var i = 0;i < json.data.toplist.length;i++){
                if (json.data.toplist[i].title == '618') {
                    json.data.toplist[i].needNew = true
                }
                // 单独给用到了swiper的页面新建webview
                if (isSwiper(json.data.toplist[i].url)){
                    json.data.toplist[i].needNew = true;
                }
            }
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
            
            // 点击事件
            $box.find('a[data-id]').touchwipe({
                touch:function(){
                	var $link = $(this) ;
                	var url   = $link.attr('data-url');
					var id_   = $link.attr('data-id');
                    var tag = 1;//表示当前是促销活动页面
                    if(url.indexOf('2017_916_card') > -1){
						linkToSixOE(url, tag);	
                    } else if (url) {
						$.navView.open({
							title: '促销活动',
							url: url,
							external: true,
							rel: 'evevt-detail'
						});
					} else {
						$.navView.open({
							url: 'active-detail.html?&id='+id_+'&dwz_callback=service_news_archiveInfo',
							rel: 'evevt-detail'
						});
					}

                    if (UserInfo.token) {$link.removeClass('badge');}
                }
            });            
            
            
            
        }
    });
}


// 金融产品
function exhibition_news_finance(tpl, data){
    var $box = $(this);

    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/news/financeList',
        success:function(jsonFinance){
            console.log('金融产品1:', jsonFinance);

            var html = Mustache.render(tpl, jsonFinance);
            $box.html(html);
            $box.initUI();

            $.ajax({
                type: 'GET',
                dataType: 'json',
                url: API_BASE + '/v1/news/serverfinance',
                success: function (json) {

                    //车型选选择
                    var $vehicleInput = $box.find('select[name=vehicle]'),
                        $modelInput = $box.find('select[name=model]'),
                        // $fanganInput = $box.find('select[name=fangan]'),
                        $daikuanqixianInput = $box.find('select[name=daikuanqixian]'),
                        $soufukuan = $box.find('#service_financal_soufukuan'),
                        $baojia = $('#service_financal_baojia'),
                        $shichang = $('#service_financal_shichang'),
                        $cankaojia = $('#service_financal_cankaojia');

                    var vehicleData = json.data.vehicle;
                    var vehicleTpl = '<option value="">车型：</option>{{#vehicle}}<option value="{{cid}}">{{name}}</option>{{/vehicle}}';
                    var vehicleHtml = Mustache.render(vehicleTpl, json.data);
                    $vehicleInput.html(vehicleHtml);

                    //选择完车型后的报价
                    $vehicleInput.on('change', function (event) {
                        var val = $vehicleInput.val();

                        if (val) {
                            $.each(vehicleData, function(index){
                                if (this.cid == val) {
                                    var currentData = vehicleData[index];

                                    var modelTpl = '{{#childs}}<option value="{{price}}">{{name}}</option>{{/childs}}';
                                    var modelHtml = Mustache.render(modelTpl, currentData);
                                    $modelInput.html(modelHtml);
                                }
                            });
                        } else {
                            $modelInput.html('<option value="">型号：</option>');
                        }

                        $modelInput.trigger('change');
                    });

                    $modelInput.on('change', calculate);

                    //选择贷款方案
                    // var $listBox = $('#service_financal_listBox1, #service_financal_listBox2');
                    var $listBox = $('#service_financal_listBox2');
                    var $lis = $listBox.find('li');

                    $lis.click(function(event){
                        var $li = $(this);
                        $lis.find('span').removeClass('back5');
                        var monthString = $li.find('span').addClass('back5').attr('data-daikuan');

                        // 根据贷款方案，控制贷款年限
                        var mouthList = monthString.split(',');
                        var daikuanHtml = '';
                        $.each(mouthList, function(){
                            daikuanHtml += '<option value="'+this+'">'+(this/12)+'年</option>';
                        });
                        $daikuanqixianInput.html(daikuanHtml);

                        calculate();
                    });


                    //选择年限
                    $daikuanqixianInput.on('change', calculate);

                    /**
                     * 计算月供
                     * @param ir - 月利率
                     * @param np - 贷款周期（months）
                     * @param fv - 贷款总额
                     */
                    function pmt(ir, np, fv){
                        var value = (fv / np + (np * ir) / np);
                        return parseInt(value * 1000) / 1000;
                    }

                    //计算方案触发事件
                    function calculate(){
                        var price = $modelInput.val() ? parseInt($modelInput.val())/10000 : 0; // 报价（单位：万元）
                        console.log('报价万元:', price);
                        $baojia.text(price);  // 报价（单位：万元）
                        $shichang.text(price); // 市场指导价（单位：万元）

                        var $checkedLi = $listBox.find('li span.back5'); // 选中的贷款方案
                        if ($checkedLi.size() > 0) {
                            var rate = $checkedLi.attr('data-val'); // 获取选中的贷款方案首付比例

                            var soufukuan = price*rate; // 首付款


                            var np = parseInt($daikuanqixianInput.val()); // 贷款周期（months）
                            var fv = price - soufukuan; //贷款总额
                            var ir = 0; //月利率

                            switch (np) {
                                case 12:
                                    ir = 0.015; break;
                                case 24:
                                    ir = 0.0799; break;
                                case 36:
                                    ir = 0.0899; break;
                            }

                            if (ir) {
                                var yuefu = pmt(ir, np, fv);

                                $soufukuan.text(soufukuan.toFixed(2));
                                $cankaojia.text(yuefu);
                            } else {
                                $soufukuan.text('0');
                                $cankaojia.text('0');
                            }
                        }
                    }

                    $(".carmodeitem", $box).eq(0).addClass("itemshow").show();

                }
            });


        }
    });
}

function select_car_mode(v) {
    $(".itemshow").removeClass("itemshow").hide();
    $("#item_" + v).addClass("itemshow").show();
    $('#select_car_mode_scroll_box').trigger(dwz.event.type.iScrollRefresh);
}

// 新闻资讯
function exhibition_news_xinwen(tpl, data){
    var $box = $(this);

    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/newsInformation',
        data: {},
        success:function(json){
            console.log("新闻资讯");
            console.log('API Data:', json);

            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}

// 新闻list
function exhibition_news_list(tpl, data){
    var $box = $(this);
    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/archiveInfo?arcId='+data.id+'&type=article',
        data: {},
        success:function(json){
            console.log("新闻 list")
            console.log('API Data:', json);

            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}

//轮播详情
function exhibition_news_archiveInfo(tpl, data){
    var $box = $(this);
    console.log('dsdssdsdewe',data);
    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/archiveInfo?arcId='+data.id+'&token='+UserInfo.token+'&type=tuijian',
        success:function(json){
            console.log('API Data:','info', json);

            if (json.data.url) {
                json.data.width = $box.get(0).offsetWidth + 'px';
            }

            json.data.collect_url = API_BASE + '/v1/user/myColl?token='+UserInfo.token+'&id='+json.data.id+'&type=tuijian';
            var html = Mustache.render(tpl, json.data);
            $box.html(html);
            $box.initUI();

        }
    });
}

//服务
function exhibition_service_archiveInfo(tpl, data){
    var $box = $(this);
    console.log('dsdssdsdewe',data);
    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/archiveInfo?arcId='+data.id+'&token='+UserInfo.token+'&type=article',
        success:function(json){
            console.log('API Data:','info', json);

            if (json.data.url) {
                json.data.width = $box.get(0).offsetWidth + 'px';
            }

            json.data.collect_url = API_BASE + '/v1/user/myColl?token='+UserInfo.token+'&id='+json.data.id+'&type=article';
            var html = Mustache.render(tpl, json.data);
            $box.html(html);
            $box.initUI();

        }
    });
}

// ①我的 收藏 
function exhibition_news_myColl(tpl, data){
    var $box = $(this);
    $.ajax({
        type:'get',
        dataType: 'json',
        url: API_BASE + '/v1/news/myCollArtinfo?token='+UserInfo.token+'&id='+data.id+'&type='
        +data.type,
        success:function(json){
            console.log('API Data:','info', json);

            if (json.data.url) {
                json.data.width = $box.get(0).offsetWidth + 'px';
            }

            json.data.collect_url = API_BASE + '/v1/user/myColl?token='+UserInfo.token+'&id='+json.data.id+'&type='+data.type;
            var html = Mustache.render(tpl, json.data);
            $box.html(html);
            $box.initUI();

        }
    });
}

//促销活动
function exhibition_cuxiaohuodong(tpl, data){
    var $box = $(this);

    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/activityCenter',
        success:function(json){
            console.log("cuxiao")
            console.log('API Data:', json);

            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}

// function exhibition_news_archiveInfo(tpl, data){
//     var $box = $(this);

//     $.ajax({
//         type:'GET',
//         dataType: 'json',
//         url: API_BASE + '/v1/News/archiveInfo?arcId='+data.id,
//         data: {},
//         success:function(json){
//             console.log('API Data:', json);

//             var html = Mustache.render(tpl, json.data);
//             $box.html(html);
//             $box.initUI();
//         }
//     });
// }

// 车型福利
function exhibition_chezhufuli(tpl, data){
     var $box = $(this);

    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/welfareList',
        data: {},
        success:function(json){
            console.log('fuli')
            console.log('API Data:', json);
            console.log($box)
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}
//金融中心
function exhibition_jinrong(tpl, data){
     var $box = $(this);

    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/financeList',
        data: {},
        success:function(json){
            console.log('金融产品')
            console.log('API Data:', json);
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}

// 媒体声音
function exhibition_meitishengyin(tpl, data){
     var $box = $(this);

    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/news/publicityList?cid='+data.cid,
        success:function(json){
            console.log('API Data:', json);
            var html = Mustache.render(tpl, json);

            $box.html(html);
            $box.initUI();
        }
    });
}

// 试驾页面
function exhibition_test_drive(tpl, data) {
    var $box = $(this);
    $.ajax({
        type:'GET',
        dataType: 'json',
        url: API_BASE + '/v1/Vehicles/getClationOne?cid='+data.cid,
        data: {},
        success:function(json){
            console.log('API Data:', json);

            if (json.errorCode > 0) {
                $.alert.error(json.message);
                $box.find('.content').html(json.message);
                return;
            }

            json.data.form_url = API_BASE + '/v1/tools/formData1?token='+UserInfo.token;
            var html = Mustache.render(tpl, json.data);
            $box.html(html);
            $box.initUI();
			
			
            var myScroll = new IScroll($box.find('div.scroll-content').get(0), {
                scrollX: false,  scrollY: true
            });
            $box.onPageClear(function(event){
                if (myScroll) myScroll.destroy();
                myScroll = null;
            });

            var $dealersBox = $('#test_dirver_dealers_box');

            $box.find('#test_drive_city_name').touchwipe({
                touch:function(event){
                    $.dialog.open({url:'select_city_pop.html?dwz_callback=select_city_pop&dwz_city_id=test_drive_city_id&dwz_city_name=test_drive_city_name'});
                    event.preventDefault();
                    event.stopPropagation();
                }
            }).change(function(event){
                $.ajax({
                    type:'GET',
                    dataType: 'json',
                    url: API_BASE + '/v1/tools/getAutoshopList?province='+this.data.provinceName+'&city='+this.data.cityName,
                    success:function(json){
                        console.log('API Data:', json);

                        // if (json.errorCode > 0) {
                        //     $dealersBox.html('<p>'+json.message+'</p>');
                        //     return;
                        // }
                        //
                        // var tpl2 = '{{#data}}<div class="item-phone b-line" data-dealer="{{name}}">\
                        //         <div class="item-phone-lin r-line">\
                        //             <p class="item-phone-title">{{name}}</p>\
                        //             <p class="item-phone-sub" href="tel:{{&phone_service}}" target="redirect">客服热线{{&phone_service}}</p>\
                        //         </div>\
                        //         <a class="item-phone-map" href="view_map.html?dwz_callback=view_map&name={{name}}&phone={{&phone_service}}&address={{address}}&lng={{lng}}&lat={{lat}}" target="navView" rel="view_map">\
                        //             <img src="images/icon-png/icon-location.png" class="item-phone-icon">\
                        //             <p class="item-phone-head">查看地图</p>\
                        //         </a>\
                        //         </div>{{/data}}';
                        // var html = Mustache.render(tpl2, json);
                        // $dealersBox.html(html);
                        // $dealersBox.initUI();
                        //
                        // var $items = $dealersBox.find('div.item-phone');
                        // $items.click(function(){
                        //     var $this = $(this);
                        //     $items.removeClass('selected');
                        //     $this.addClass('selected');
                        //
                        //     var dealer = $this.attr('data-dealer');
                        //     $('#test_driver_dealer').val(dealer);
                        // });
                        //
                        // myScroll.refresh();

                        var tpl2 = '{{#data}}<option value="{{name}}">{{name}}</option>{{/data}}';
                        var html = Mustache.render(tpl2, json);
                        $('#test_driver_dealer').html(html);
                    }
                });
            });


        }
    });
}
