/**
 * Created by rogerwu on 12/17/16.
 */
//我的
function my_news_personal(tpl, data) {
    var $box = $(this);

    $.ajax({
        dataType: 'json',
        url: API_BASE + '/v1/user/myinfo?token=' + UserInfo.token,
        data: {},
        type: 'POST',
        success: function (json) {
            console.log(json)
            var html = Mustache.render(tpl, json.data);

            $box.html(html);
            $box.initUI();

            my_message_badge(); // 更新右上角消息状态

            //点击我的预约的时候
            $box.find("#only_you a[rel='my_reserve']").touchwipe({
                touch: function () {
                    try {
                        //执行webview创建函数
                        createReservation();
                        plus.webview.show(rev, 'slide-in-right', 500);
                    } catch (e) {
                        console.warn('请使用Hbuilder基座机型调试');
                    }
                }
            })

            if (UserInfo.userTypeCode == "member") {
//***************************************************					
                $.ajax({
                    type: "post",
                    url: API_BASE + "/member/aggregate",
                    success: function (res) {
                        var s = JSON.parse(res).data;
                        console.log('all', s)

                        var ka = s.level_name + '会员';
                        var daoqi = parseInt(s.level_etime);
                        var sex = s.sex;
                        var imgUrl = s.thumb;
                        var jxs = s.dealer_count;
                        var car_count = s.car_count;
                        var chezhu = s.user_car;

                        // 卡片等级
                        document.querySelector('.huiyuan_card').innerHTML = ka;
                        // 头像
                        document.querySelector('.avatar_').src = imgUrl;
                        //性别
                        var str_ = '♂';
                        if (sex != 1) {
                            str_ = '♀'
                        }
                        if (chezhu == 1) {
                            str += '车主'
                        }
                        var name_ = document.querySelector('.name_');
                        name_.innerHTML = s.name + str_;
                        // 关注经销商
                        if (!s.dealer_count) {
                            jxs = ''
                        }
                        ;
                        document.querySelector('.gzdjxs').innerHTML = jxs;
                        // 到期时间
                        function add0(m) {
                            return m < 10 ? '0' + m : m
                        }

                        function format(shijianchuo) {
                            var time = new Date(shijianchuo);
                            var y = time.getFullYear();
                            var m = time.getMonth() + 1;
                            var d = time.getDate();
                            var h = time.getHours();
                            var mm = time.getMinutes();
                            var s = time.getSeconds();
                            return y + '年-' + add0(m) + '月-' + add0(d) + '日 ' + '到期';
                        }

                        var d = document.querySelector('.daoqishijian');
                        d.innerHTML = format(daoqi * 1000);
                        if (s.member_overdue == 3) {
                            d.innerHTML = '会员已到期';
                        } else if (s.member_overdue == 4) {
                            d.innerHTML = '永久有效';
                        } else if (s.member_overdue == 5) {
                            d.innerHTML = '拥有车辆期间';
                        }
                        // 绑定车数
                        if (car_count == 0) {
                            if (s.check_dealer_code == "0") {
                                document.querySelector('.renzheng').innerHTML = "";
                            } else if (s.check_dealer_code == "1") {
                                document.querySelector('.renzheng').innerHTML = "认证爱车提升等级和获赠积分";
                            }
                        } else if (car_count > 0) {
                            document.querySelector('.renzheng').innerHTML = car_count;
                        }

                        // 判断是不是24家经销商 ;
                        if (s.check_dealer_code == "0") {
                            localStorage.setItem("checkDealer", "0");
                            $(".grzx-czdj").attr("data-click", "on");
                            document.querySelector('.daoqishijian').style.display = 'none';
                            document.querySelector('._jiating').style.display = "none";
                            document.querySelector('._zuji').style.display = "none";
                        } else if (s.check_dealer_code == "1") {
                            $(".grzx-czdj").attr("data-click", "off");
                            document.querySelector('.daoqishijian').style.display = 'block';
                            document.querySelector('._jiating').style.display = "block";
                            document.querySelector('._zuji').style.display = "block";
                            localStorage.setItem("checkDealer", "1")
                        }
                    }
                })

                $.ajax({
                    type: "post",
                    url: API_BASE + "/member/family",
                    success: function (res) {
                        var s = JSON.parse(res).data;
                        console.log('family_level', s)
                        document.querySelector('.jtjh').innerHTML = s.family_level + '等级';
                    }
                })
            }
            //会员系统页面跳转
            $box.find('.dataLink').on('click', function () {
                if ($(this).attr("data-click") == "on") {
                    return false;
                }
                if (UserInfo.userTypeCode == "member") {
                    if ($(this).hasClass('mycar')) {
                        var ev1 = document.createEvent('Events');
                        ev1.initEvent('touchstart')
                        document.querySelectorAll('.tab-button')[2].dispatchEvent(ev1);
                        setTimeout(function () {
                            var ev2 = document.createEvent('Events');
                            ev2.initEvent('touchend')
                            document.querySelectorAll('.tab-button')[2].dispatchEvent(ev2);
                        }, 100)

                        return;
                    }
                    window.shopLink($(this).attr('dataLink'))
                } else if (UserInfo.userTypeCode == "dealer") {
                    plus.ui.alert('请使用个人账户登录');
                } else {
                    var ev = document.createEvent('Events');
                    ev.initEvent('touchstart')
                    document.querySelectorAll('.tab-button')[2].dispatchEvent(ev);
                }
            })
//___________________________________________________________________________

            $box.find('a[data-id]').touchwipe({
                touch: function () {
                    var $link = $(this), url = $link.attr('data-url');
                    if (url) {
                        $.navView.open({
                            title: '消息详情',
                            url: url,
                            external: true,
                            rel: 'my_message_detail'
                        });

                    } else {
                        $.navView.open({
                            url: 'weinituijian.html?dwz_callback=weinituijian&id=' + $link.attr('data-id'),
                            rel: 'my_message_detail'
                        });
                    }

                    if (UserInfo.token) {
                        $link.removeClass('badge');
                    }
                }
            });
            //&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
            window.pdJXS()
        }
    });
}

function my_reserve(tpl) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/myReser?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API Data:', json);

            json.showStatus = function () {
                switch (this.status) {
                    case '0':
                        return '未处理';
                    case '1':
                        return '已经处理';
                    case '2':
                        return '已完成';
                    case '3':
                        return '取消';
                    default:
                        return '';
                }
            }
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}
//我的订单
function my_order(tpl) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/myOrder?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API Data:', json);

            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}
//我的卡卷
function my_coupon(tpl) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/myCard?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API Data:', json);

            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}

// 我的收藏
function my_favorite(tpl) {
    var $box = $(this);
    if (UserInfo.token == undefined || UserInfo.token == "") {
        return false;
    } else {
        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: API_BASE + '/v1/user/myColl?token=' + UserInfo.token,
            data: {},
            success: function (json) {
                var html = Mustache.render(tpl, json);
                $box.html(html);
                $box.initUI();
            }
        });
    }
}
// 我的爱车
function my_aiche(tpl) {

    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/myCar?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API Data:', json);

            json.showStatus = function () {
                switch (this.status) {
                    case '0':
                        return '未处理';
                    case '1':
                        return '已经处理';
                    case '2':
                        return '已完成';
                    case '3':
                        return '取消';
                    default:
                        return '';
                }
            }
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}

// 推荐购车
function my_gouche(tpl) {
    var $box = $(this);
    var dealerCode = 0;
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/myRecom?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API Data:', json);

            json.showStatus = function () {
                switch (this.status) {
                    case '0':
                        return '未处理';
                    case '1':
                        return '已经处理';
                    case '2':
                        return '已完成';
                    case '3':
                        return '取消';
                    default:
                        return '';
                }
            }

            json.form_url = API_BASE + '/v1/user/myRecom?token=' + UserInfo.token;
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();

            $box.find('#my_featured_city_name').touchwipe({
                touch: function (event) {
                    $.dialog.open({url: 'select_city_pop.html?dwz_callback=select_city_pop&dwz_city_name=my_featured_city_name&dwz_province_name=my_featured_city_province'});
                    event.preventDefault();
                    event.stopPropagation();
                }
            }).change(function (event) {
                $.ajax({
                    type: 'GET',
                    dataType: 'json',
                    url: API_BASE + '/v1/tools/getAutoshopList?province=' + this.data.provinceName + '&city=' + this.data.cityName,
                    success: function (json) {
                        console.log('API Data:', json);

                        if (json.errorCode > 0) {
                            return;
                        }

                        var tpl2 = '{{#data}}<option value="{{name}}" data-val="{{code}}">{{name}}</option>{{/data}}';
                        var html = Mustache.render(tpl2, json);
                        var head = "<option value=''>请选择经销商</option>";
                        $box.find('#dealer').html(head + html);
                        // 请求经销商直销员信息
                        /*$box.find('#dealer').change(function () {
                            var $select = $(this).elements[0],
                                selectIndex = $select.selectedIndex;
                            dealerCode = $select.options[selectIndex].getAttribute("data-val");
                            $("input[name=gold]").val("");
                            $(".saler").val("");
                            $.ajax({
                                url: API_BASE + '/member/dealerSalesList',
                                type: 'POST',
                                data: {code: dealerCode},
                                cache: false,
                                dataType: 'json',
                                success: function (res) {
                                    console.log(res);
                                    if (res.code !== 200) {return};
                                    if (res.data.length === 0) {
                                        $box.find("#salse-list").html("暂无销售人员").css("text-align", "center");
                                        return;
                                    }
                                    window.salerArr = res.data;

                                    var salerTpl = '{{#data}}<li data-id="{{userid}}">{{realname}} <span class="icon-select"></span></li>{{/data}}';
                                    var saler = Mustache.render(salerTpl, res),
                                        filterArr = {
                                            data: []
                                        },
                                        goldName = '';
                                    $box.find("#salse-list").html(saler);

                                    var salerScoll = new IScroll('.saler-scroll', {
                                        scrollX: false,
                                        scrollY: true,
                                        lockDirection: true,
                                        probeType: 3
                                    });
                                    $box.find("#salse-list").touchwipe({
                                        touch: function (e) {
                                            $box.find("#salse-list li .icon-select").removeClass("active");
                                            $(e.target).find(".icon-select").addClass("active");
                                            goldName = $(e.target).text();
                                            $box.find(".gold").val($(e.target).attr("data-id"));
                                        }
                                    });

                                    function searchSaler(key, arr) {
                                        var _filter = {
                                            data: []
                                        };
                                        arr.map(function (v) {
                                            if (v.realname.indexOf(key) >= 0) {
                                                _filter.data.unshift(v);
                                            }
                                        });
                                        var _tpl = '{{#data}}<li data-id="{{userid}}">{{realname}} <span class="icon-select"></span></li>{{/data}}';
                                        var filterData = Mustache.render(_tpl, _filter);
                                        $box.find("#salse-list").html('').html(filterData);
                                    }

                                    $box.find("#search-saler").on('keyup', function () {
                                        var keyword = $(this).val().trim();
                                        console.log('销售人员列表',salerArr);
                                        searchSaler(keyword, salerArr);
                                    });
                                    $box.find(".choose-btn").touchwipe({
                                        touch: function () {
                                            $box.find(".saler").val(goldName);
                                            $box.find(".dialog-select").hide();
                                            $box.find(".mask").hide();
                                        }
                                    });
                                }
                            });
                        });*/
                    }
                });
            });
            $box.find('.saler').touchwipe({
                touch: function () {
                    if (dealerCode === 0) {
                        $.alert.warn("请先选择经销商");
                        return
                    }
                    $box.find(".mask").show();
                    $box.find(".dialog-select").show().addClass("ani");
                }
            });
            $box.find(".close-btn").on('touchstart', function (e) {
                e.preventDefault();
                $box.find(".dialog-select").hide();
                $box.find(".mask").hide();
            });
        }
    });
}


//服务
function service(tpl) {
    var $box = $(this);
    try {
        //创建 webview
        createMain();
    }catch (e){
        console.warn('请在Hbuilder基座上进行调试');
    }
   
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/news/getServerfwelfare?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API 服务  Data:', json);

            for (var i = 0; i < json.data.top.length; i++) {
                if (json.data.top[i].url.indexOf('2017_916_card') > -1) {
                    json.data.top[i].is_618 = true;
                } else {
                    json.data.top[i].is_618 = false;
                }
                if (json.data.last[i].url.indexOf('2017_916_card') > -1) {
                    json.data.last[i].is_618 = true;
                } else {
                    json.data.last[i].is_618 = false;
                }
            }
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();

            $box.find('a[data-url]').touchwipe({
                touch: function () {
                    var $link = $(this), url = $link.attr('data-url'), tag = 3;
                    linkToSixOE(url, tag);
                }
            });
            //违章查询
            $box.find("a[rel='service_violation']").touchwipe({
                touch: function(e){
                    var pass = UserInfo.token? true : false;
                    if(pass){
                        var LS_status = JSON.parse(localStorage.getItem('APP_USER_INFO')).status;
                        UserInfo.status = LS_status?LS_status:0;
                        if(UserInfo.status == 0){
                            window.shopLink('mycar.html?noHeader=true');
                        }else{
                            var iosWebviewPosition = {zindex:9};
                            plus.webview.open(API_BASE + '/applink/resultSolve/index.html?t='+(new Date()).valueOf(),'resultSolve',iosWebviewPosition,'slide-in-right');
                        }
                    } else {
                        $.dialog.open({
                            url: 'user/login.html?dwz_callback=loginRender',
                            rel: 'login', pop:'login'
                        });
                    }

                }
            });
            //预约保养点击事件
            $box.find("a[rel='service_appoin']").touchwipe({
                touch: function () {
                    //检测是否绑定车辆
                    var pass = UserInfo.token? true : false;
                    var isBinded = UserInfo.status;
                    if (pass){
                        if (isBinded == 1){
                            plus.webview.show(maintenance, 'slide-in-right', 500);
                        } else {
                            setTimeout(function(){
                                var ev2 = document.createEvent('Events');
                                ev2.initEvent('touchend');
                                document.querySelectorAll('.tab-button')[2].dispatchEvent(ev2);
                            },100)
                        }
                    } else {
                        $.dialog.open({
                            url: 'user/login.html?dwz_callback=loginRender',
                            rel: 'login', pop:'login'
                        });
                    }

                }
            });

            // 金融产品
            $box.find("#jinrong").touchwipe({
                touch: function () {
                    try {
                        var fin = plus.webview.create("./finins/product.html?type=1", "fin", {width: "100%", top: 0, bottom: 0}, {name: "金融产品"});
                    }catch(err){
                        console.log(err)
                    }
                    plus.webview.show(fin, "slide-in-right", 500);
                }
            })
        }
    });
}
//为你推荐
function weinituijian(tpl, data) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/personalInfo?token=' + UserInfo.token + '&arcId=' + data.id,
        data: {},
        success: function (json) {
            console.log('API Data:', json);
            if (json.data.url) {
                json.data.width = $box.get(0).offsetWidth + 'px';
            }

            json.data.collect_url = API_BASE + '/v1/user/myColl?token=' + UserInfo.token + '&id=' + json.data.id + '&type=article';
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();

        }
    });
}

//车型展示

function car_guanwang(tpl) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/archiveInfo?token=' + UserInfo.token + '&id=' + data.id,
        data: {},
        success: function (json) {
            console.log('API Data:', json);
            console.log('API Data:', 1);

            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
        }
    });
}

// 购物车页面
function shopping_car(tpl) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/News/archiveInfo?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API Data One:', json);

            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
            var item_click1 = $box.find(".item-click1");

            var item_click3 = $box.find(".item-click3");
            var $shopping_zhongjia = $box.find("#shopping_zhongjia");
            var baojia = $box.find("#shopping_baojia");
            $shopping_zhongjia.text("¥" + baojia.text() + "元");
            item_click1.click(function () {
                var item_click2 = $box.find(".item-click2").text();

                if (item_click2 < 2) {
                    item_click2 = 1;
                    $shopping_zhongjia.text("¥" + baojia.text() + "元");
                } else {
                    $box.find(".item-click2").text(--item_click2);
                    $shopping_zhongjia.text("¥" + baojia.text() * item_click2 + "元");
                }
            })
            item_click3.click(function () {
                var item_click2 = $box.find(".item-click2").text();
                $box.find(".item-click2").text(++item_click2);
                $shopping_zhongjia.text("¥" + baojia.text() * item_click2 + "元");

            })

        }
    });
}

function shopping_car(tpl, data) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/myAddress?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API Data second:', json);
            json.form_url = API_BASE + '/v1/tools/shop?token=' + UserInfo.token;
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();

            $.shoppingCart.syncPage({refresh: true});
        }
    });
}


function shopping_car_address(tpl, data) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/myAddress?token=' + UserInfo.token,
        success: function (json) {
            console.log('API Data:', json);


            if (!json.data) {
                json.data = {};
            }
            json.data.sex = json.data.sex == 1 ? 1 : 0;
            json.data.form_url = API_BASE + '/v1/user/myAddress?token=' + UserInfo.token;

            var html = Mustache.render(tpl, json.data);
            $box.html(html);
            if(json.data.dealer) { //如果存在，表示填写过地址
                var op = '<option value="'+json.data.dealer+'">'+json.data.dealer+'</option>';
                $box.find("#shop_addr_dealer").html(op).css({color: "black", display: "block"});
            }
            $box.initUI();

            $box.find('#shop_addr_city').touchwipe({
                touch: function (event) {
                    $.dialog.open({url: 'select_city_pop.html?dwz_callback=select_city_pop&dwz_province_name=shop_addr_province&dwz_city_name=shop_addr_city'});
                    event.preventDefault();
                    event.stopPropagation();
                }
            }).change(function (event) {
                $.ajax({
                    type: 'GET',
                    dataType: 'json',
                    url: API_BASE + '/v1/tools/getAutoshopList?province=' + this.data.provinceName + '&city=' + this.data.cityName,
                    success: function (json) {
                        console.log('API Data:', json);

                        if (json.errorCode > 0) {
                        	$("#shop_addr_dealer").html('<option value="暂无可选经销商">暂无可选经销商</option>').css("color","gray");
                            return;
                        }

                        var tpl2 = '{{#data}}<option value="{{name}}">{{name}}</option>{{/data}}';
                        var html = Mustache.render(tpl2, json);
                        $('#shop_addr_dealer').html(html).css({color: 'black'})
                    }
                });
            });
        }
    });
}
function shopping_car_address_done(json) {
    console.log(json);

    if (json.errorCode != 0) {
        $.alert.error(json.message);
        return;
    }

    var $aForm = $('#shopping_addr_form');
    var $form = $('#shopping_checkout_form');

    if ($form.size() > 0) {

        var data = {};
        $.each(['name', 'sex', 'mobile', 'province', 'city', 'dealer', 'address'], function (index) {
            data[this] = $aForm.find('input[name=' + [this] + ']').val() || $aForm.find('select[name=' + [this] + ']').val()
            $form.find('input[name=' + [this] + ']').val(data[this]);
        });

        var tpl = '<a data-href="shopping-car-address.html?dwz_callback=shopping_car_address" target="navView" rel="shopping_car_address">\
						<p>{{name}} {{mobile}}</p>\
						<p>{{province}}{{city}}{{address}}</p>\
					</a>\
					<input type="hidden" name="name" value="{{name}}" pattern=".{1,100}" data-error="请填写收货人姓名"> \
					<input type="hidden" name="sex" value="{{sex}}"> \
					<input type="hidden" name="mobile" value="{{mobile}}" pattern="[0-9]{11,11}" data-error="请填写收货人手机号码"> \
					<input type="hidden" name="province" value="{{province}}"> \
					<input type="hidden" name="city" value="{{city}}"> \
					<input type="hidden" name="dealer" value="{{dealer}}"> \
					<input type="hidden" name="address" value="{{address}}" pattern=".{1,100}" data-error="请填写收货人详细地址"> \
					<input type="hidden" name="channelKeyId" value="3">';
        var $addrBox = $('#shopping_addr_box');
        var html = Mustache.render(tpl, data);
        $addrBox.html(html).initUI();

    }

    $.navView.close(true);
}

function checkout_done(json) {
    console.log(json);

    if (json.errorCode != 0) {
        $.alert.error(json.message);
        return;
    }

    if (json.message) {
        $.alert.success(json.message);
    }

    $.shoppingCart.clean();
    $.navView.close(true);
}

// 服务大厅
function service_list(tpl) {
    var $box = $(this);
	
	try{
		var exh = plus.webview.create("./CarSignUp/carList.html", 'exh', {width: "100%", top: 0, bottom: 0}, {name: "车展报名"}),
            ins = plus.webview.create("./finins/product.html?type=5", "ins", {width: "100%", top: 0, bottom: 0}, {name: "保险产品"}),
            fin = plus.webview.create("./finins/product.html?type=1", "fin", {width: "100%", top: 0, bottom: 0}, {name: "金融产品"}),
            delay = plus.webview.create("./finins/product.html?type=8", "delay", {width: "100%", top: 0, bottom: 0}, {name: "延保产品"});
	}catch(e){
		console.warn("请使用Hbuilder基座进行调试")
	}

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/news/getServerfwelfare?token=' + UserInfo.token,
        data: {},
        success: function (json) {
            console.log('API Data:', json);
            console.log('API Data:', "服务大厅");

            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();

            // 车展报名
            $.ajax({
                url: API_BASE + "/enter/tools/get_list_exhibition",
                type: "POST",
                data: {token: UserInfo.token},
                dataType: "json",
                success: function (res) {
                    if(res.constructor !== Array){
                        $box.find("#exh").show();                
                    } else {
                        $box.find("#exh").hide();
                    }
                }
            })

            //预约维修
            $box.find("a[rel='service_appoin']").touchwipe({
                touch: function () {
                    //检测是否绑定车辆
                    var pass = UserInfo.token? true : false;
                    var isBinded = UserInfo.status;
                    if (pass){
                        if (isBinded == 1){
                            if($(this).attr("id") == 'appoin') {
                                plus.webview.show(maintenance, 'slide-in-right', 500);
                            } else {
                                plus.webview.show(repair, 'slide-in-right', 500);
                            }
                        } else {
                            setTimeout(function(){
                                var ev2 = document.createEvent('Events');
                                ev2.initEvent('touchend');
                                document.querySelectorAll('.tab-button')[2].dispatchEvent(ev2);
                            },100)
                        }
                    } else {
                        $.dialog.open({
                            url: 'user/login.html?dwz_callback=loginRender',
                            rel: 'login', pop:'login'
                        });
                    }
                }
            });
            
            // 车展报名
            $box.find("#exh").touchwipe({
            	touch: function(){
            		plus.webview.show(exh, "slide-in-right", 500);
            	}
            })
            
            // 保险产品
            $box.find("#ins").touchwipe({
                touch: function () {
                    plus.webview.show(ins, "slide-in-right", 500);
                }
            })

            // 金融产品
            $box.find("#fin").touchwipe({
                touch: function () {
                    plus.webview.show(fin, "slide-in-right", 500);
                }
            })

            // 延保产品
            $box.find("#delay").touchwipe({
                touch: function () {
                    plus.webview.show(delay, "slide-in-right", 500);
                }
            })

            //违章查询
            $box.find("a[rel='service_violation']").touchwipe({
                touch: function(e){
                    var pass = UserInfo.token? true : false;
                    if(pass){
                        var LS_status = JSON.parse(localStorage.getItem('APP_USER_INFO')).status;
                        UserInfo.status = LS_status?LS_status:0;
                        if(UserInfo.status == 0){
                            window.shopLink('mycar.html?noHeader=true');
                        }else{
                            var iosWebviewPosition = {zindex:9};
                            plus.webview.open(API_BASE + '/applink/resultSolve/index.html?t='+(new Date()).valueOf(),'resultSolve',iosWebviewPosition,'slide-in-right');
                        }
                    } else {
                        $.dialog.open({
                            url: 'user/login.html?dwz_callback=loginRender',
                            rel: 'login', pop:'login'
                        });
                    }

                }
            });
        }
    });

}

// 我的消息
function my_message(tpl) {
    var $box = $(this);
    var isEnterAdmin;
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/userMessage?token=' + UserInfo.token,
        success: function (json) {
            console.log('Message Status', json);
            json.getStatusClass = function () {
                if (this.status == 0) {
                    return 'badge'
                }
                return '';
            }
            var html = Mustache.render(tpl, json);

            $box.html(html);
            $box.initUI();

            var sys = document.querySelectorAll('.sys_')
            for (var i = 0; i < sys.length; i++) {
                var h_url = sys[i].getAttribute('data-url');
                var h_type = sys[i].getAttribute('systype');
                var h_class = sys[i].getAttribute('sysclass');
                var h_id = sys[i].getAttribute('sysdetailsid');

                if (!h_url && h_type == 1 && h_class != 0) {
                    sys[i].removeAttribute('data-sid')
                    sys[i].addEventListener('click', function (e) {
                        $(this).removeClass("badge");
                        var to = this.getAttribute('sysclass');
                        var id_ = this.getAttribute('sysdetailsid');
                        if (to == 1) {
                            window.shopLink('MessageCon.html?id=' + id_)
                        }
                        if (to == 2) {
                            window.shopLink('family-confirm.html?id=' + id_)
                        }
                        if (to == 3) {
                            window.shopLink('family-cancel.html?id=' + id_)
                        }
                        if (to == 4) {
                            window.shopLink('integral-revoke.html?id=' + id_)
                        }
                    })
                }
            }

            $box.find(".exh").touchwipe({
                touch: function () {
                    var id = $(this).attr("data-exhid");
                    try {
                        var exh = plus.webview.create("./CarSignUp/carEnroll.html?admin="+isEnterAdmin+"&id="+id+"&from=5", 'exh', {width: "100%", top: 0, bottom: 0}, {name: "车展报名"});
                        plus.webview.show(exh, "slide-in-right", 300);
                    }catch(e) {
                        console.warn("请使用Hbuilder工具进行调试")
                    }
                }
            })

            $box.find('a[data-sid]').touchwipe({
                touch: function () {
                    var $link = $(this), url = $link.attr('data-url');

                    if (url) {
                        $.navView.open({
                            title: '消息详情',
                            url: url,
                            external: true,
                            rel: 'my_message_detail'
                        });
                    } else {
                        $.navView.open({
                            url: 'message_detail.html?dwz_callback=my_message_detail&sid=' +
                            $link.attr('data-sid') + '&msgid=' + $link.attr('data-msgid'),
                            rel: 'my_message_detail'
                        });
                    }

                    if (UserInfo.token) {
                        $link.removeClass('badge');
                    }
                }
            });
        }
    });
}
function my_message_detail(tpl, params) {
    var $box = $(this);

    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/userMessageRead?token=' + UserInfo.token + '&sid=' + params.sid + '&msgid=' + params.msgid,
        success: function (json) {
            console.log('API Data:', json);

            if (json.errorCode != 0) {
                $.alert.error(json.message);
                return;
            }

            if (json.data.url) {
                json.data.width = $box.get(0).offsetWidth + 'px';
            }
            var html = Mustache.render(tpl, json.data);
            $box.html(html);
            $box.initUI();

            my_message_badge(); // 更新右上角消息状态
        }
    });
}
// 右上角消息状态
function my_message_badge() {
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: API_BASE + '/v1/user/userMessageUnread?token=' + UserInfo.token,
        success: function (json) {
            // console.log('API Data:', json);

            if (json.data && json.data.count > 0) {
                $('div.header .dwz-message-badge').addClass('badge');
            } else {
                $('div.header .dwz-message-badge').removeClass('badge');
            }
        }
    });
}