/**
 * Created by zhanghuihua on 2016/12/26.
 */

// 用户登入信息
window.isSpecial=false;
var UserInfo = {
    clientid: "", // 推送服务令牌（设备唯一标识），用于标识推送信息接收者身份
    carcode:"", // 车架号
    carenginecode:"", // 发动机号
    carnumber:"", // 车牌
    carmodel:"",
    token: "",
    name: "",
    tel: "",
    sex: 1,
    lastligintime: "",
    status: 0,
    thumb: "",
    regid: "", //极光推送id
    isDealer:false //经销商用户
};

// 获取localStorage中用户信息
if (!UserInfo.token) {

    var str = localStorage.getItem('APP_USER_INFO');
    if (str) {
        UserInfo = JSON.parse(str);
        UserInfo.sex = UserInfo.sex == 1 ? 1 :0;
    }
}

$.fn.extend({
    sendVerifyMs: function(){
        return this.each(function(){
            $(this).click(function(){
                var $link = $(this), rel = $link.attr('rel');

                var verifyCode = $link.parentsUnitBox().find("#register_verify_input").val();
                if (!verifyCode) {
                    $.alert.error("请输入图片验证码中的字符");
                    return;
                }

                var mobile = $link.parentsUnitBox().find(rel).val();

                if (!mobile || !mobile.isMobile()) {
                    $.alert.error('请输入您的11位手机号码');
                    return;
                }

                var sec = 60;
                var $altMsg = $('<span class="count">重发验证码('+sec+'s)</span>').appendTo(this.parentNode);
                $link.hide();
                var timer = setInterval(function () {
                    $altMsg.text('重发('+sec+'s)');
                    sec--;

                    if (sec <= 1) {
                        clearInterval(timer);
                        $altMsg.remove();
                        $link.show();
                    }
                }, 1000);

                $.ajax({
                    type: 'GET',
                    dataType: 'json',
                    url: API_BASE + '/v1/user/sendMs?tel='+mobile+'&type='+($link.attr('data-type')+'&verify_code='+verifyCode || ''),
                    data: {},
                    success: function(json) {
                        if(json.errorCode != 0) {
                            $.alert.error(json.message);
                            clearInterval(timer);
                            $altMsg.remove();
                            $link.show();
                        } else {
                            $.alert.success(json.message);
                        }
                    }
                });



            });

        });
    }
});
// 验证码
$.fn.extend({
    changeVerifyImg: function () {
        return this.each(function(){
            $(this).click(function(){
                $(this).find("img").attr("src", API_BASE + '/shop/verify');
            })
        })
    }
})

// 检测用户登入状态
dwz.urlInterceptor = function (url){
    var pass = UserInfo.token ? true : false;

    if (!pass) {
        var uris = [
            'car.html', // 爱车
            'test-drive.html', // 预约试驾
            'service_appoin.html',  // 预约保养、预约维修
            // 'service_rescue.html',   // 紧急救援
            'service_violation.html', // 违章查询
            'service_spared.html', // 备件查询
            'service_traffic.html', // 限行查询
            'service-product.html', // 产品手册
            'service_commonsensible.html', // 保养手册
            'service-diy.html', // DIY我的应用

            // '.html', //加油记录
            // '.html', //事故记录
            // '.html', //爱车日记
            // '.html', //时光记录
            'my_reserve.html', //我的预约
            'my_coupon.html', //我的卡卷
            'my_order.html', //我的订单
            'my-car.html', //我的爱车
            'my-featured.html', //推荐购车
            'my-favorite.html', //我的收藏
            'user/profile.html',

            'shopping-car.html',
            'shopping-car-address.html'
        ];

        // 判断request URI 是否需要登入
        if (! dwz.inArray(url.getRequestURI(), uris)) {
            pass = true;
        }
    }

    if (!pass) {
        $.dialog.open({
            url: 'user/login.html?dwz_callback=loginRender',
            rel: 'login', pop:'login'
        });
    } else {
        return checkBindingStatus(url);
    }

    return pass;
}

// 检测是否绑定车辆
function checkBindingStatus(url){

    var isBinding = UserInfo.status == 1;

    if (!isBinding) {

        var uris = [
            'my-car.html', // 我的爱车
            'service_violation.html', // 违章查询
            'service_spared.html', // 备件查询
            'service_traffic.html', // 限行查询
            'service-product.html', // 产品手册
            'service_commonsensible.html' // 保养手册
        ];

        // 判断request URI 是否需要绑定
        if (! dwz.inArray(url.getRequestURI(), uris)) {
            return true;
        }
        /*$.navView.open({
            url: 'user/binding.html?dwz_callback=bindingRender',
            rel: 'binding'
        });*/
		
        setTimeout(function(){
            var ev2 = document.createEvent('Events');
                ev2.initEvent('touchend');
                document.querySelectorAll('.tab-button')[2].dispatchEvent(ev2);						
        },100);

        return isBinding ;
    }
	
    return isBinding;
}

// 登入页面
function loginRender(tpl, params) {
    var $box = $(this);

    var json = {
        form_url: API_BASE +'/v1/user/login',
        verifyCode: API_BASE +'/v1/tools/verify',
        regid: UserInfo.clientid
    };

    var html = Mustache.render(tpl, json);
    $box.html(html);
    $box.initUI();
    
    try{
    	document.querySelector('.login_regid').value=window.regid ;
    }catch(e){}
    // console.log(UserInfo.clientid)
    // alert( "uuid: "+plus.device.uuid );
}
// 忘记密码手机号验证码登入页面
function loginTelRender(tpl, params) {
    var $box = $(this);

    var json = {
        form_url: API_BASE +'/v1/user/telLogin',
        verifyCode: API_BASE +'/v1/tools/verify',
        regid: UserInfo.clientid,
        verifyImgUrl: API_BASE + '/shop/verify'
    };

    var html = Mustache.render(tpl, json);
    $box.html(html);
    $box.initUI();
}

// 经销商登录
function insideLoding(){//內部人员登录
    plus.webview.open('./ftms-dma-dev/login.html','login',{zindex:9},'slide-in-bottom');
}
function insideQuit(){//内部退出
    $.dialog.close();
}
function loginDealerRender(tpl, params) {  
    var $box = $(this);

    var json = {
        form_url: API_BASE +'/v1/dealer/login',
        verifyCode: API_BASE +'/v1/tools/verify',
        regid: UserInfo.clientid
    };

    var html = Mustache.render(tpl, json);
    $box.html(html);
    $box.initUI();
}

// 用户注册页面
function registerRender(tpl, params) {
    var $box = $(this);

    var json = {
        form_url: API_BASE +'/v1/user/register',
        verifyCode: API_BASE +'/v1/tools/verify',
        verifyImgUrl: API_BASE + '/shop/verify'
    };
    var html = Mustache.render(tpl, json);
    $box.html(html);
    $box.initUI();
}

// 绑定车辆页面
function bindingRender(tpl, params){   
    var $box = $(this);

    $.ajax({
        type: 'GET',
        url: API_BASE + '/v1/vehicles/getUserVehicle',
        dataType: "json",
        success: function(json) {
            json.form_url = API_BASE +'/v1/user/carBinding';
            json.UserInfo = UserInfo;
            var html = Mustache.render(tpl, json);
            $box.html(html);
            $box.initUI();
	
            var myScroll = new IScroll($box.find('div.scroll-content').get(0), {
                scrollX: false,  scrollY: true
            });
            $box.onPageClear(function(event){
                if (myScroll) myScroll.destroy();
                myScroll = null;
            });

            var $dealersBox = $('#binding_dealers_box');

            $box.find('#binding_city_name').touchwipe({
                touch:function(event){
                    $.dialog.open({url:'select_city_pop.html?dwz_callback=select_city_pop&dwz_city_name=binding_city_name'});
                    event.preventDefault();
                    event.stopPropagation();
                }
            }).change(function(event){
                $.ajax({
                    type:'GET',
                    dataType: 'json',
                    url: API_BASE + '/v1/tools/getAutoshopList?province='+this.data.provinceName+'&city='+this.data.cityName,
                    success:function(json){
                        console.log('API Data:', json);

                        if (json.errorCode > 0) {
                            $dealersBox.html('<p>'+json.message+'</p>');
                            return;
                        }

                        var tpl2 = '{{#data}}<div class="item-phone b-line" data-dealer="{{id}}">\
                                <div class="item-phone-lin r-line">\
                                    <p class="item-phone-title">{{name}}</p>\
                                    <p class="item-phone-sub">客服热线{{&phone_service}}</p>\
                                </div>\
                                <a class="item-phone-map" href="view_map.html?dwz_callback=view_map&name={{name}}&phone={{&phone_service}}&address={{address}}&lng={{lng}}&lat={{lat}}" target="navView" rel="view_map">\
                                    <img src="images/icon-png/icon-location.png" class="item-phone-icon">\
                                    <p class="item-phone-head">查看地图</p>\
                                </a>\
                                </div>{{/data}}';
                        var html = Mustache.render(tpl2, json);
                        $dealersBox.html(html);
                        $dealersBox.initUI();

                        var $items = $dealersBox.find('div.item-phone');
                        $items.click(function(){
                            var $this = $(this);
                            $items.removeClass('selected');
                            $this.addClass('selected');

                            var dealer = $this.attr('data-dealer');
                            $('#binding_dealer_input').val(dealer);
                        });

                        myScroll.refresh();
                    }
                });
            });
        }
    });

}

// 个人设置页面
function profileRender(tpl, params) {
    var $box = $(this);
	
    var json = {
        form_url: API_BASE +'/v1/user/userUpinfo?token='+UserInfo.token,
        UserInfo: UserInfo,
        icons:[
            { url:'img/my-photo.jpg', selected: UserInfo.thumb == 'img/my-photo.jpg'},
            { url:'img/my-photo2.jpg', selected: UserInfo.thumb == 'img/my-photo2.jpg'}
        ]
    };

    var html = Mustache.render(tpl, json);
    $box.html(html);
    $box.initUI();

    var $iconBox = $box.find('.ctr-icon');
    $iconBox.find('span').click(function() {
        $iconBox.find('span').removeClass('selected');
        var val = $(this).addClass('selected').attr('data-src');
        $iconBox.find('input').val(val);
    });

    $('#exitSystemButton').click(function(){ 
    	$.ajax({
    		type:"post",
    		url:API_BASE+"/shop/loginout",
    		async:true
    	});
        UserInfo = {};
        localStorage.setItem('APP_USER_INFO', JSON.stringify(UserInfo));
        var $myInfo = $('#my_info_box');
        if ($myInfo.size()>0) {
            $myInfo.find('span.name').text('登录/注册');
            $myInfo.find('img.my-avatar').attr('src', 'img/my-photo-default.jpg');
        }

        $.navTab.open({url:'home.html?dwz_callback=home_render', rel:'home'});
        $.navView.close(true, true);
		
		//重置会员菜单
		$(".renzheng").html("");
		$(".gzdjxs").html("未关注经销商");
		$("._jiating,._zuji").hide();
// &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
     	window.pdJXS()
    });

    var $menu = $box.find('div.item-menu');
    $menu.find('.bar-button').click(function(){
        $menu.find('.item-settle-list').toggle().click(function(){
            $(this).hide();
        });
    });
}

// 修改密码页面
function changePwdRender(tpl, params){
    var $box = $(this);

    var json = {
        form_url: API_BASE +'/v1/user/userRepass?token='+UserInfo.token,
        UserInfo: UserInfo
    };
    if (UserInfo.isDealer) {
        json.form_url = API_BASE +'/v1/dealer/userRepass?token='+UserInfo.token;
    }

    var html = Mustache.render(tpl, json);
    $box.html(html);
    $box.initUI();
}

// 修改手机号页面
function changeTelRender(tpl, params){
    var $box = $(this);

    var json = {
        form_url: API_BASE +'/v1/user/userUpTel?token='+UserInfo.token,
        UserInfo: UserInfo,
        verifyImgUrl: API_BASE + '/shop/verify'
    };
    var html = Mustache.render(tpl, json);
    $box.html(html);
    $box.initUI();
}

// 绑定车辆表单提交回调函数
function carBindingAjaxDone(json) {  
    if(json.errorCode != 0) {
        $.alert.error(json.message);
        return;
    }

    UserInfo.status = 1;
    UserInfo.carcode = json.carcode;
    UserInfo.carenginecode = json.carenginecode;
    UserInfo.carmodel = json.carenginecode;
    UserInfo.carnumber = json.carnumber;

    localStorage.setItem('APP_USER_INFO', JSON.stringify(UserInfo));
        
    $.navView.close(true);
}

// 用户登录表单提交回调函数
function loginAjaxDone(json) {
	console.log(json);
    if(json.errorCode != 0) {
        $.alert.error(json.message);
        return;
    }

    $.extend(UserInfo, json.data);
    UserInfo.sex = UserInfo.sex == 1 ? 1 :0;
    UserInfo.isDealer = false;
    UserInfo.realname=json.data.realname;
    UserInfo.idcard=json.data.idcard;
    localStorage.setItem('APP_USER_INFO', JSON.stringify(UserInfo));

    var $myInfo = $('#my_info_box');
    if ($myInfo.size()>0) {
        $myInfo.find('span.name').text(UserInfo.name);
        $myInfo.find('img.my-avatar').attr('src', API_BASE+UserInfo.thumb);
    }
    $('#my_personal_box').show();
    //618活动特殊情况
    if (isSpecial){
        var ev2 = document.createEvent('Events') ;
            ev2.initEvent('touchend')
            document.getElementById('a-618').dispatchEvent(ev2);	
        isSpecial = false;
    }
    $.dialog.close();
// *******************************************************

 	window.pdJXS()	;
 	
 				$.ajax({
				type:"get",
				url:API_BASE+"/member/aggregate",
				success:function(res){
					var s = JSON.parse(res).data ;
					console.log('all',s)
					
					var ka = s.level_name+'会员' ;
					var daoqi = parseInt(s.level_etime) ;
					var sex = s.sex ;
					var imgUrl = s.thumb ;
					var jxs = s.dealer_count ;
					var car_count = s.car_count ;
					var chezhu = s.user_car ;
					
					// 卡片等级
					document.querySelector('.huiyuan_card').innerHTML = ka ;
					// 头像
					document.querySelector('.avatar_').src = imgUrl ;
					//性别
					var str_= '♂';
					if(sex!=1){str_='♀'}
					if(chezhu==1){str+='车主'}
					var name_ = document.querySelector('.name_') ;
						name_.innerHTML= s.name+str_ ;
					// 关注经销商
					if(!s.dealer_count){jxs=''};
					document.querySelector('.gzdjxs').innerHTML = jxs ;
					// 到期时间
					function add0(m){return m<10?'0'+m:m }
					function format(shijianchuo){
						var time = new Date(shijianchuo);
						var y = time.getFullYear();
						var m = time.getMonth()+1;
						var d = time.getDate();
						var h = time.getHours();
						var mm = time.getMinutes();
						var s = time.getSeconds();
						return y+'年-'+add0(m)+'月-'+add0(d)+'日 '+'到期';
					}
					var d = document.querySelector('.daoqishijian') ;
						d.innerHTML=format(daoqi*1000) ;
					if(s.member_overdue==3){
						d.innerHTML = '会员已到期';
					}else if(s.member_overdue==4){
						d.innerHTML = '永久有效';
					}else if(s.member_overdue==5){
						d.innerHTML = '拥有车辆期间';
					}
					// 绑定车数
					if(car_count==0){
						if(s.check_dealer_code=="0"){
							document.querySelector('.renzheng').innerHTML="";
						}else if(s.check_dealer_code=="1"){
							document.querySelector('.renzheng').innerHTML="认证爱车提升等级和获赠积分" ;
						}
					}else if(car_count>0){
						document.querySelector('.renzheng').innerHTML=car_count ;
					}
					
					// 判断是不是24家经销商 ;
					if(s.check_dealer_code==0){
						localStorage.setItem("checkDealer","0");
						$(".grzx-czdj").attr("data-click","on");
						document.querySelector('.daoqishijian').style.display='none' ;
						document.querySelector('._jiating').style.display="none" ;
						document.querySelector('._zuji').style.display="none" ;
					}else if(s.check_dealer_code==1){
						$(".grzx-czdj").attr("data-click","off");
						document.querySelector('.daoqishijian').style.display='block' ;
						document.querySelector('._jiating').style.display="block" ;
						document.querySelector('._zuji').style.display="block" ;
						localStorage.setItem("checkDealer","1")
					}		
				}
			})
			
			$.ajax({
				type:"post",
				url:API_BASE+"/member/family",
				success:function(res){
					var s = JSON.parse(res).data ;
					console.log('family_level',s)
					document.querySelector('.jtjh').innerHTML = s.family_level+'等级' ;
				}
			})
 	
}
// 经销商登录表单提交回调函数
function loginDealerAjaxDone(json) {
    if(json.errorCode !== 0) {
        $.alert.error(json.message);
        return;
    }

    $.extend(UserInfo, json.data);
    UserInfo.sex = UserInfo.sex == 1 ? 1 :0;
    UserInfo.isDealer = true;
    localStorage.setItem('APP_USER_INFO', JSON.stringify(UserInfo));

    var $myInfo = $('#my_info_box');
    if ($myInfo.size()>0) {
        $myInfo.find('span.name').text(UserInfo.name);
        $myInfo.find('img.my-avatar').attr('src', API_BASE+UserInfo.thumb);
    }
    $('#my_personal_box').hide(); //经销商登录禁用我的推荐
    $('#only_you').hide();
    $.dialog.close();
// *******************************************************
    UserInfo.userTypeCode = 'dealer';
 	window.pdJXS()	
 	
}

// 用户信息编辑表单提交回调函数
function profileAjaxDone(json) {
    if(json.errorCode != 0) {
        $.alert.error(json.message);
        return;
    }
    UserInfo.name = json.data.name;
    UserInfo.sex = json.data.sex == 1 ? 1 : 0;
    UserInfo.thumb = json.data.thumb;
    UserInfo.realname=json.data.realname;
    UserInfo.idcard=json.data.idcard;
    localStorage.setItem('APP_USER_INFO', JSON.stringify(UserInfo));
    var $myInfo = $('#my_info_box');
    if ($myInfo.size()>0) {
    	if(UserInfo.sex==1){
    		$myInfo.find('span.name').html(UserInfo.name+"♂");
    	}else if(UserInfo.sex==0){
    		$myInfo.find('span.name').html(UserInfo.name+"♀");
    	}
        $myInfo.find('img.my-avatar').attr('src', UserInfo.thumb);
    }
    $.navView.close(true);
}

// 修改密码表单提交回调函数
function changePwdAjaxDone(json) {
    if(json.errorCode != 0) {
        $.alert.error(json.message);
        return;
    }

    $.alert.closeDialog();
}

// 修改手机号表单提交回调函数
function changeTelAjaxDone(json) {
    if(json.errorCode != 0) {
        $.alert.error(json.message);
        return;
    }

    UserInfo.tel = json.data.tel;
    localStorage.setItem('APP_USER_INFO', JSON.stringify(UserInfo));
    $('#user_profile_tel_box').text(UserInfo.tel);
    $.alert.closeDialog();
}
