/**
 * Created by zhanghuihua on 2016/12/19.
 */

$.dialog = {
    config: {
        box$: '#dialog',
        fullscreenClass: 'fullscreen',
        openClass: 'open',
        frag: '<div id="dialog" class="pop-window unitBox"><div class="pop-header"><span class="title">弹出框</span><a class="pop-close" href="javascript:$.dialog.close()"><i class="icon icon-close"></i></a></div></div>',
        bgBox$: '#mask-background',
        bgFrag: '<div id="mask-background" class="mask-background"></div>'
    },
    isOpen: false,
    $box: null,
    $bgBox: null,

    init: function (options) {
        $.extend($.dialog.config, options);

        $('body').append($.dialog.config.frag);
        $('body').append($.dialog.config.bgFrag);
        this.$box = $($.dialog.config.box$);
        this.$bgBox = $($.dialog.config.bgBox$);

        this.$bgBox.click(function(){
            $.dialog.close();
        });
    },
    open: function(options) {
        // default, pic, login
        var op = $.extend({type:'GET', url:'', pop:'default', data:{}, callback: null}, options);
        var $box = this.$box, $bgBox = this.$bgBox;

        if (!op.interceptor){
            op.interceptor = dwz.getUrlInterceptor(op.url);
        }
        // 拦截器，用于验证登入跳转和绑定跳转等
        if (op.interceptor && op.interceptor.call($box, op.url) === false) {
            return false;
        }

        $bgBox.addClass($.dialog.config.openClass);
        if (op.pop == 'pic' || op.pop == 'login' || op.pop == 'fullscreen') {
            $box.addClass($.dialog.config.fullscreenClass);
        }
        $box.show().translateY(document.documentElement.clientHeight+'px');

        setTimeout(function(){$box.animate({y:0}, 500, 'ease');}, 200);

        if (op.url) {

            var params = op.url.getParams();
            $.ajax({
                type:'GET', url:op.url, data: params, success:function(html){
                    $box.triggerPageClear().find(dwz.config.pageClear$).triggerPageClear();

                    if (!op.callback){
                        op.callback = dwz.getUrlCallback(op.url);
                    }

                    if (op.callback) {
                        op.callback.call($box, html, $.extend(params, op.data));
                    } else {
                        $box.html(html);
                        $box.initUI();
                    }

// &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&7
					
                    // 最新添加 (微信绑定用户)
                    var as = document.querySelectorAll('.item-login a') ;
                    for(var i=0;i<as.length;i++){
                    	if(as[i].innerHTML=='短信验证码登录'){
                    		as[i].innerHTML='短信验证码登录'+'<br/>'+'<span id="add_span">(微信绑定用户)</span>'
                    	}
                    }
                }, error: dwz.ajaxError
            });

        }

        this.isOpen = true;
    },
    close: function(options){
        var op = $.extend({closeMsg:''}, options);

        if (!op.closeMsg) {
            $.dialog._closeDirect();
            return;
        }

        $.alert.confirm(op.closeMsg, {
            okCall:function(){
                $.dialog._closeDirect();
            },
            cancelCall:function(){

            }
        });

    },
    _closeDirect: function(){
        var $box = this.$box, $bgBox = this.$bgBox;

        $box.animate({y:document.documentElement.clientHeight}, 500, 'ease', function(){
            $box.hide().removeClass($.dialog.config.fullscreenClass);
        });

        $bgBox.removeClass($.dialog.config.openClass);

        this.isOpen = false;
    },
    getBox:function(){
        return this.$box;
    }
};