/**
 * Created by zhanghuihua on 2016/12/19.
 */
(function($){

    $.fn.extend({
        /**
         * options: currentIndex[default index 0]
         * 			tab$[tabs selector],
         * 			panel$[tab panel selector]
         * 			ajaxClass[ajax load]
         */
        tabs: function (options){
            var op = $.extend({currentIndex:0, tab$:":scope > .nav-tabbar > .tab-button", panel$:":scope > .nav-tab-content > .show-home-slide", ajaxClass:"j-ajax"}, options);

            return this.each(function(){
                var $box = $(this),
                    $tabs = $box.find(op.tab$),
                    $panels = $box.find(op.panel$);

                $tabs.each(function(iTabIndex){
                    if (op.currentIndex == iTabIndex) $(this).addClass("active");
                    else $(this).removeClass("active");

                    $(this).click(function(event){
                        switchTab($tabs, $panels, iTabIndex);

                        var $panel = $panels.eq(iTabIndex);

                        $panel.find('div.dwz-scroll').trigger(dwz.event.type.iScrollRefresh);
                        $box.trigger(dwz.event.type.iScrollRefresh, $panel);

                        if ($box.find('div.dwz-scroll').size() == 0) {
                            $box.parentsUnitBox().find('div.dwz-scroll').trigger(dwz.event.type.iScrollRefresh);
                        }
                    });

                    $("a", this).each(function(){
                        var $link = $(this);
                        if ($link.hasClass(op.ajaxClass)) {
                            $link.click(function(event){
                                var $panel = $panels.eq(iTabIndex);
                                if (this.href && !$panel.attr("loaded")) {
                                    $.ajax({type:op.type, url:op.url, data: op.data, success:function(html){
                                        $panel.triggerPageClear().find(dwz.config.pageClear$).triggerPageClear();

                                        $panel.html(html);
                                        $panel.initUI();
                                        $panel.attr("loaded",true);

                                    }});
                                }
                                event.preventDefault();
                            });
                        }
                    });
                });

                switchTab($tabs, $panels, op.currentIndex);

            });

            function switchTab($tabs, $panels, iTabIndex){

                var $tab = $tabs.eq(iTabIndex);
                op.currentIndex = iTabIndex;

                $tabs.removeClass("active");
                $tab.addClass("active");

                $panels.removeClass('active').addClass('cached').eq(op.currentIndex).addClass('active').removeClass('cached');

            }

        }
    });
})(dwz);