var API_BASE = 'http://app.ftms.com.cn';   // 环境
var realName;
var idCard;
//plusready事件
	document.addEventListener('plusready', function(){
		window.isSpecial=false;
		console.log("扩展API加载完毕，现在可以正常调用扩展API");
		if (plus.os.name == 'Android') {
			$('body').removeClass('ios').addClass('android');
		} else {
			$('body').removeClass('android').addClass('ios');
		}

		// 修复hbuilder打包不支持hashchange事件, 需要去除dwz.history.js
		plus.key.addEventListener('backbutton',function(event){
			$.alert.confirm('是否退出当前应用？', {
				okCall:function(){
					var ws=plus.webview.currentWebview();
					plus.webview.close(ws);
				}
			});
			//	$(window).trigger('hashchange');
		}, false);

		// 获取客户端标识信息
		var info = plus.push.getClientInfo();

		UserInfo.clientid = info.clientid;
		
		window.regid = UserInfo.clientid ;
		
		// 监听点击消息事件
		plus.push.addEventListener( "click", function( msg ) {
			// 提示点击的内容
		//	plus.ui.alert( msg.content );
			alert( "You clicked: " + msg.content );

			// 判断是从本地创建还是离线推送的消息
			switch( msg.payload ) {
				case "LocalMSG":
					outSet( "点击本地创建消息启动：" );
					break;
				default:
					outSet( "点击离线推送消息启动：");
					break;
			}
			// 处理其它数据
			logoutPushMsg( msg );
		}, false );
		// 监听在线消息事件
		plus.push.addEventListener( "receive", function( msg ) {
			if ( msg.aps ) {  // Apple APNS message
				outSet( "接收到在线APNS消息：" );
			} else {
				outSet( "接收到在线透传消息：" );
			}
			logoutPushMsg( msg );
		}, false );

//*************************************************
 	  //调用newvebview.js里面函数
		newFun()

		// 检测升级
		var phonetype = 1;
		var version = 0;
		plus.runtime.getProperty(plus.runtime.appid,function(inf){
		    version=inf.version;
		    var u = navigator.userAgent;
		    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
		    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
		    phonetype = isiOS?1:2;
		    getUpdate();
		});
		function upLoad(url){
			if(phonetype == 1){
				plus.runtime.openURL(url);
			}else{
				plus.nativeUI.showWaiting( "下载中.." );
				var dtask = plus.downloader.createDownload( url, {}, function ( d, status ) {
				    if ( status == 200 ) { // 下载成功
				        var path = d.filename;
				        plus.runtime.install(path);//安装下载的apk文件
				    } else {//下载失败
				        $.alert.warn('下载失败，请到应用商店更新。');
				    }  
				});
				dtask.start();
			}
		}
		function getUpdate(){
			$.ajax({
		        dataType: 'json',
		        url: API_BASE + '/app/version/appversion',
		        data: {
		        	'version':version,
		        	'phonetype':phonetype
		        },
		        type: 'POST',
		        success: function (res) {
		        	if(res.code == 200){
		        		var data = res.data;
		        		if(data.state == 1){//提醒升级
		        			plus.nativeUI.confirm(data.text,function(event){
		        				if(event.index == 0){
		        					upLoad(data.url)
		        				}
		        			});
		        		}else if(data.state == 2){//强制升级
		        			plus.nativeUI.alert(data.text,function(){
		        				// getUpdate();
		        				upLoad(data.url)
		        			})
		        		}
		        	}
		        }
		    })
		}
	}, false);
//pluse ready事件结束 ;


	function clearAllPush(){
		plus.push.clear();
		outSet( "清空所有推送消息成功！" );
	}
	
	$.extend(dwz.config, {
		statusCode: {ok:0, error:1, timeout:301},
		keys: {statusCode:"errorCode", message:"message"}
	});
	
	document.addEventListener('touchmove', function (event) {
		dwz.speed.cal(event); // 计算加速度
		event.preventDefault();
	}, false);
	

	
	
	
//window.onload事件	

window.onload = function(){

	$.navTab.init({openIndex:0});
	$.navView.init();
	$.dialog.init();
	$.shoppingCart.init();
	
	//插件注册
	dwz.regPlugins.push(function($p){

		$("div.nav-tab", $p).each(function(){
			var $this = $(this);
			$this.tabs({currentIndex:$this.attr("data-open-index") || 0});
		});

		$('a.title, a.sub-title, li[data-href]', $p).activeClass('active');
		$('input[data-checkbox-radio]', $p).checkboxRadio();
		$('a[target=ajaxTodo]', $p).ajaxTodo('active');

		// fix iscroll A链接href手机上不能跳转问题
        $.fn.redirect && $('a[target=redirect]', $p).redirect();

		// 发送手机验证码
        $.fn.sendVerifyMs && $('a[target=sendVerifyMs]', $p).sendVerifyMs();

		// 更换图片验证码
        $.fn.changeVerifyImg && $("a[target=changeVerifyImg]", $p).changeVerifyImg();

		// https://iiunknown.gitbooks.io/iscroll-5-api-cn/content/
		setTimeout(function(){
			$('div.dwz-scroll', $p).scroll();
		}, 800);
			
	});

	//插件初始化
	$(document).initUI();

	var ajaxbg = $("#progressBar").hide();
	$(document).on('ajaxStart', function(){
		ajaxbg.show();
	}).on('ajaxStop', function(){
		ajaxbg.hide();
	});

	if ($.history) $.history.init(function(hash){

		//浏览器刷新监测地址栏, 根据hash定位
		if (hash){
			var args = hash.split(';');
			if (args.length == 2){
				$.navTab.open({tabid:args[0], url: args[1]});
			} else if (args.length == 3) {
				$.navView.open({url:args[2], rel:args[1]});
				$.alert.confirm('是否退出当前应用？');
			}
		}

	});
//*************************************
	mask = document.querySelector('#mask') //获取一下mask
};
